linux-iot (5.4.0-1049.52) focal; urgency=medium

  * focal/linux-iot: 5.4.0-1049.52 -proposed tracker (LP: #2102624)

  [ Ubuntu: 5.4.0-214.234 ]

  * focal/linux: 5.4.0-214.234 -proposed tracker (LP: #2102635)
  * CVE-2024-50256
    - netfilter: nf_reject_ipv6: fix potential crash in nf_send_reset6()
  * CVE-2025-21702
    - pfifo_tail_enqueue: Drop new packet when sch->limit == 0
  * CVE-2025-21703
    - netem: Update sch->q.qlen before qdisc_tree_reduce_backlog()
  * CVE-2024-26915
    - drm/amdgpu: Reset IH OVERFLOW_CLEAR bit
  * CVE-2025-21700
    - net: sched: Disallow replacing of child qdisc from one parent to another
  * CVE-2024-46826
    - ELF: fix kernel.randomize_va_space double read
  * CVE-2024-56651
    - can: hi311x: hi3110_can_ist(): fix potential use-after-free
  * CVE-2024-53237
    - driver core: Introduce device_find_any_child() helper
    - Bluetooth: fix use-after-free in device_for_each_child()
  * CVE-2024-35958
    - net: ena: Fix incorrect descriptor free behavior
  * CVE-2024-49974
    - NFSD: Limit the number of concurrent async COPY operations
  * CVE-2021-47119
    - ext4: fix memory leak in ext4_fill_super
  * CVE-2024-56658
    - net: defer final 'struct net' free in netns dismantle
  * CVE-2024-35864
    - smb: client: fix potential UAF in smb2_is_valid_lease_break()
  * CVE-2024-35864/CVE-2024-26928
    - smb: client: fix potential UAF in cifs_debug_files_proc_show()

 -- Benjamin Wheeler <benjamin.wheeler@canonical.com>  Wed, 26 Mar 2025 10:48:38 -0400

linux-iot (5.4.0-1048.51) focal; urgency=medium

  * focal/linux-iot: 5.4.0-1048.51 -proposed tracker (LP: #2101985)

  [ Ubuntu: 5.4.0-211.231 ]

  * focal/linux: 5.4.0-211.231 -proposed tracker (LP: #2101996)
  * cve-2018-5803 kernel panic (LP: #2101091)
    - SAUCE: sctp: sysctl: pass right argument to container_of

  [ Ubuntu: 5.4.0-210.230 ]

  * focal/linux: 5.4.0-210.230 -proposed tracker (LP: #2098353)
  * Focal update: v5.4.290 upstream stable release (LP: #2098439)
    - jbd2: flush filesystem device before updating tail sequence
    - dm array: fix releasing a faulty array block twice in dm_array_cursor_end
    - dm array: fix unreleased btree blocks on closing a faulty array cursor
    - dm array: fix cursor index when skipping across block boundaries
    - ieee802154: ca8210: Add missing check for kfifo_alloc() in ca8210_probe()
    - net: 802: LLC+SNAP OID:PID lookup on start of skb data
    - tcp/dccp: complete lockless accesses to sk->sk_max_ack_backlog
    - tcp/dccp: allow a connection when sk_max_ack_backlog is zero
    - net_sched: cls_flow: validate TCA_FLOW_RSHIFT attribute
    - tls: Fix tls_sw_sendmsg error handling
    - dm thin: make get_first_thin use rcu-safe list first function
    - sctp: sysctl: cookie_hmac_alg: avoid using current->nsproxy
    - sctp: sysctl: auth_enable: avoid using current->nsproxy
    - drm/amd/display: Add check for granularity in dml ceil/floor helpers
    - ACPI: resource: Add TongFang GM5HG0A to irq1_edge_low_force_override[]
    - ACPI: resource: Add Asus Vivobook X1504VAP to irq1_level_low_skip_override[]
    - drm/amd/display: increase MAX_SURFACES to the value supported by hw
    - USB: serial: option: add MeiG Smart SRM815
    - USB: serial: option: add Neoway N723-EA support
    - staging: iio: ad9834: Correct phase range check
    - staging: iio: ad9832: Correct phase range check
    - usb-storage: Add max sectors quirk for Nokia 208
    - USB: serial: cp210x: add Phoenix Contact UPS Device
    - usb: gadget: u_serial: Disable ep before setting port to null to fix the
      crash caused by port being null
    - USB: usblp: return error when setting unsupported protocol
    - USB: core: Disable LPM only for non-suspended ports
    - usb: fix reference leak in usb_new_device()
    - usb: gadget: f_fs: Remove WARN_ON in functionfs_bind
    - iio: pressure: zpa2326: fix information leak in triggered buffer
    - iio: dummy: iio_simply_dummy_buffer: fix information leak in triggered
      buffer
    - iio: light: vcnl4035: fix information leak in triggered buffer
    - iio: imu: kmx61: fix information leak in triggered buffer
    - iio: adc: ti-ads8688: fix information leak in triggered buffer
    - iio: gyro: fxas21002c: Fix missing data update in trigger handler
    - iio: adc: ti-ads124s08: Use gpiod_set_value_cansleep()
    - iio: adc: at91: call input_free_device() on allocated iio_dev
    - iio: inkern: call iio_device_put() only on mapped devices
    - arm64: dts: rockchip: fix defines in pd_vio node for rk3399
    - arm64: dts: rockchip: fix pd_tcpc0 and pd_tcpc1 node position on rk3399
    - arm64: dts: rockchip: add #power-domain-cells to power domain nodes
    - arm64: dts: rockchip: add hevc power domain clock to rk3328
    - phy: core: fix code style in devm_of_phy_provider_unregister
    - phy: core: Fix that API devm_of_phy_provider_unregister() fails to
      unregister the phy provider
    - ocfs2: correct return value of ocfs2_local_free_info()
    - ocfs2: fix slab-use-after-free due to dangling pointer dqi_priv
    - sctp: sysctl: rto_min/max: avoid using current->nsproxy
    - net: ethernet: ti: cpsw_ale: Fix cpsw_ale_get_field()
    - net: net_namespace: Optimize the code
    - net: add exit_batch_rtnl() method
    - gtp: use exit_batch_rtnl() method
    - gtp: Use for_each_netdev_rcu() in gtp_genl_dump_pdp().
    - gtp: Destroy device along with udp socket's netns dismantle.
    - nfp: bpf: prevent integer overflow in nfp_bpf_event_output()
    - drm/v3d: Ensure job pointer is set to NULL after job completion
    - i2c: mux: demux-pinctrl: check initial mux selection, too
    - mac802154: check local interfaces before deleting sdata list
    - hfs: Sanity check the root record
    - kheaders: Ignore silly-rename files
    - poll_wait: add mb() to fix theoretical race between waitqueue_active() and
      .poll()
    - nvmet: propagate npwg topology
    - net: ethernet: xgbe: re-add aneg to supported features in PHY quirks
    - fs/proc: fix softlockup in __read_vmcore (part 2)
    - irqchip/gic-v3: Handle CPU_PM_ENTER_FAILED correctly
    - hrtimers: Handle CPU state correctly on hotplug
    - ipv6: avoid possible NULL deref in rt6_uncached_list_flush_dev()
    - scsi: sg: Fix slab-use-after-free read in sg_release()
    - net: fix data-races around sk->sk_forward_alloc
    - ASoC: wm8994: Add depends on MFD core
    - scsi: iscsi: Fix redundant response for ISCSI_UEVENT_GET_HOST_STATS request
    - irqchip/sunxi-nmi: Add missing SKIP_WAKE flag
    - gfs2: Truncate address space when flipping GFS2_DIF_JDATA flag
    - m68k: Update ->thread.esp0 before calling syscall_trace() in ret_from_signal
    - m68k: Add missing mmap_read_lock() to sys_cacheflush()
    - signal/m68k: Use force_sigsegv(SIGSEGV) in fpsp040_die
    - net: xen-netback: hash.c: Use built-in RCU list checking
    - net/xen-netback: prevent UAF in xenvif_flush_hash()
    - vfio/platform: check the bounds of read/write syscalls
    - ext4: avoid ext4_error()'s caused by ENOMEM in the truncate path
    - ext4: fix slab-use-after-free in ext4_split_extent_at()
    - USB: serial: quatech2: fix null-ptr-deref in qt2_process_read_urb()
    - Revert "usb: gadget: u_serial: Disable ep before setting port to null to fix
      the crash caused by port being null"
    - Input: atkbd - map F23 key to support default copilot shortcut
    - Input: xpad - add unofficial Xbox 360 wireless receiver clone
    - Input: xpad - add support for wooting two he (arm)
    - drm/v3d: Assign job pointer to NULL before signaling the fence
    - xhci: use pm_ptr() instead of #ifdef for CONFIG_PM conditionals
    - Partial revert of xhci: use pm_ptr() instead #ifdef for CONFIG_PM
      conditionals
    - Linux 5.4.290
  * CVE-2021-47219
    - scsi: scsi_debug: Fix out-of-bound read in resp_report_tgtpgs()
  * CVE-2024-49925
    - fbdev: efifb: Register sysfs groups through driver core
  * CVE-2024-56614
    - xsk: fix OOB map writes when deleting elements
  * net: stmmac: kernel continually prints wol unbalance irq warning
    (LP: #2095376)
    - net: stmmac: ethtool: Fixed calltrace caused by unbalanced disable_irq_wake
      calls
  * CVE-2024-44938
    - jfs: Fix shift-out-of-bounds in dbDiscardAG
  * CVE-2024-43900
    - media: xc2028: avoid use-after-free in load_firmware_cb()
  * Focal update: v5.4.289 upstream stable release (LP: #2095437)
    - usb: dwc2: gadget: Don't write invalid mapped sg entries into dma_desc with
      iommu enabled
    - PCI/AER: Disable AER service on suspend
    - ALSA: usb: Fix UBSAN warning in parse_audio_unit()
    - PCI: Add ACS quirk for Broadcom BCM5760X NIC
    - i2c: pnx: Fix timeout in wait functions
    - drm/i915: Fix memory leak by correcting cache object name in error handler
    - erofs: fix order >= MAX_ORDER warning due to crafted negative i_size
    - erofs: fix incorrect symlink detection in fast symlink
    - net/smc: check sndbuf_space again after NOSPACE flag is set in smc_poll
    - ionic: use ee->offset when returning sprom data
    - net: hinic: Fix cleanup in create_rxqs/txqs()
    - net: ethernet: bgmac-platform: fix an OF node reference leak
    - netfilter: ipset: Fix for recursive locking warning
    - mmc: sdhci-tegra: Remove SDHCI_QUIRK_BROKEN_ADMA_ZEROLEN_DESC quirk
    - chelsio/chtls: prevent potential integer overflow on 32bit
    - i2c: riic: Always round-up when calculating bus period
    - efivarfs: Fix error on non-existent file
    - USB: serial: option: add TCL IK512 MBIM & ECM
    - USB: serial: option: add MeiG Smart SLM770A
    - USB: serial: option: add Netprisma LCUK54 modules for WWAN Ready
    - USB: serial: option: add MediaTek T7XX compositions
    - USB: serial: option: add Telit FE910C04 rmnet compositions
    - sh: clk: Fix clk_enable() to return 0 on NULL clk
    - zram: refuse to use zero sized block device as backing device
    - btrfs: tree-checker: reject inline extent items with 0 ref count
    - NFS/pnfs: Fix a live lock between recalled layouts and layoutget
    - of/irq: Fix using uninitialized variable @addr_len in API of_irq_parse_one()
    - nilfs2: prevent use of deleted inode
    - udmabuf: also check for F_SEAL_FUTURE_WRITE
    - of: Fix error path in of_parse_phandle_with_args_map()
    - of: Fix refcount leakage for OF node returned by __of_get_dma_parent()
    - media: dvb-frontends: dib3000mb: fix uninit-value in dib3000_write_reg
    - bpf: Check negative offsets in __bpf_skb_min_len()
    - nfsd: restore callback functionality for NFSv4.0
    - mtd: diskonchip: Cast an operand to prevent potential overflow
    - phy: core: Fix an OF node refcount leakage in _of_phy_get()
    - phy: core: Fix an OF node refcount leakage in of_phy_provider_lookup()
    - phy: core: Fix that API devm_phy_put() fails to release the phy
    - phy: core: Fix that API devm_phy_destroy() fails to destroy the phy
    - dmaengine: mv_xor: fix child node refcount handling in early exit
    - dmaengine: at_xdmac: avoid null_prt_deref in at_xdmac_prep_dma_memset
    - mtd: rawnand: fix double free in atmel_pmecc_create_user()
    - tracing/kprobe: Make trace_kprobe's module callback called after jump_label
      update
    - scsi: qla1280: Fix hw revision numbering for ISP1020/1040
    - scsi: megaraid_sas: Fix for a potential deadlock
    - regmap: Use correct format specifier for logging range errors
    - platform/x86: asus-nb-wmi: Ignore unknown event 0xCF
    - scsi: mpt3sas: Diag-Reset when Doorbell-In-Use bit is set during driver load
      time
    - virtio-blk: don't keep queue frozen during system suspend
    - epoll: Add synchronous wakeup support for ep_poll_callback
    - MIPS: Probe toolchain support of -msym32
    - ipv6: use skb_expand_head in ip6_finish_output2
    - ipv6: use skb_expand_head in ip6_xmit
    - ipv6: fix possible UAF in ip6_finish_output2()
    - bpf: fix recursive lock when verdict program return SK_PASS
    - tracing: Constify string literal data member in struct trace_event_call
    - btrfs: avoid monopolizing a core when activating a swap file
    - ipv6: prevent possible UAF in ip6_xmit()
    - selinux: ignore unknown extended permissions
    - Drivers: hv: util: Avoid accessing a ringbuffer not initialized yet
    - IB/mlx5: Introduce and use mlx5_core_is_vf()
    - net/mlx5: Make API mlx5_core_is_ecpf accept const pointer
    - RDMA/mlx5: Enforce same type port association for multiport RoCE
    - RDMA/bnxt_re: Add check for path mtu in modify_qp
    - RDMA/bnxt_re: Fix reporting hw_ver in query_device
    - RDMA/bnxt_re: Fix max_qp_wrs reported
    - drm: bridge: adv7511: Enable SPDIF DAI
    - drm/bridge: adv7511_audio: Update Audio InfoFrame properly
    - netrom: check buffer length before accessing it
    - netfilter: Replace zero-length array with flexible-array member
    - netfilter: nft_set_hash: unaligned atomic read on struct nft_set_ext
    - net: llc: reset skb->transport_header
    - ALSA: usb-audio: US16x08: Initialize array before use
    - af_packet: fix vlan_get_tci() vs MSG_PEEK
    - af_packet: fix vlan_get_protocol_dgram() vs MSG_PEEK
    - ila: serialize calls to nf_register_net_hooks()
    - wifi: mac80211: wake the queues in case of failure in resume
    - sound: usb: format: don't warn that raw DSD is unsupported
    - bpf: fix potential error return
    - net: usb: qmi_wwan: add Telit FE910C04 compositions
    - irqchip/gic: Correct declaration of *percpu_base pointer in union gic_base
    - ARC: build: Try to guess GCC variant of cross compiler
    - modpost: fix input MODULE_DEVICE_TABLE() built for 64-bit on 32-bit host
    - modpost: fix the missed iteration for the max bit in do_input()
    - RDMA/uverbs: Prevent integer overflow issue
    - pinctrl: mcp23s08: Fix sleeping in atomic context due to regmap locking
    - sky2: Add device ID 11ab:4373 for Marvell 88E8075
    - net/sctp: Prevent autoclose integer overflow in sctp_association_init()
    - drm: adv7511: Drop dsi single lane support
    - mm: vmscan: account for free pages to prevent infinite Loop in
      throttle_direct_reclaim()
    - ftrace: use preempt_enable/disable notrace macros to avoid double fault
    - Linux 5.4.289
  * Focal update: v5.4.289 upstream stable release (LP: #2095437) //
    CVE-2024-38588
    - ftrace: Fix possible use-after-free issue in ftrace_location()
  * Focal update: v5.4.288 upstream stable release (LP: #2095199)
    - usb: host: max3421-hcd: Correctly abort a USB request.
    - ata: sata_highbank: fix OF node reference leak in highbank_initialize_phys()
    - usb: dwc2: hcd: Fix GetPortStatus & SetPortFeature
    - usb: ehci-hcd: fix call balance of clocks handling routines
    - usb: gadget: u_serial: Fix the issue that gs_start_io crashed due to
      accessing null pointer
    - xfs: don't drop errno values when we fail to ficlone the entire range
    - bpf, sockmap: Fix update element with same
    - batman-adv: Do not send uninitialized TT changes
    - batman-adv: Remove uninitialized data in full table TT response
    - batman-adv: Do not let TT changes list grows indefinitely
    - tipc: fix NULL deref in cleanup_bearer()
    - net: lapb: increase LAPB_HEADER_LEN
    - ACPI: resource: Fix memory resource type union access
    - qca_spi: Fix clock speed for multiple QCA7000
    - qca_spi: Make driver probing reliable
    - net/sched: netem: account for backlog updates from child qdisc
    - ACPICA: events/evxfregn: don't release the ContextMutex that was never
      acquired
    - blk-iocost: clamp inuse and skip noops in __propagate_weights()
    - blk-iocost: fix weight updates of inner active iocgs
    - blk-iocost: Avoid using clamp() on inuse in __propagate_weights()
    - KVM: arm64: Ignore PMCNTENSET_EL0 while checking for overflow status
    - tracing/kprobes: Skip symbol counting logic for module symbols in
      create_local_trace_kprobe()
    - xen/netfront: fix crash when removing device
    - ALSA: usb-audio: Fix a DMA to stack memory bug
    - Linux 5.4.288
  * Focal update: v5.4.287 upstream stable release (LP: #2095145)
    - netlink: terminate outstanding dump on socket close
    - net/mlx5: fs, lock FTE when checking if active
    - net/mlx5e: kTLS, Fix incorrect page refcounting
    - ocfs2: uncache inode which has failed entering the group
    - KVM: VMX: Bury Intel PT virtualization (guest/host mode) behind
      CONFIG_BROKEN
    - nilfs2: fix null-ptr-deref in block_touch_buffer tracepoint
    - ocfs2: fix UBSAN warning in ocfs2_verify_volume()
    - nilfs2: fix null-ptr-deref in block_dirty_buffer tracepoint
    - Revert "mmc: dw_mmc: Fix IDMAC operation with pages bigger than 4K"
    - media: dvbdev: fix the logic when DVB_DYNAMIC_MINORS is not set
    - kbuild: Use uname for LINUX_COMPILE_HOST detection
    - mm: revert "mm: shmem: fix data-race in shmem_getattr()"
    - ASoC: Intel: bytcr_rt5640: Add DMI quirk for Vexia Edu Atla 10 tablet
    - mac80211: fix user-power when emulating chanctx
    - selftests/watchdog-test: Fix system accidentally reset after watchdog-test
    - ALSA: hda/realtek: Add subwoofer quirk for Infinix ZERO BOOK 13
    - x86/amd_nb: Fix compile-testing without CONFIG_AMD_NB
    - net: usb: qmi_wwan: add Quectel RG650V
    - soc: qcom: Add check devm_kasprintf() returned value
    - regulator: rk808: Add apply_bit for BUCK3 on RK809
    - ASoC: stm: Prevent potential division by zero in stm32_sai_mclk_round_rate()
    - ASoC: stm: Prevent potential division by zero in stm32_sai_get_clk_div()
    - proc/softirqs: replace seq_printf with seq_put_decimal_ull_width
    - ipmr: Fix access to mfc_cache_list without lock held
    - cifs: Fix buffer overflow when parsing NFS reparse points
    - NFSD: Force all NFSv4.2 COPY requests to be synchronous
    - nvme: fix metadata handling in nvme-passthrough
    - mips: asm: fix warning when disabling MIPS_FP_SUPPORT
    - initramfs: avoid filename buffer overrun
    - nvme-pci: fix freeing of the HMB descriptor table
    - m68k: mvme147: Fix SCSI controller IRQ numbers
    - m68k: mvme16x: Add and use "mvme16x.h"
    - m68k: mvme147: Reinstate early console
    - acpi/arm64: Adjust error handling procedure in gtdt_parse_timer_block()
    - s390/syscalls: Avoid creation of arch/arch/ directory
    - hfsplus: don't query the device logical block size multiple times
    - firmware: google: Unregister driver_info on failure and exit in gsmi
    - firmware: google: Unregister driver_info on failure
    - EDAC/bluefield: Fix potential integer overflow
    - EDAC/fsl_ddr: Fix bad bit shift operations
    - crypto: pcrypt - Call crypto layer directly when padata_do_parallel() return
      -EBUSY
    - crypto: cavium - Fix the if condition to exit loop after timeout
    - crypto: bcm - add error check in the ahash_hmac_init function
    - crypto: cavium - Fix an error handling path in cpt_ucode_load_fw()
    - time: Fix references to _msecs_to_jiffies() handling of values
    - soc: ti: smartreflex: Use IRQF_NO_AUTOEN flag in request_irq()
    - soc: qcom: geni-se: fix array underflow in geni_se_clk_tbl_get()
    - mmc: mmc_spi: drop buggy snprintf()
    - efi/tpm: Pass correct address to memblock_reserve
    - tpm: fix signed/unsigned bug when checking event logs
    - ARM: dts: cubieboard4: Fix DCDC5 regulator constraints
    - regmap: irq: Set lockdep class for hierarchical IRQ domains
    - firmware: arm_scpi: Check the DVFS OPP count returned by the firmware
    - drm/mm: Mark drm_mm_interval_tree*() functions with __maybe_unused
    - wifi: ath9k: add range check for conn_rsp_epid in htc_connect_service()
    - drm/omap: Fix locking in omap_gem_new_dmabuf()
    - wifi: p54: Use IRQF_NO_AUTOEN flag in request_irq()
    - wifi: mwifiex: Use IRQF_NO_AUTOEN flag in request_irq()
    - drm/imx/ipuv3: Use IRQF_NO_AUTOEN flag in request_irq()
    - dt-bindings: vendor-prefixes: Add NeoFidelity, Inc
    - ASoC: fsl_micfil: Drop unnecessary register read
    - ASoC: fsl_micfil: do not define SHIFT/MASK for single bits
    - ASoC: fsl_micfil: use GENMASK to define register bit fields
    - ASoC: fsl_micfil: fix regmap_write_bits usage
    - bpf: Fix the xdp_adjust_tail sample prog issue
    - wifi: mwifiex: Fix memcpy() field-spanning write warning in
      mwifiex_config_scan()
    - drm/panfrost: Remove unused id_mask from struct panfrost_model
    - drm/msm/adreno: Use IRQF_NO_AUTOEN flag in request_irq()
    - drm/etnaviv: dump: fix sparse warnings
    - drm/etnaviv: fix power register offset on GC300
    - drm/etnaviv: hold GPU lock across perfmon sampling
    - bpf, sockmap: Several fixes to bpf_msg_push_data
    - bpf, sockmap: Several fixes to bpf_msg_pop_data
    - bpf, sockmap: Fix sk_msg_reset_curr
    - selftests: net: really check for bg process completion
    - net: rfkill: gpio: Add check for clk_enable()
    - ALSA: us122l: Use snd_card_free_when_closed() at disconnection
    - ALSA: caiaq: Use snd_card_free_when_closed() at disconnection
    - ALSA: 6fire: Release resources at card release
    - netpoll: Use rcu_access_pointer() in netpoll_poll_lock
    - trace/trace_event_perf: remove duplicate samples on the first tracepoint
      event
    - powerpc/vdso: Flag VDSO64 entry points as functions
    - mfd: tps65010: Use IRQF_NO_AUTOEN flag in request_irq() to fix race
    - mfd: da9052-spi: Change read-mask to write-mask
    - mfd: intel_soc_pmic_bxtwc: Use dev_err_probe()
    - mfd: intel_soc_pmic_bxtwc: Use IRQ domain for USB Type-C device
    - mfd: intel_soc_pmic_bxtwc: Use IRQ domain for TMU device
    - mfd: intel_soc_pmic_bxtwc: Use IRQ domain for PMIC devices
    - cpufreq: loongson2: Unregister platform_driver on failure
    - mtd: rawnand: atmel: Fix possible memory leak
    - RDMA/bnxt_re: Check cqe flags to know imm_data vs inv_irkey
    - mfd: rt5033: Fix missing regmap_del_irq_chip()
    - scsi: bfa: Fix use-after-free in bfad_im_module_exit()
    - scsi: fusion: Remove unused variable 'rc'
    - scsi: qedf: Fix a possible memory leak in qedf_alloc_and_init_sb()
    - scsi: qedi: Fix a possible memory leak in qedi_alloc_and_init_sb()
    - ocfs2: fix uninitialized value in ocfs2_file_read_iter()
    - powerpc/sstep: make emulate_vsx_load and emulate_vsx_store static
    - fbdev/sh7760fb: Alloc DMA memory from hardware device
    - fbdev: sh7760fb: Fix a possible memory leak in sh7760fb_alloc_mem()
    - dt-bindings: clock: adi,axi-clkgen: convert old binding to yaml format
    - dt-bindings: clock: axi-clkgen: include AXI clk
    - clk: axi-clkgen: use devm_platform_ioremap_resource() short-hand
    - clk: clk-axi-clkgen: make sure to enable the AXI bus clock
    - perf cs-etm: Don't flush when packet_queue fills up
    - perf probe: Correct demangled symbols in C++ program
    - PCI: cpqphp: Use PCI_POSSIBLE_ERROR() to check config reads
    - PCI: cpqphp: Fix PCIBIOS_* return value confusion
    - m68k: mcfgpio: Fix incorrect register offset for CONFIG_M5441x
    - m68k: coldfire/device.c: only build FEC when HW macros are defined
    - perf trace: Do not lose last events in a race
    - perf trace: Avoid garbage when not printing a syscall's arguments
    - rpmsg: glink: Add TX_DATA_CONT command while sending
    - rpmsg: glink: Send READ_NOTIFY command in FIFO full case
    - rpmsg: glink: Fix GLINK command prefix
    - rpmsg: glink: use only lower 16-bits of param2 for CMD_OPEN name length
    - NFSD: Prevent NULL dereference in nfsd4_process_cb_update()
    - NFSD: Cap the number of bytes copied by nfs4_reset_recoverydir()
    - NFSD: Fix nfsd4_shutdown_copy()
    - vfio/pci: Properly hide first-in-list PCIe extended capability
    - power: supply: core: Remove might_sleep() from power_supply_put()
    - net: usb: lan78xx: Fix memory leak on device unplug by freeing PHY device
    - tg3: Set coherent DMA mask bits to 31 for BCM57766 chipsets
    - net: usb: lan78xx: Fix refcounting and autosuspend on invalid WoL
      configuration
    - marvell: pxa168_eth: fix call balance of pep->clk handling routines
    - net: stmmac: dwmac-socfpga: Set RX watchdog interrupt as broken
    - ipmr: convert /proc handlers to rcu_read_lock()
    - ipmr: fix tables suspicious RCU usage
    - usb: using mutex lock and supporting O_NONBLOCK flag in iowarrior_read()
    - usb: yurex: make waiting on yurex_write interruptible
    - USB: chaoskey: fail open after removal
    - USB: chaoskey: Fix possible deadlock chaoskey_list_lock
    - misc: apds990x: Fix missing pm_runtime_disable()
    - staging: greybus: uart: clean up TIOCGSERIAL
    - apparmor: fix 'Do simple duplicate message elimination'
    - usb: ehci-spear: fix call balance of sehci clk handling routines
    - cgroup: Make operations on the cgroup root_list RCU safe
    - cgroup: Move rcu_head up near the top of cgroup_root
    - soc: qcom: socinfo: fix revision check in qcom_socinfo_probe()
    - ALSA: usb-audio: Fix potential out-of-bound accesses for Extigy and Mbox
      devices
    - ext4: supress data-race warnings in ext4_free_inodes_{count,set}()
    - ext4: fix FS_IOC_GETFSMAP handling
    - jfs: xattr: check invalid xattr size more strictly
    - ASoC: codecs: Fix atomicity violation in snd_soc_component_get_drvdata()
    - PCI: Fix use-after-free of slot->bus on hot remove
    - comedi: Flush partial mappings in error case
    - tty: ldsic: fix tty_ldisc_autoload sysctl's proc_handler
    - Bluetooth: Fix type of len in rfcomm_sock_getsockopt{,_old}()
    - Revert "usb: gadget: composite: fix OS descriptors w_value logic"
    - serial: sh-sci: Clean sci_ports[0] after at earlycon exit
    - Revert "serial: sh-sci: Clean sci_ports[0] after at earlycon exit"
    - spi: Fix acpi deferred irq probe
    - ubi: wl: Put source PEB into correct list if trying locking LEB failed
    - um: ubd: Do not use drvdata in release
    - um: net: Do not use drvdata in release
    - serial: 8250: omap: Move pm_runtime_get_sync
    - um: vector: Do not use drvdata in release
    - sh: cpuinfo: Fix a warning for CONFIG_CPUMASK_OFFSTACK
    - arm64: tls: Fix context-switching of tpidrro_el0 when kpti is enabled
    - block: fix ordering between checking BLK_MQ_S_STOPPED request adding
    - HID: wacom: Interpret tilt data from Intuos Pro BT as signed values
    - media: wl128x: Fix atomicity violation in fmc_send_cmd()
    - ALSA: hda/realtek: Update ALC225 depop procedure
    - ALSA: hda/realtek: Set PCBeep to default value for ALC274
    - ALSA: hda/realtek: Fix Internal Speaker and Mic boost of Infinix Y4 Max
    - ALSA: hda/realtek: Apply quirk for Medion E15433
    - usb: dwc3: gadget: Fix checking for number of TRBs left
    - lib: string_helpers: silence snprintf() output truncation warning
    - NFSD: Prevent a potential integer overflow
    - SUNRPC: make sure cache entry active before cache_show
    - rpmsg: glink: Propagate TX failures in intentless mode as well
    - um: Fix potential integer overflow during physmem setup
    - um: Fix the return value of elf_core_copy_task_fpregs
    - um/sysrq: remove needless variable sp
    - um: add show_stack_loglvl()
    - um: Clean up stacktrace dump
    - um: Always dump trace for specified task in show_stack
    - NFSv4.0: Fix a use-after-free problem in the asynchronous open()
    - rtc: st-lpc: Use IRQF_NO_AUTOEN flag in request_irq()
    - rtc: abx80x: Fix WDT bit position of the status register
    - rtc: check if __rtc_read_time was successful in rtc_timer_do_work()
    - ubifs: Correct the total block count by deducting journal reservation
    - ubi: fastmap: Fix duplicate slab cache names while attaching
    - ubifs: authentication: Fix use-after-free in ubifs_tnc_end_commit
    - jffs2: fix use of uninitialized variable
    - block: return unsigned int from bdev_io_min
    - 9p/xen: fix init sequence
    - 9p/xen: fix release of IRQ
    - rtc: ab-eoz9: don't fail temperature reads on undervoltage notification
    - modpost: remove incorrect code in do_eisa_entry()
    - SUNRPC: correct error code comment in xs_tcp_setup_socket()
    - SUNRPC: Replace internal use of SOCKWQ_ASYNC_NOSPACE
    - sunrpc: clear XPRT_SOCK_UPD_TIMEOUT when reset transport
    - sh: intc: Fix use-after-free bug in register_intc_controller()
    - ASoC: fsl_micfil: fix the naming style for mask definition
    - quota: flush quota_release_work upon quota writeback
    - btrfs: ref-verify: fix use-after-free after invalid ref action
    - media: i2c: tc358743: Fix crash in the probe error path when using polling
    - media: ts2020: fix null-ptr-deref in ts2020_probe()
    - media: venus: Fix pm_runtime_set_suspended() with runtime pm enabled
    - media: gspca: ov534-ov772x: Fix off-by-one error in set_frame_rate()
    - media: platform: allegro-dvt: Fix possible memory leak in
      allocate_buffers_internal()
    - ovl: Filter invalid inodes with missing lookup function
    - ftrace: Fix regression with module command in stack_trace_filter
    - clk: qcom: gcc-qcs404: fix initial rate of GPLL3
    - ad7780: fix division by zero in ad7780_write_raw()
    - util_macros.h: fix/rework find_closest() macros
    - i3c: master: Fix miss free init_dyn_addr at i3c_master_put_i3c_addrs()
    - dm thin: Add missing destroy_work_on_stack()
    - nfsd: make sure exp active before svc_export_show
    - nfsd: fix nfs4_openowner leak when concurrent nfsd4_open occur
    - drm/etnaviv: flush shader L1 cache after user commandstream
    - iTCO_wdt: mask NMI_NOW bit for update_no_reboot_bit() call
    - watchdog: mediatek: Make sure system reset gets asserted in
      mtk_wdt_restart()
    - can: sun4i_can: sun4i_can_err(): call can_change_state() even if cf is NULL
    - can: sun4i_can: sun4i_can_err(): fix {rx,tx}_errors statistics
    - ipvs: fix UB due to uninitialized stack access in ip_vs_protocol_init()
    - netfilter: x_tables: fix LED ID check in led_tg_check()
    - net/sched: tbf: correct backlog statistic for GSO packets
    - can: j1939: j1939_session_new(): fix skb reference counting
    - net/ipv6: release expired exception dst cached in socket
    - dccp: Fix memory leak in dccp_feat_change_recv
    - tipc: add reference counter to bearer
    - tipc: enable creating a "preliminary" node
    - tipc: add new AEAD key structure for user API
    - tipc: Fix use-after-free of kernel socket in cleanup_bearer().
    - net/qed: allow old cards not supporting "num_images" to work
    - igb: Fix potential invalid memory access in igb_init_module()
    - netfilter: ipset: Hold module reference while requesting a module
    - netfilter: nft_set_hash: skip duplicated elements pending gc run
    - xen/xenbus: reference count registered modules
    - xenbus/backend: Add memory pressure handler callback
    - xenbus/backend: Protect xenbus callback with lock
    - xen/xenbus: fix locking
    - xen: Fix the issue of resource not being properly released in
      xenbus_dev_probe()
    - x86/asm: Reorder early variables
    - crypto: x86/aegis128 - access 32-bit arguments as 32-bit
    - gpio: grgpio: use a helper variable to store the address of ofdev->dev
    - gpio: grgpio: Add NULL check in grgpio_probe
    - drm/sti: Add __iomem for mixer_dbg_mxn's parameter
    - tcp_bpf: Fix the sk_mem_uncharge logic in tcp_bpf_sendmsg
    - spi: mpc52xx: Add cancel_work_sync before module remove
    - ocfs2: free inode when ocfs2_get_init_inode() fails
    - bpf: Handle BPF_EXIST and BPF_NOEXIST for LPM trie
    - bpf: Fix exact match conditions in trie_get_next_key()
    - HID: wacom: fix when get product name maybe null pointer
    - tracing: Fix cmp_entries_dup() to respect sort() comparison rules
    - ocfs2: update seq_file index in ocfs2_dlm_seq_next
    - scsi: qla2xxx: Fix NVMe and NPIV connect issue
    - scsi: qla2xxx: Supported speed displayed incorrectly for VPorts
    - scsi: qla2xxx: Remove check req_sg_cnt should be equal to rsp_sg_cnt
    - nilfs2: fix potential out-of-bounds memory access in nilfs_find_entry()
    - bcache: revert replacing IS_ERR_OR_NULL with IS_ERR again
    - dma-buf: fix dma_fence_array_signaled v4
    - regmap: detach regmap from dev on regmap_exit
    - mmc: core: Further prevent card detect during shutdown
    - s390/cpum_sf: Handle CPU hotplug remove during sampling
    - media: uvcvideo: Add a quirk for the Kaiweets KTI-W02 infrared camera
    - media: cx231xx: Add support for Dexatek USB Video Grabber 1d19:6108
    - drm: panel-orientation-quirks: Add quirk for AYA NEO 2 model
    - drm/mcde: Enable module autoloading
    - drm/radeon/r600_cs: Fix possible int overflow in r600_packet3_check()
    - samples/bpf: Fix a resource leak
    - net: fec_mpc52xx_phy: Use %pa to format resource_size_t
    - net: ethernet: fs_enet: Use %pa to format resource_size_t
    - net/sched: cbs: Fix integer overflow in cbs_set_port_rate()
    - af_packet: avoid erroring out after sock_init_data() in packet_create()
    - Bluetooth: L2CAP: do not leave dangling sk pointer on error in
      l2cap_sock_create()
    - net: af_can: do not leave a dangling sk pointer in can_create()
    - net: ieee802154: do not leave a dangling sk pointer in ieee802154_create()
    - net: inet: do not leave a dangling sk pointer in inet_create()
    - net: inet6: do not leave a dangling sk pointer in inet6_create()
    - wifi: ath5k: add PCI ID for SX76X
    - wifi: ath5k: add PCI ID for Arcadyan devices
    - jfs: array-index-out-of-bounds fix in dtReadFirst
    - jfs: fix shift-out-of-bounds in dbSplit
    - jfs: fix array-index-out-of-bounds in jfs_readdir
    - jfs: add a check to prevent array-index-out-of-bounds in dbAdjTree
    - drm/amdgpu: set the right AMDGPU sg segment limitation
    - wifi: ipw2x00: libipw_rx_any(): fix bad alignment
    - wifi: brcmfmac: Fix oops due to NULL pointer dereference in
      brcmf_sdiod_sglist_rw()
    - Bluetooth: btusb: Add RTL8852BE device 0489:e123 to device tables
    - ASoC: hdmi-codec: reorder channel allocation list
    - rocker: fix link status detection in rocker_carrier_init()
    - net/neighbor: clear error in case strict check is not set
    - netpoll: Use rcu_access_pointer() in __netpoll_setup
    - tracing: Use atomic64_inc_return() in trace_clock_counter()
    - leds: class: Protect brightness_show() with led_cdev->led_access mutex
    - scsi: st: Don't modify unknown block number in MTIOCGET
    - scsi: st: Add MTIOCGET and MTLOAD to ioctls allowed after device reset
    - pinctrl: qcom-pmic-gpio: add support for PM8937
    - nvdimm: rectify the illogical code within nd_dax_probe()
    - f2fs: fix f2fs_bug_on when uninstalling filesystem call f2fs_evict_inode.
    - PCI: Add 'reset_subordinate' to reset hierarchy below bridge
    - PCI: Add ACS quirk for Wangxun FF5xxx NICs
    - i3c: Use i3cdev->desc->info instead of calling i3c_device_get_info() to
      avoid deadlock
    - usb: chipidea: udc: handle USB Error Interrupt if IOC not set
    - powerpc/prom_init: Fixup missing powermac #size-cells
    - misc: eeprom: eeprom_93cx6: Add quirk for extra read clock cycle
    - xdp: Simplify devmap cleanup
    - bpf: fix OOB devmap writes when deleting elements
    - Revert "unicode: Don't special case ignorable code points"
    - perf/x86/intel/pt: Fix buffer full but size is 0 case
    - KVM: arm64: vgic-its: Add a data length check in vgic_its_save_*
    - KVM: arm64: vgic-its: Clear DTE when MAPD unmaps a device
    - KVM: arm64: vgic-its: Clear ITE when DISCARD frees an ITE
    - jffs2: Prevent rtime decompress memory corruption
    - jffs2: Fix rtime decompressor
    - ocfs2: Revert "ocfs2: fix the la space leak when unmounting an ocfs2 volume"
    - modpost: Add .irqentry.text to OTHER_SECTIONS
    - Revert "drm/amdgpu: add missing size check in amdgpu_debugfs_gprwave_read()"
    - PCI: rockchip-ep: Fix address translation unit programming
    - ALSA: usb-audio: Fix out of bounds reads when finding clock sources
    - bpf, xdp: Update devmap comments to reflect napi/rcu usage
    - Linux 5.4.287
  * CVE-2024-23848
    - media: cec: abort if the current transmit was canceled
    - media: cec: core: avoid recursive cec_claim_log_addrs
    - media: cec: core: avoid confusing "transmit timed out" message

 -- Wei-Lin Chang <weilin.chang@canonical.com>  Tue, 18 Mar 2025 13:33:49 +0800

linux-iot (5.4.0-1046.49) focal; urgency=medium

  * focal/linux-iot: 5.4.0-1046.49 -proposed tracker (LP: #2093774)

  * Add list of source files to linux-buildinfo (LP: #2086606)
    - [Packaging] iot: Add dwarfdump dependency

  [ Ubuntu: 5.4.0-208.228 ]

  * CVE-2025-0927
    - SAUCE: fs: hfs/hfsplus: add key_len boundary check to hfs_bnode_read_key

  [ Ubuntu: 5.4.0-207.227 ]

  * focal/linux: 5.4.0-207.227 -proposed tracker (LP: #2095347)
  * Remove "ftrace: Fix possible use-after-free issue in ftrace_location()" bad
    commit from focal (LP: #2095348)
    - Revert "ftrace: Fix possible use-after-free issue in ftrace_location()"

  [ Ubuntu: 5.4.0-206.226 ]

  * focal/linux: 5.4.0-206.226 -proposed tracker (LP: #2093785)
  * nouveau keeps showing `disp: ctrl 00000080` and crippling the system
    (LP: #2078011)
    - drm/nouveau/disp/gv100-: halt NV_PDISP_FE_RM_INTR_STAT_CTRL_DISP_ERROR
      storms
    - drm/nouveau/kms/gv100-: move window ownership setup into modesetting path
    - drm/nouveau/kms/gv100-: avoid sending a core update until the first modeset
  * CVE-2024-43863
    - drm/vmwgfx: Fix a deadlock in dma buf fence polling
  * CVE-2024-40911
    - wifi: cfg80211: Lock wiphy in cfg80211_get_station
  * CVE-2024-35896
    - netfilter: validate user input for expected length
    - netfilter: complete validation of user input
  * CVE-2023-52458
    - block: add check that partition length needs to be aligned with block size
  * kernel:nft "Could not process rule: Device or resource busy" on unreferenced
    chain (LP: #2089699)
    - SAUCE: netfilter: nf_tables: Fix EBUSY on deleting unreferenced chain
  * CVE-2024-35887
    - lockdep: Add preemption enabled/disabled assertion APIs
    - timers: Don't block on ->expiry_lock for TIMER_IRQSAFE timers
    - Documentation: Remove bogus claim about del_timer_sync()
    - ARM: spear: Do not use timer namespace for timer_shutdown() function
    - clocksource/drivers/arm_arch_timer: Do not use timer namespace for
      timer_shutdown() function
    - clocksource/drivers/sp804: Do not use timer namespace for timer_shutdown()
      function
    - timers: Get rid of del_singleshot_timer_sync()
    - timers: Replace BUG_ON()s
    - timers: Rename del_timer() to timer_delete()
    - Documentation: Replace del_timer/del_timer_sync()
    - timers: Silently ignore timers with a NULL function
    - timers: Split [try_to_]del_timer[_sync]() to prepare for shutdown mode
    - timers: Add shutdown mechanism to the internal functions
    - timers: Provide timer_shutdown[_sync]()
    - timers: Update the documentation to reflect on the new timer_shutdown() API
    - ax25: fix use-after-free bugs caused by ax25_ds_del_timer
  * CVE-2024-40965
    - clk: Add a devm variant of clk_rate_exclusive_get()
    - clk: Provide !COMMON_CLK dummy for devm_clk_rate_exclusive_get()
    - i2c: lpi2c: Avoid calling clk_get_rate during transfer
  * CVE-2024-40982
    - ssb: Fix potential NULL pointer dereference in ssb_device_uevent()
  * CVE-2024-41066
    - ibmvnic: Add tx check to prevent skb leak
  * CVE-2024-42252
    - closures: Change BUG_ON() to WARN_ON()
  * CVE-2024-46731
    - drm/amd/pm: fix the Out-of-bounds read warning
  * Focal update: v5.4.286 upstream stable release (LP: #2089558)
    - arm64: dts: rockchip: Fix rt5651 compatible value on rk3399-sapphire-
      excavator
    - arm64: dts: rockchip: Remove hdmi's 2nd interrupt on rk3328
    - arm64: dts: rockchip: Fix bluetooth properties on Rock960 boards
    - arm64: dts: rockchip: Remove #cooling-cells from fan on Theobroma lion
    - ARM: dts: rockchip: fix rk3036 acodec node
    - ARM: dts: rockchip: drop grf reference from rk3036 hdmi
    - ARM: dts: rockchip: Fix the spi controller on rk3036
    - ARM: dts: rockchip: Fix the realtek audio codec on rk3036-kylin
    - enetc: simplify the return expression of enetc_vf_set_mac_addr()
    - net: enetc: set MAC address to the VF net_device
    - can: c_can: fix {rx,tx}_errors statistics
    - media: stb0899_algo: initialize cfr before using it
    - media: dvb_frontend: don't play tricks with underflow values
    - media: adv7604: prevent underflow condition when reporting colorspace
    - ALSA: firewire-lib: fix return value on fail in amdtp_tscm_init()
    - pwm: imx-tpm: Use correct MODULO value for EPWM mode
    - drm/amdgpu: prevent NULL pointer dereference if ATIF is not supported
    - dm cache: correct the number of origin blocks to match the target length
    - dm cache: optimize dirty bit checking with find_next_bit when resizing
    - dm-unstriped: cast an operand to sector_t to prevent potential uint32_t
      overflow
    - mtd: rawnand: protect access to rawnand devices while in suspend
    - spi: fix use-after-free of the add_lock mutex
    - media: uvcvideo: Skip parsing frames of type UVC_VS_UNDEFINED in
      uvc_parse_format
    - fs/proc: fix compile warning about variable 'vmcore_mmap_ops'
    - USB: serial: qcserial: add support for Sierra Wireless EM86xx
    - USB: serial: option: add Fibocom FG132 0x0112 composition
    - USB: serial: option: add Quectel RG650V
    - irqchip/gic-v3: Force propagation of the active state with a read-back
    - ALSA: usb-audio: Support jack detection on Dell dock
    - ALSA: usb-audio: Add quirks for Dell WD19 dock
    - NFSD: Fix NFSv4's PUTPUBFH operation
    - ALSA: usb-audio: Add endianness annotations
    - 9p: Avoid creating multiple slab caches with the same name
    - HID: multitouch: Add quirk for HONOR MagicBook Art 14 touchpad
    - bpf: use kvzmalloc to allocate BPF verifier environment
    - sound: Make CONFIG_SND depend on INDIRECT_IOMEM instead of UML
    - powerpc/powernv: Free name on error in opal_event_init()
    - fs: Fix uninitialized value issue in from_kuid and from_kgid
    - net: usb: qmi_wwan: add Fibocom FG132 0x0112 composition
    - md/raid10: improve code of mrdev in raid10_sync_request
    - mm: clarify a confusing comment for remap_pfn_range()
    - mm: fix ambiguous comments for better code readability
    - mm/memory.c: make remap_pfn_range() reject unaligned addr
    - mm: add remap_pfn_range_notrack
    - 9p: fix slab cache name creation for real
    - Linux 5.4.286
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-47674
    - mm: avoid leaving partial pfn mappings around in error case
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-38588
    - ftrace: Fix possible use-after-free issue in ftrace_location()
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-50265
    - ocfs2: remove entry once instead of null-ptr-dereference in
      ocfs2_xa_remove()
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-50267
    - USB: serial: io_edgeport: fix use after free in debug printk
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-50269
    - usb: musb: sunxi: Fix accessing an released usb phy
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2021-47469
    - spi: Fix deadlock when adding SPI controllers on SPI buses
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-50273
    - btrfs: reinitialize delayed ref list after deleting it from the list
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-53066
    - nfs: Fix KMSAN warning in decode_getfattr_attrs()
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-50278
    - dm cache: fix potential out-of-bounds access on the first resume
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-50279
    - dm cache: fix out-of-bounds access to the dirty bitset when resizing
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-50282
    - drm/amdgpu: add missing size check in amdgpu_debugfs_gprwave_read()
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-50287
    - media: v4l2-tpg: prevent the risk of a division by zero
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-50290
    - media: cx24116: prevent overflows on SNR calculus
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-53061
    - media: s5p-jpeg: prevent buffer overflows
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-53063
    - media: dvbdev: prevent the risk of out of memory access
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-50296
    - net: hns3: fix kernel crash when uninstalling driver
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-50299
    - sctp: properly validate chunk size in sctp_sf_ootb()
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-50301
    - security/keys: fix slab-out-of-bounds in key_task_permission
  * Focal update: v5.4.286 upstream stable release (LP: #2089558) //
    CVE-2024-50302
    - HID: core: zero-initialize the report buffer
  * Add list of source files to linux-buildinfo (LP: #2086606)
    - [Packaging] Sort build dependencies alphabetically
    - [Packaging] Add list of used source files to buildinfo package
  * Focal update: v5.4.285 upstream stable release (LP: #2089233)
    - usbnet: ipheth: fix carrier detection in modes 1 and 4
    - net: ethernet: use ip_hdrlen() instead of bit shift
    - net: phy: vitesse: repair vsc73xx autonegotiation
    - scripts: kconfig: merge_config: config files: add a trailing newline
    - arm64: dts: rockchip: override BIOS_DISABLE signal via GPIO hog on RK3399
      Puma
    - ice: fix accounting for filters shared by multiple VSIs
    - net/mlx5e: Add missing link modes to ptys2ethtool_map
    - net: ftgmac100: Enable TX interrupt to avoid TX timeout
    - soundwire: stream: Revert "soundwire: stream: fix programming slave ports
      for non-continous port maps"
    - selftests: breakpoints: Fix a typo of function name
    - ASoC: allow module autoloading for table db1200_pids
    - ALSA: hda/realtek - Fixed ALC256 headphone no sound
    - ALSA: hda/realtek - FIxed ALC285 headphone no sound
    - pinctrl: at91: make it work with current gpiolib
    - microblaze: don't treat zero reserved memory regions as error
    - net: ftgmac100: Ensure tx descriptor updates are visible
    - wifi: iwlwifi: mvm: fix iwl_mvm_max_scan_ie_fw_cmd_room()
    - ASoC: tda7419: fix module autoloading
    - drm: komeda: Fix an issue related to normalized zpos
    - spi: bcm63xx: Enable module autoloading
    - x86/hyperv: Set X86_FEATURE_TSC_KNOWN_FREQ when Hyper-V provides frequency
    - USB: serial: pl2303: add device id for Macrosilicon MS3020
    - ACPI: PMIC: Remove unneeded check in tps68470_pmic_opregion_probe()
    - wifi: ath9k: fix parameter check in ath9k_init_debug()
    - wifi: ath9k: Remove error checks when creating debugfs entries
    - fs: explicitly unregister per-superblock BDIs
    - mount: warn only once about timestamp range expiration
    - fs/namespace: fnic: Switch to use %ptTd
    - mount: handle OOM on mnt_warn_timestamp_expiry
    - can: j1939: use correct function name in comment
    - netfilter: nf_tables: elements with timeout below CONFIG_HZ never expire
    - netfilter: nf_tables: reject element expiration with no timeout
    - netfilter: nf_tables: reject expiration higher than timeout
    - wifi: cfg80211: fix UBSAN noise in cfg80211_wext_siwscan()
    - wifi: cfg80211: fix two more possible UBSAN-detected off-by-one errors
    - mac80211: parse radiotap header when selecting Tx queue
    - Bluetooth: btusb: Fix not handling ZPL/short-transfer
    - net: tipc: avoid possible garbage value
    - block, bfq: choose the last bfqq from merge chain in bfq_setup_cooperator()
    - block, bfq: don't break merge chain in bfq_split_bfqq()
    - spi: ppc4xx: handle irq_of_parse_and_map() errors
    - spi: ppc4xx: Avoid returning 0 when failed to parse and map IRQ
    - ARM: dts: imx7d-zii-rmu2: fix Ethernet PHY pinctrl property
    - ARM: versatile: fix OF node leak in CPUs prepare
    - reset: berlin: fix OF node leak in probe() error path
    - clocksource/drivers/qcom: Add missing iounmap() on errors in
      msm_dt_timer_init()
    - hwmon: (max16065) Fix overflows seen when writing limits
    - mtd: slram: insert break after errors in parsing the map
    - hwmon: (ntc_thermistor) fix module autoloading
    - power: supply: axp20x_battery: allow disabling battery charging
    - power: supply: axp20x_battery: Remove design from min and max voltage
    - power: supply: max17042_battery: Fix SOC threshold calc w/ no current sense
    - fbdev: hpfb: Fix an error handling path in hpfb_dio_probe()
    - mtd: powernv: Add check devm_kasprintf() returned value
    - drm/stm: Fix an error handling path in stm_drm_platform_probe()
    - drm/amdgpu: Replace one-element array with flexible-array member
    - drm/amdgpu: properly handle vbios fake edid sizing
    - drm/radeon: Replace one-element array with flexible-array member
    - drm/radeon: properly handle vbios fake edid sizing
    - drm/rockchip: vop: Allow 4096px width scaling
    - drm/rockchip: dw_hdmi: Fix reading EDID when using a forced mode
    - drm/radeon/evergreen_cs: fix int overflow errors in cs track offsets
    - drm/msm: Fix incorrect file name output in adreno_request_fw()
    - drm/msm/a5xx: disable preemption in submits by default
    - drm/msm/a5xx: properly clear preemption records on resume
    - drm/msm/a5xx: fix races in preemption evaluation stage
    - ipmi: docs: don't advertise deprecated sysfs entries
    - drm/msm: fix %s null argument error
    - drivers:drm:exynos_drm_gsc:Fix wrong assignment in gsc_bind()
    - xen: use correct end address of kernel for conflict checking
    - xen/swiotlb: add alignment check for dma buffers
    - selftests/bpf: Fix compile error from rlim_t in sk_storage_map.c
    - selftests/bpf: Fix compiling flow_dissector.c with musl-libc
    - selftests/bpf: Fix compiling tcp_rtt.c with musl-libc
    - selftests/bpf: Fix error compiling test_lru_map.c
    - xz: cleanup CRC32 edits from 2018
    - kthread: add kthread_work tracepoints
    - kthread: fix task state in kthread worker if being frozen
    - ext4: clear EXT4_GROUP_INFO_WAS_TRIMMED_BIT even mount with discard
    - smackfs: Use rcu_assign_pointer() to ensure safe assignment in smk_set_cipso
    - ext4: avoid negative min_clusters in find_group_orlov()
    - ext4: return error on ext4_find_inline_entry
    - nilfs2: determine empty node blocks as corrupted
    - bpf: Fix bpf_strtol and bpf_strtoul helpers for 32bit
    - perf sched timehist: Fix missing free of session in perf_sched__timehist()
    - perf sched timehist: Fixed timestamp error when unable to confirm event
      sched_in time
    - perf time-utils: Fix 32-bit nsec parsing
    - clk: rockchip: Set parent rate for DCLK_VOP clock on RK3228
    - PCI: xilinx-nwl: Fix register misspelling
    - pinctrl: single: fix missing error code in pcs_probe()
    - clk: ti: dra7-atl: Fix leak of of_nodes
    - pinctrl: mvebu: Fix devinit_dove_pinctrl_probe function
    - watchdog: imx_sc_wdt: Don't disable WDT in suspend
    - RDMA/hns: Optimize hem allocation performance
    - riscv: Fix fp alignment bug in perf_callchain_user()
    - f2fs: enhance to update i_mode and acl atomically in f2fs_setattr()
    - f2fs: fix typo
    - f2fs: fix to update i_ctime in __f2fs_setxattr()
    - f2fs: remove unneeded check condition in __f2fs_setxattr()
    - f2fs: reduce expensive checkpoint trigger frequency
    - iio: adc: ad7606: fix oversampling gpio array
    - iio: adc: ad7606: fix standby gpio state to match the documentation
    - coresight: tmc: sg: Do not leak sg_table
    - net: qrtr: Update packets cloning when broadcasting
    - netfilter: ctnetlink: compile ctnetlink_label_size with
      CONFIG_NF_CONNTRACK_EVENTS
    - Remove *.orig pattern from .gitignore
    - soc: versatile: integrator: fix OF node leak in probe() error path
    - drm/amd/display: Round calculated vtotal
    - USB: appledisplay: close race between probe and completion handler
    - USB: misc: cypress_cy7c63: check for short transfer
    - USB: class: CDC-ACM: fix race between get_serial and set_serial
    - tty: rp2: Fix reset with non forgiving PCIe host bridges
    - drbd: Fix atomicity violation in drbd_uuid_set_bm()
    - drbd: Add NULL check for net_conf to prevent dereference in state validation
    - ACPI: resource: Add another DMI match for the TongFang GMxXGxx
    - wifi: rtw88: 8822c: Fix reported RX band width
    - debugobjects: Fix conditions in fill_pool()
    - f2fs: prevent possible int overflow in dir_block_index()
    - f2fs: avoid potential int overflow in sanity_check_area_boundary()
    - hwrng: mtk - Use devm_pm_runtime_enable
    - fs: Fix file_set_fowner LSM hook inconsistencies
    - nfs: fix memory leak in error path of nfs4_do_reclaim
    - ASoC: meson: axg: extract sound card utils
    - [Config] updateconfigs for SND_MESON_CARD_UTILS
    - PCI: xilinx-nwl: Use irq_data_get_irq_chip_data()
    - PCI: xilinx-nwl: Fix off-by-one in INTx IRQ handler
    - soc: versatile: realview: fix memory leak during device remove
    - soc: versatile: realview: fix soc_dev leak during device remove
    - usb: yurex: Replace snprintf() with the safer scnprintf() variant
    - USB: misc: yurex: fix race between read and write
    - pps: remove usage of the deprecated ida_simple_xx() API
    - pps: add an error check in parport_attach
    - mm: only enforce minimum stack gap size if it's sensible
    - i2c: aspeed: Update the stop sw state when the bus recovery occurs
    - i2c: isch: Add missed 'else'
    - usb: yurex: Fix inconsistent locking bug in yurex_read()
    - mailbox: rockchip: fix a typo in module autoloading
    - Minor fixes to the CAIF Transport drivers Kconfig file
    - drivers: net: Fix Kconfig indentation, continued
    - ieee802154: Fix build error
    - net/mlx5: Added cond_resched() to crdump collection
    - netfilter: uapi: NFTA_FLOWTABLE_HOOK is NLA_NESTED
    - net: ieee802154: mcr20a: Use IRQF_NO_AUTOEN flag in request_irq()
    - Bluetooth: btmrvl_sdio: Refactor irq wakeup
    - Bluetooth: btmrvl: Use IRQF_NO_AUTOEN flag in request_irq()
    - ipv4: ip_gre: Fix drops of small packets in ipgre_xmit
    - ALSA: hda/realtek: Fix the push button function for the ALC257
    - ALSA: hda/generic: Unconditionally prefer preferred_dacs pairs
    - ALSA: hda/conexant: Fix conflicting quirk for System76 Pangolin
    - wifi: ath9k: fix possible integer overflow in ath9k_get_et_stats()
    - ice: Adjust over allocation of memory in ice_sched_add_root_node() and
      ice_sched_add_node()
    - net: hisilicon: hip04: fix OF node leak in probe()
    - net: hisilicon: hns_dsaf_mac: fix OF node leak in hns_mac_get_info()
    - net: hisilicon: hns_mdio: fix OF node leak in probe()
    - ACPICA: Fix memory leak if acpi_ps_get_next_namepath() fails
    - ACPICA: Fix memory leak if acpi_ps_get_next_field() fails
    - net: sched: consistently use rcu_replace_pointer() in taprio_change()
    - wifi: rtw88: select WANT_DEV_COREDUMP
    - ACPI: EC: Do not release locks during operation region accesses
    - net: mvpp2: Increase size of queue_name buffer
    - ipv4: Check !in_dev earlier for ioctl(SIOCSIFADDR).
    - ipv4: Mask upper DSCP bits and ECN bits in NETLINK_FIB_LOOKUP family
    - tcp: avoid reusing FIN_WAIT2 when trying to find port in connect() process
    - ACPICA: iasl: handle empty connection_node
    - proc: add config & param to block forcing mem writes
    - [Config] updateconfigs to select PROC_MEM_ALWAYS_FORCE
    - nfp: Use IRQF_NO_AUTOEN flag in request_irq()
    - signal: Replace BUG_ON()s
    - ALSA: hdsp: Break infinite MIDI input flush loop
    - x86/syscall: Avoid memcpy() for ia32 syscall_get_arguments()
    - power: reset: brcmstb: Do not go into infinite loop if reset fails
    - ata: sata_sil: Rename sil_blacklist to sil_quirks
    - jfs: UBSAN: shift-out-of-bounds in dbFindBits
    - drm/printer: Allow NULL data in devcoredump printer
    - scsi: aacraid: Rearrange order of struct aac_srb_unit
    - drm/radeon/r100: Handle unknown family in r100_cp_init_microcode()
    - of/irq: Refer to actual buffer size in of_irq_parse_one()
    - ext4: ext4_search_dir should return a proper error
    - spi: s3c64xx: fix timeout counters in flush_fifo
    - selftests: breakpoints: use remaining time to check if suspend succeed
    - selftests: vDSO: fix vDSO symbols lookup for powerpc64
    - i2c: xiic: Wait for TX empty to avoid missed TX NAKs
    - firmware: tegra: bpmp: Drop unused mbox_client_to_bpmp()
    - spi: bcm63xx: Fix module autoloading
    - perf/core: Fix small negative period being ignored
    - parisc: Fix itlb miss handler for 64-bit programs
    - drm: Consistently use struct drm_mode_rect for FB_DAMAGE_CLIPS
    - ALSA: core: add isascii() check to card ID generator
    - ext4: propagate errors from ext4_find_extent() in ext4_insert_range()
    - ext4: fix incorrect tid assumption in __jbd2_log_wait_for_space()
    - ext4: fix incorrect tid assumption in ext4_wait_for_tail_page_commit()
    - parisc: Fix 64-bit userspace syscall path
    - parisc: Fix stack start for ADDR_NO_RANDOMIZE personality
    - of/irq: Support #msi-cells=<0> in of_msi_get_domain
    - mm: krealloc: consider spare memory for __GFP_ZERO
    - ocfs2: fix the la space leak when unmounting an ocfs2 volume
    - ocfs2: fix uninit-value in ocfs2_get_block()
    - riscv: define ILLEGAL_POINTER_VALUE for 64bit
    - clk: rockchip: fix error for unknown clocks
    - media: sun4i_csi: Implement link validate for sun4i_csi subdev
    - media: uapi/linux/cec.h: cec_msg_set_reply_to: zero flags
    - iio: magnetometer: ak8975: Fix reading for ak099xx sensors
    - tomoyo: fallback to realpath if symlink's pathname does not exist
    - rtc: at91sam9: fix OF node leak in probe() error path
    - Input: adp5589-keys - fix adp5589_gpio_get_value()
    - ACPI: resource: Add Asus Vivobook X1704VAP to irq1_level_low_skip_override[]
    - ACPI: resource: Add Asus ExpertBook B2502CVA to
      irq1_level_low_skip_override[]
    - gpio: davinci: fix lazy disable
    - i2c: qcom-geni: Let firmware specify irq trigger flags
    - i2c: qcom-geni: Grow a dev pointer to simplify code
    - i2c: qcom-geni: Use IRQF_NO_AUTOEN flag in request_irq()
    - arm64: Add Cortex-715 CPU part definition
    - arm64: cputype: Add Neoverse-N3 definitions
    - arm64: errata: Expand speculative SSBS workaround once more
    - nfsd: use ktime_get_seconds() for timestamps
    - nfsd: fix delegation_blocked() to block correctly for at least 30 seconds
    - clk: qcom: rpmh: Simplify clk_rpmh_bcm_send_cmd()
    - clk: qcom: clk-rpmh: Fix overflow in BCM vote
    - r8169: Fix spelling mistake: "tx_underun" -> "tx_underrun"
    - ACPI: battery: Simplify battery hook locking
    - ext4: fix inode tree inconsistency caused by ENOMEM
    - net: ethernet: cortina: Drop TSO support
    - tracing: Remove precision vsnprintf() check from print event
    - drm/crtc: fix uninitialized variable use even harder
    - tracing: Have saved_cmdlines arrays all in one allocation
    - virtio_console: fix misc probe bugs
    - Input: synaptics-rmi4 - fix UAF of IRQ domain on driver removal
    - bpf: Check percpu map value size first
    - s390/facility: Disable compile time optimization for decompressor code
    - s390/mm: Add cond_resched() to cmm_alloc/free_pages()
    - ext4: nested locking for xattr inode
    - s390/cpum_sf: Remove WARN_ON_ONCE statements
    - ktest.pl: Avoid false positives with grub2 skip regex
    - clk: bcm: bcm53573: fix OF node leak in init
    - PCI: Add ACS quirk for Qualcomm SA8775P
    - i2c: i801: Use a different adapter-name for IDF adapters
    - PCI: Mark Creative Labs EMU20k2 INTx masking as broken
    - media: videobuf2-core: clear memory related fields in
      __vb2_plane_dmabuf_put()
    - usb: chipidea: udc: enable suspend interrupt after usb reset
    - usb: dwc2: Adjust the timing of USB Driver Interrupt Registration in the
      Crashkernel Scenario
    - tools/iio: Add memory allocation failure check for trigger_name
    - driver core: bus: Return -EIO instead of 0 when show/store invalid bus
      attribute
    - ice: fix VLAN replay after reset
    - SUNRPC: Fix integer overflow in decode_rc_list()
    - tcp: fix to allow timestamp undo if no retransmits were sent
    - tcp: fix tcp_enter_recovery() to zero retrans_stamp when it's safe
    - gpio: aspeed: Add the flush write to ensure the write complete.
    - gpio: aspeed: Use devm_clk api to manage clock source
    - net: ibm: emac: mal: fix wrong goto
    - net: annotate lockless accesses to sk->sk_ack_backlog
    - net: annotate lockless accesses to sk->sk_max_ack_backlog
    - sctp: ensure sk_state is set to CLOSED if hashing fails in sctp_listen_start
    - locking/lockdep: Fix bad recursion pattern
    - locking/lockdep: Rework lockdep_lock
    - locking/lockdep: Avoid potential access of invalid memory in lock_class
    - lockdep: fix deadlock issue between lockdep and rcu
    - HID: plantronics: Workaround for an unexcepted opposite volume key
    - Revert "usb: yurex: Replace snprintf() with the safer scnprintf() variant"
    - usb: dwc3: core: Stop processing of pending events if controller is halted
    - usb: xhci: Fix problem with xhci resume from suspend
    - usb: storage: ignore bogus device raised by JieLi BR21 USB sound chip
    - hid: intel-ish-hid: Fix uninitialized variable 'rv' in
      ish_fw_xfer_direct_dma
    - arm64: probes: Fix simulate_ldr*_literal()
    - tracing/kprobes: Return EADDRNOTAVAIL when func matches several symbols
    - tracing/kprobes: Fix symbol counting logic by looking at modules as well
    - PCI: Add function 0 DMA alias quirk for Glenfly Arise chip
    - fat: fix uninitialized variable
    - s390/sclp_vt220: Convert newlines to CRLF instead of LFCR
    - KVM: s390: Change virtual to physical address access in diag 0x258 handler
    - x86/cpufeatures: Define X86_FEATURE_AMD_IBPB_RET
    - drm/vmwgfx: Handle surface check failure correctly
    - iio: dac: ltc1660: add missing select REGMAP_SPI in Kconfig
    - iio: dac: stm32-dac-core: add missing select REGMAP_MMIO in Kconfig
    - iio: adc: ti-ads8688: add missing select IIO_(TRIGGERED_)BUFFER in Kconfig
    - iio: hid-sensors: Fix an error handling path in
      _hid_sensor_set_report_latency()
    - iio: light: opt3001: add missing full-scale range value
    - iio: proximity: mb1232: add missing select IIO_(TRIGGERED_)BUFFER in Kconfig
    - iio: adc: ti-ads124s08: add missing select IIO_(TRIGGERED_)BUFFER in Kconfig
    - Bluetooth: Remove debugfs directory on module init failure
    - Bluetooth: btusb: Fix regression with fake CSR controllers 0a12:0001
    - xhci: Fix incorrect stream context type macro
    - USB: serial: option: add support for Quectel EG916Q-GL
    - USB: serial: option: add Telit FN920C04 MBIM compositions
    - x86/resctrl: Annotate get_mem_config() functions as __init
    - x86/apic: Always explicitly disarm TSC-deadline timer
    - mac80211: Fix NULL ptr deref for injected rate info
    - RDMA/bnxt_re: Fix incorrect AVID type in WQE structure
    - ARM: dts: bcm2837-rpi-cm3-io3: Fix HDMI hpd-gpio pin
    - RDMA/cxgb4: Fix RDMA_CM_EVENT_UNREACHABLE error for iWARP
    - ipv4: give an IPv4 dev to blackhole_netdev
    - RDMA/bnxt_re: Return more meaningful error
    - drm/msm/dsi: fix 32-bit signed integer extension in pclk_rate calculation
    - macsec: don't increment counters for an unrelated SA
    - net: ethernet: aeroflex: fix potential memory leak in
      greth_start_xmit_gbit()
    - genetlink: hold RCU in genlmsg_mcast()
    - arm64:uprobe fix the uprobe SWBP_INSN in big-endian
    - KVM: s390: gaccess: Check if guest address is in memslot
    - jfs: Fix sanity check in dbMount
    - net: usb: usbnet: fix name regression
    - r8169: avoid unsolicited interrupts
    - posix-clock: posix-clock: Fix unbalanced locking in pc_clock_settime()
    - ALSA: hda/realtek: Update default depop procedure
    - ACPI: resource: Add LG 16T90SP to irq1_level_low_skip_override[]
    - ACPI: button: Add DMI quirk for Samsung Galaxy Book2 to fix initial lid
      detection issue
    - ALSA: hda/realtek: Add subwoofer quirk for Acer Predator G9-593
    - hv_netvsc: Fix VF namespace also in synthetic NIC NETDEV_REGISTER event
    - selinux: improve error checking in sel_write_load()
    - arm64/uprobes: change the uprobe_opcode_t typedef to fix the sparse warning
    - cgroup: Fix potential overflow issue when checking max_depth
    - wifi: mac80211: skip non-uploaded keys in ieee80211_iter_keys
    - mac80211: do drv_reconfig_complete() before restarting all
    - mac80211: Add support to trigger sta disconnect on hardware restart
    - wifi: iwlwifi: mvm: disconnect station vifs if recovery failed
    - ASoC: cs42l51: Fix some error handling paths in cs42l51_probe()
    - dt-bindings: gpu: Convert Samsung Image Rotator to dt-schema
    - gtp: simplify error handling code in 'gtp_encap_enable()'
    - gtp: allow -1 to be specified as file description from userspace
    - net: support ip generic csum processing in skb_csum_hwoffload_help
    - net: skip offload for NETIF_F_IPV6_CSUM if ipv6 header contains extension
    - drivers/misc: ti-st: Remove unneeded variable in st_tty_open
    - firmware: arm_sdei: Fix the input parameter of cpuhp_remove_state()
    - net: amd: mvme147: Fix probe banner message
    - misc: sgi-gru: Don't disable preemption in GRU driver
    - usbip: tools: Fix detach_port() invalid port error path
    - usb: phy: Fix API devm_usb_put_phy() can not release the phy
    - xhci: Fix Link TRB DMA in command ring stopped completion event
    - Revert "driver core: Fix uevent_show() vs driver detach race"
    - riscv: Remove unused GENERATING_ASM_OFFSETS
    - Revert "drm/mipi-dsi: Set the fwnode for mipi_dsi_device"
    - vt: prevent kernel-infoleak in con_font_get()
    - mac80211: always have ieee80211_sta_restart()
    - mm: krealloc: Fix MTE false alarm in __do_krealloc
    - Linux 5.4.285
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50228
    - mm: shmem: fix data-race in shmem_getattr()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50230
    - nilfs2: fix kernel bug due to missing clearing of checked flag
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50218
    - ocfs2: pass u64 to ocfs2_truncate_inline maybe overflow
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50229
    - nilfs2: fix potential deadlock with newly created symlinks
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50233
    - staging: iio: frequency: ad9832: fix division by zero in
      ad9832_calc_freqreg()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50234
    - wifi: iwlegacy: Clear stale interrupts before resuming device
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50236
    - wifi: ath10k: Fix memory leak in management tx
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50237
    - wifi: mac80211: do not pass a stopped vif to the driver in .get_txpower
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50251
    - netfilter: nft_payload: sanitize offset and length before calling
      skb_checksum()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50262
    - bpf: Fix out-of-bounds write in trie_get_next_key()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-53059
    - wifi: iwlwifi: mvm: Fix response handling in iwl_mvm_send_recovery_cmd()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50142
    - xfrm: validate new SA's prefixlen using SA family when sel.family is unset
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50116
    - nilfs2: fix kernel bug due to missing clearing of buffer delay flag
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50117
    - drm/amd: Guard against bad data for ATIF ACPI method
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50205
    - ALSA: firewire-lib: Avoid division by zero in apply_constraint_to_size()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50127
    - net: sched: fix use-after-free in taprio_change()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50167
    - be2net: fix potential memory leak in be_xmit()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50168
    - net/sun3_82586: fix potential memory leak in sun3_82586_send_packet()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50131
    - tracing: Consider the NULL character when validating the event length
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50143
    - udf: fix uninit-value use in udf_get_fileshortad
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50134
    - drm/vboxvideo: Replace fake VLA at end of vbva_mouse_pointer_shape with real
      VLA
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50194
    - arm64: probes: Fix uprobes for big-endian kernels
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50148
    - Bluetooth: bnep: fix wild-memory-access in proto_unregister
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50150
    - usb: typec: altmode should keep reference to parent
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50151
    - smb: client: fix OOBs when building SMB2_IOCTL request
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50171
    - net: systemport: fix potential memory leak in bcm_sysport_xmit()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50202
    - nilfs2: propagate directory read errors from nilfs_find_entry()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50074
    - parport: Proper fix for array out-of-bounds access
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50082
    - blk-rq-qos: fix crash on rq_qos_wait vs. rq_qos_wake_function race
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-40953
    - KVM: Fix a data race on last_boosted_vcpu in kvm_vcpu_on_spin()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50199
    - mm/swapfile: skip HugeTLB pages for unuse_vma
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50099
    - arm64: probes: Remove broken LDR (literal) uprobe support
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50195
    - posix-clock: Fix missing timespec64 check in pc_clock_settime()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50096
    - nouveau/dmem: Fix vulnerability in migrate_to_ram upon copy error
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50024
    - net: Fix an unsafe loop on the list
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49878
    - resource: fix region_intersects() vs add_memory_driver_managed()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50033
    - slip: make slhc_remember() more robust against malicious packets
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50035
    - ppp: fix ppp_async_encode() illegal access
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50039
    - net/sched: accept TCA_STAB only for root qdisc
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50040
    - igb: Do not bring the device up after non-fatal error
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50044
    - Bluetooth: RFCOMM: FIX possible deadlock in rfcomm_sk_state_change
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50045
    - netfilter: br_netfilter: fix panic with metadata_dst skb
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-38544
    - RDMA/rxe: Fix seg fault in rxe_comp_queue_pkt
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50180
    - fbdev: sisfb: Fix strbuf array overflow
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50184
    - virtio_pmem: Check device status before requesting flush
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50059
    - ntb: ntb_hw_switchtec: Fix use after free vulnerability in
      switchtec_ntb_remove due to race condition
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50089
    - unicode: Don't special case ignorable code points
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49955
    - ACPI: battery: Fix possible crash when unregistering a battery hook
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49973
    - r8169: add tally counter fields added with RTL8125
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49975
    - uprobes: fix kernel info leak via "[uprobes]" vma
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49867
    - btrfs: wait for fixup workers before stopping cleaner kthread during umount
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49868
    - btrfs: fix a NULL pointer dereference when failed to start a new trasacntion
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49981
    - media: venus: fix use after free bug in venus_remove due to race condition
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49982
    - aoe: fix the potential use-after-free problem in more places
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49877
    - ocfs2: fix possible null-ptr-deref in ocfs2_set_buffer_uptodate
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49957
    - ocfs2: fix null-ptr-deref when journal load failed.
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49965
    - ocfs2: remove unreasonable unlock in ocfs2_read_blocks
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49966
    - ocfs2: cancel dqi_sync_work before freeing oinfo
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49958
    - ocfs2: reserve space for inline xattr before attaching reflink tree
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49959
    - jbd2: stop waiting for space when jbd2_cleanup_journal_tail() returns error
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49879
    - drm: omapdrm: Add missing check for alloc_ordered_workqueue
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49882
    - ext4: fix double brelse() the buffer of the extents path
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49883
    - ext4: aovid use-after-free in ext4_ext_insert_extent()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49985
    - i2c: stm32f7: Do not prepare/unprepare clock during runtime suspend/resume
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50006
    - ext4: fix i_data_sem unlock order in ext4_ind_migrate()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49892
    - drm/amd/display: Initialize get_bytes_per_element's default to 1
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49894
    - drm/amd/display: Fix index out of bounds in degamma hardware format
      translation
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49896
    - drm/amd/display: Check stream before comparing them
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49900
    - jfs: Fix uninit-value access of new_ea in ea_buffer
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49902
    - jfs: check if leafidx greater than num leaves per dmap tree
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49903
    - jfs: Fix uaf in dbFreeBits
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49924
    - fbdev: pxafb: Fix possible use after free in pxafb_task()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50007
    - ALSA: asihpi: Fix potential OOB array access
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50008
    - wifi: mwifiex: Fix memcpy() field-spanning write warning in
      mwifiex_cmd_802_11_scan_ext()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49995
    - tipc: guard against string buffer overrun
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49962
    - ACPICA: check null return of ACPI_ALLOCATE_ZEROED() in
      acpi_db_convert_to_package()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49938
    - wifi: ath9k_htc: Use __skb_set_length() for resetting urb before resubmit
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47740
    - f2fs: Require FMODE_WRITE for atomic write ioctls
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49944
    - sctp: set sk_state back to CLOSED if autobind fails in sctp_listen_start
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49948
    - net: add more sanity checks to qdisc_pkt_len_init()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49949
    - net: avoid potential underflow in qdisc_pkt_len_init() with UFO
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49997
    - net: ethernet: lantiq_etop: fix memory disclosure
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49952
    - netfilter: nf_tables: prevent nf_skb_duplicated corruption
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-50179
    - ceph: remove the incorrect Fw reference check when dirtying pages
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49963
    - mailbox: bcm2835: Fix timeout during suspend mode
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-46849
    - ASoC: meson: axg-card: fix 'use-after-free'
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47679
    - vfs: fix race between evice_inodes() and find_inode()&iput()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49860
    - ACPI: sysfs: validate return type of _STR method
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47742
    - firmware_loader: Block path traversal
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47684
    - tcp: check skb is non-NULL in tcp_rto_delta_us()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47747
    - net: seeq: Fix use after free vulnerability in ether3 Driver Due to Race
      Condition
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47685
    - netfilter: nf_reject_ipv6: fix nf_reject_ip6_tcphdr_put()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47692
    - nfsd: return -EINVAL when namelen is 0
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47737
    - nfsd: call cache_put if xdr_reserve_space returns NULL
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2023-52917
    - ntb: intel: Fix the NULL vs IS_ERR() bug for debugfs_create_dir()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47749
    - RDMA/cxgb4: Added NULL check for lookup_atid
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47696
    - RDMA/iwcm: Fix WARNING:at_kernel/workqueue.c:#check_flush_dependency
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47756
    - PCI: keystone: Fix if-statement expression in ks_pcie_quirk()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47697
    - drivers: media: dvb-frontends/rtl2830: fix an out-of-bounds write error
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47698
    - drivers: media: dvb-frontends/rtl2832: fix an out-of-bounds write error
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47757
    - nilfs2: fix potential oob read in nilfs_btree_check_delete()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47699
    - nilfs2: fix potential null-ptr-deref in nilfs_btree_insert()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47701
    - ext4: avoid OOB when system.data xattr changes underneath the filesystem
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-49851
    - tpm: Clean up TPM space after command failure
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47723
    - jfs: fix out-of-bounds in dbNextAG() and diAlloc()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47706
    - block, bfq: fix possible UAF for bfqq->bic with merge chain
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47709
    - can: bcm: Clear bo->bcm_proc_read after remove_proc_entry().
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47710
    - sock_map: Add a cond_resched() in sock_hash_free()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47712
    - wifi: wilc1000: fix potential RCU dereference issue in
      wilc_parse_join_bss_param
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47713
    - wifi: mac80211: use two-phase skb reclamation in ieee80211_do_stop()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47671
    - USB: usbtmc: prevent kernel-usb-infoleak
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-44931
    - gpio: prevent potential speculation leaks in gpio_device_get_desc()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-41016
    - ocfs2: strict bound check before memcmp in ocfs2_xattr_find_entry()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47670
    - ocfs2: add bounds checking to ocfs2_xattr_find_entry()
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-47672
    - wifi: iwlwifi: mvm: don't wait for tx queues if firmware is dead
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-46853
    - spi: nxp-fspi: fix the KASAN report out-of-bounds bug
  * Focal update: v5.4.285 upstream stable release (LP: #2089233) //
    CVE-2024-46854
    - net: dpaa: Pad packets to ETH_ZLEN

  [ Ubuntu: 5.4.0-205.225 ]

  * focal/linux: 5.4.0-205.225 -proposed tracker (LP: #2093621)
  * Hold IOPOLL locks when triggering io_uring's deferred work (LP: #2078659) //
    CVE-2023-21400
    - io_uring: remove extra check in __io_commit_cqring
    - io_uring: dont kill fasync under completion_lock
    - io_uring: ensure IOPOLL locks around deferred work
  * CVE-2024-40967
    - iopoll: introduce read_poll_timeout macro
    - iopoll: Introduce read_poll_timeout_atomic macro
    - serial: imx: Introduce timeout when waiting on transmitter empty
  * CVE-2024-53164
    - net: sched: fix ordering of qlen adjustment
  * CVE-2024-53141
    - netfilter: ipset: add missing range check in bitmap_ip_uadt
  * CVE-2024-53103
    - hv_sock: Initializing vsk->trans to NULL to prevent a dangling pointer

  [ Ubuntu: 5.4.0-204.224 ]

  * focal/linux: 5.4.0-204.224 -proposed tracker (LP: #2091090)
  * CVE-2024-50264
    - vsock/virtio: Initialization of the dangling pointer occurring in vsk->trans
  * CVE-2024-53057
    - net/sched: stop qdisc_tree_reduce_backlog on TC_H_ROOT
  * CVE-2024-49967
    - ext4: no need to continue when the number of entries is 1
  * CVE-2024-43892
    - memcg: protect concurrent access to mem_cgroup_idr
  * CVE-2024-38553
    - net: fec: remove .ndo_poll_controller to avoid deadlocks
  * CVE-2024-38597
    - eth: sungem: remove .ndo_poll_controller to avoid deadlocks
  * CVE-2023-52821
    - drm/panel: fix a possible null pointer dereference
  * CVE-2024-36952
    - scsi: lpfc: Move NPIV's transport unregistration to after resource clean up
  * CVE-2024-40910
    - ax25: Fix refcount imbalance on inbound connections
  * CVE-2024-35963
    - Bluetooth: hci_sock: Fix not validating setsockopt user input
  * CVE-2024-35965
    - Bluetooth: L2CAP: uninitialized variables in l2cap_sock_setsockopt()
    - Bluetooth: L2CAP: Fix not validating setsockopt user input
  * CVE-2024-35966
    - Bluetooth: RFCOMM: Fix not validating setsockopt user input
  * CVE-2024-35967
    - Bluetooth: SCO: Fix not validating setsockopt user input
  * CVE-2021-47101
    - net: asix: fix uninit value bugs
    - asix: fix wrong return value in asix_check_host_enable()
    - asix: fix uninit-value in asix_mdio_read()
  * CVE-2022-38096
    - drm/vmwgfx: Fix possible null pointer derefence with invalid contexts
  * CVE-2021-47001
    - xprtrdma: Fix cwnd update ordering

 -- Guoqing Jiang <guoqing.jiang@canonical.com>  Tue, 11 Feb 2025 17:50:04 +0800

linux-iot (5.4.0-1045.46) focal; urgency=medium

  * focal/linux-iot: 5.4.0-1045.46 -proposed tracker (LP: #2086440)

  [ Ubuntu: 5.4.0-202.222 ]

  * focal/linux: 5.4.0-202.222 -proposed tracker (LP: #2086451)
    - [Packaging] resync git-ubuntu-log
  * CVE-2021-47501
    - i40e: Fix NULL pointer dereference in i40e_dbg_dump_desc
  * CVE-2024-46724
    - drm/amdgpu: Fix out-of-bounds read of df_v1_7_channel_number
  * CVE-2024-42240
    - x86/bhi: Avoid warning in #DB handler due to BHI mitigation
  * CVE-2024-42077
    - ocfs2: fix DIO failure due to insufficient transaction credits
  * CVE-2024-42068
    - bpf: Take return from set_memory_ro() into account with bpf_prog_lock_ro()
  * CVE-2024-36968
    - Bluetooth: L2CAP: Fix div-by-zero in l2cap_le_flowctl_init()
  * CVE-2024-35904
    - selinux: avoid dereference of garbage after mount failure
  * CVE-2023-52498
    - PM: sleep: Avoid calling put_device() under dpm_list_mtx
    - PM: sleep: Fix error handling in dpm_prepare()
    - async: Split async_schedule_node_domain()
    - async: Introduce async_schedule_dev_nocall()
    - PM: sleep: Fix possible deadlocks in core system-wide PM code
  * CVE-2023-52488
    - serial: sc16is7xx: convert from _raw_ to _noinc_ regmap functions for FIFO
  * CVE-2022-48938
    - CDC-NCM: avoid overflow in sanity checking
  * CVE-2024-42156
    - s390/pkey: Wipe copies of clear-key structures on failure
  * CVE-2024-44942
    - f2fs: fix to do sanity check on F2FS_INLINE_DATA flag in inode during GC
  * CVE-2024-38538
    - net: bridge: xmit: make sure we have at least eth header len bytes
  * CVE-2021-47076
    - RDMA/rxe: Return CQE error if invalid lkey was supplied
  * CVE-2024-36938
    - bpf, skmsg: Fix NULL pointer dereference in sk_psock_skb_ingress_enqueue
  * CVE-2024-44940
    - fou: remove warn in gue_gro_receive on unsupported protocol
  * CVE-2024-35951
    - drm/panfrost: Fix the error path in panfrost_mmu_map_fault_addr()
  * CVE-2023-52497
    - erofs: fix lz4 inplace decompression
  * CVE-2024-36953
    - KVM: arm64: vgic-v2: Check for non-NULL vCPU in vgic_v2_parse_attr()
  * CVE-2022-48943
    - KVM: x86/mmu: make apf token non-zero to fix bug
  * CVE-2024-26947
    - ARM: 9359/1: flush: check if the folio is reserved for no-mapping addresses
  * CVE-2022-48733
    - btrfs: fix use-after-free after failure to create a snapshot
  * CVE-2023-52639
    - KVM: s390: vsie: fix race during shadow creation

 -- Roger Knecht <roger.knecht@canonical.com>  Thu, 14 Nov 2024 15:13:37 +0000

linux-iot (5.4.0-1044.45) focal; urgency=medium

  * focal/linux-iot: 5.4.0-1044.45 -proposed tracker (LP: #2082925)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.iot/dkms-versions -- update from kernel-versions
      (main/2024.09.30)

  [ Ubuntu: 5.4.0-200.220 ]

  * focal/linux: 5.4.0-200.220 -proposed tracker (LP: #2082937)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2024.09.30)
  * CVE-2024-26800
    - tls: rx: coalesce exit paths in tls_decrypt_sg()
    - tls: separate no-async decryption request handling from async
    - tls: fix use-after-free on failed backlog decryption
  * CVE-2024-26641
    - ip6_tunnel: make sure to pull inner header in __ip6_tnl_rcv()
  * CVE-2021-47212
    - net/mlx5: Update error handler for UCTX and UMEM
  * wbt:wbt_* trace event NULL pointer dereference with GENHD_FL_HIDDEN disks
    (LP: #2081085)
    - bdi: use bdi_dev_name() to get device name
  * Focal update: v5.4.284 upstream stable release (LP: #2081278)
    - drm: panel-orientation-quirks: Add quirk for OrangePi Neo
    - i2c: Fix conditional for substituting empty ACPI functions
    - net: usb: qmi_wwan: add MeiG Smart SRM825L
    - drm/amdgpu: Fix uninitialized variable warning in amdgpu_afmt_acr
    - drm/amdgpu: fix overflowed array index read warning
    - drm/amd/display: Check gpio_id before used as array index
    - drm/amd/display: Stop amdgpu_dm initialize when stream nums greater than 6
    - drm/amd/display: Check num_valid_sets before accessing reader_wm_sets[]
    - drm/amd/display: Fix Coverity INTEGER_OVERFLOW within
      dal_gpio_service_create
    - drm/amdgpu: fix ucode out-of-bounds read warning
    - drm/amdgpu: fix mc_data out-of-bounds read warning
    - drm/amdkfd: Reconcile the definition and use of oem_id in struct
      kfd_topology_device
    - apparmor: fix possible NULL pointer dereference
    - ionic: fix potential irq name truncation
    - usbip: Don't submit special requests twice
    - usb: typec: ucsi: Fix null pointer dereference in trace
    - smack: tcp: ipv4, fix incorrect labeling
    - wifi: cfg80211: make hash table duplicates more survivable
    - drm/amd/display: Skip wbscl_set_scaler_filter if filter is null
    - media: uvcvideo: Enforce alignment of frame and interval
    - block: initialize integrity buffer to zero before writing it to media
    - net: set SOCK_RCU_FREE before inserting socket into hashtable
    - virtio_net: Fix napi_skb_cache_put warning
    - udf: Limit file size to 4TB
    - i2c: Use IS_REACHABLE() for substituting empty ACPI functions
    - sch/netem: fix use after free in netem_dequeue
    - ASoC: dapm: Fix UAF for snd_soc_pcm_runtime object
    - ALSA: hda/conexant: Add pincfg quirk to enable top speakers on Sirius
      devices
    - ata: libata: Fix memory leak for error path in ata_host_alloc()
    - irqchip/gic-v2m: Fix refcount leak in gicv2m_of_init()
    - mmc: dw_mmc: Fix IDMAC operation with pages bigger than 4K
    - mmc: sdhci-of-aspeed: fix module autoloading
    - fuse: update stats for pages in dropped aux writeback list
    - fuse: use unsigned type for getxattr/listxattr size truncation
    - reset: hi6220: Add support for AO reset controller
    - clk: hi6220: use CLK_OF_DECLARE_DRIVER
    - clk: qcom: clk-alpha-pll: Fix the pll post div mask
    - clk: qcom: clk-alpha-pll: Fix the trion pll postdiv set rate API
    - ila: call nf_unregister_net_hooks() sooner
    - sched: sch_cake: fix bulk flow accounting logic for host fairness
    - nilfs2: fix missing cleanup on rollforward recovery error
    - nilfs2: fix state management in error path of log writing function
    - ALSA: hda: Add input value sanity checks to HDMI channel map controls
    - smack: unix sockets: fix accept()ed socket label
    - irqchip/armada-370-xp: Do not allow mapping IRQ 0 and 1
    - af_unix: Remove put_pid()/put_cred() in copy_peercred().
    - netfilter: nf_conncount: fix wrong variable type
    - udf: Avoid excessive partition lengths
    - wifi: brcmsmac: advertise MFP_CAPABLE to enable WPA3
    - usb: uas: set host status byte on data completion error
    - PCI: keystone: Add workaround for Errata #i2037 (AM65x SR 1.0)
    - media: qcom: camss: Add check for v4l2_fwnode_endpoint_parse
    - pcmcia: Use resource_size function on resource object
    - can: bcm: Remove proc entry when dev is unregistered.
    - igb: Fix not clearing TimeSync interrupts for 82580
    - platform/x86: dell-smbios: Fix error path in dell_smbios_init()
    - tcp_bpf: fix return value of tcp_bpf_sendmsg()
    - cx82310_eth: re-enable ethernet mode after router reboot
    - drivers/net/usb: Remove all strcpy() uses
    - net: usb: don't write directly to netdev->dev_addr
    - usbnet: modern method to get random MAC
    - net: bridge: fdb: convert is_local to bitops
    - net: bridge: fdb: convert is_static to bitops
    - net: bridge: fdb: convert is_sticky to bitops
    - net: bridge: fdb: convert added_by_user to bitops
    - net: bridge: fdb: convert added_by_external_learn to use bitops
    - net: bridge: br_fdb_external_learn_add(): always set EXT_LEARN
    - net: dsa: vsc73xx: fix possible subblocks range of CAPT block
    - ASoC: topology: Properly initialize soc_enum values
    - dm init: Handle minors larger than 255
    - iommu/vt-d: Handle volatile descriptor status read
    - cgroup: Protect css->cgroup write under css_set_lock
    - um: line: always fill *error_out in setup_one_line()
    - devres: Initialize an uninitialized struct member
    - pci/hotplug/pnv_php: Fix hotplug driver crash on Powernv
    - hwmon: (adc128d818) Fix underflows seen when writing limit attributes
    - hwmon: (lm95234) Fix underflows seen when writing limit attributes
    - hwmon: (nct6775-core) Fix underflows seen when writing limit attributes
    - hwmon: (w83627ehf) Fix underflows seen when writing limit attributes
    - libbpf: Add NULL checks to bpf_object__{prev_map,next_map}
    - wifi: mwifiex: Do not return unused priv in mwifiex_get_priv_by_id()
    - smp: Add missing destroy_work_on_stack() call in smp_call_on_cpu()
    - btrfs: replace BUG_ON with ASSERT in walk_down_proc()
    - btrfs: clean up our handling of refs == 0 in snapshot delete
    - PCI: Add missing bridge lock to pci_bus_lock()
    - btrfs: initialize location to fix -Wmaybe-uninitialized in
      btrfs_lookup_dentry()
    - HID: cougar: fix slab-out-of-bounds Read in cougar_report_fixup
    - Input: uinput - reject requests with unreasonable number of slots
    - usbnet: ipheth: race between ipheth_close and error handling
    - Squashfs: sanity check symbolic link size
    - of/irq: Prevent device address out-of-bounds read in interrupt map walk
    - lib/generic-radix-tree.c: Fix rare race in __genradix_ptr_alloc()
    - ata: pata_macio: Use WARN instead of BUG
    - NFSv4: Add missing rescheduling points in
      nfs_client_return_marked_delegations
    - staging: iio: frequency: ad9834: Validate frequency parameter value
    - iio: buffer-dmaengine: fix releasing dma channel on error
    - iio: fix scale application in iio_convert_raw_to_processed_unlocked
    - binder: fix UAF caused by offsets overwrite
    - nvmem: Fix return type of devm_nvmem_device_get() in kerneldoc
    - uio_hv_generic: Fix kernel NULL pointer dereference in hv_uio_rescind
    - Drivers: hv: vmbus: Fix rescind handling in uio_hv_generic
    - VMCI: Fix use-after-free when removing resource in vmci_resource_remove()
    - clocksource/drivers/imx-tpm: Fix return -ETIME when delta exceeds INT_MAX
    - clocksource/drivers/imx-tpm: Fix next event not taking effect sometime
    - clocksource/drivers/timer-of: Remove percpu irq related code
    - uprobes: Use kzalloc to allocate xol area
    - ring-buffer: Rename ring_buffer_read() to read_buffer_iter_advance()
    - tracing: Avoid possible softlockup in tracing_iter_reset()
    - nilfs2: replace snprintf in show functions with sysfs_emit
    - nilfs2: protect references to superblock parameters exposed in sysfs
    - ACPI: processor: Return an error if acpi_processor_get_info() fails in
      processor_add()
    - ACPI: processor: Fix memory leaks in error paths of processor_add()
    - arm64: acpi: Move get_cpu_for_acpi_id() to a header
    - arm64: acpi: Harden get_cpu_for_acpi_id() against missing CPU entry
    - nvmet-tcp: fix kernel crash if commands allocation fails
    - drm/i915/fence: Mark debug_fence_init_onstack() with __maybe_unused
    - drm/i915/fence: Mark debug_fence_free() with __maybe_unused
    - rtmutex: Drop rt_mutex::wait_lock before scheduling
    - net, sunrpc: Remap EPERM in case of connection failure in
      xs_tcp_setup_socket
    - cx82310_eth: fix error return code in cx82310_bind()
    - Linux 5.4.284
  * CVE-2024-42244
    - USB: serial: mos7840: fix crash on resume
  * CVE-2024-40929
    - wifi: iwlwifi: mvm: check n_ssids before accessing the ssids
  * CVE-2024-41073
    - nvme: avoid double free special payload
  * CVE-2024-41071
    - wifi: mac80211: Avoid address calculations via out of bounds array indexing
  * CVE-2024-42229
    - crypto: aead, cipher - zeroize key buffer after use
  * CVE-2024-38611
    - media: i2c: et8ek8: Don't strip remove function when driver is builtin
  * CVE-2024-38602
    - ax25: Fix reference count leak issues of ax25_dev
  * CVE-2024-35848
    - misc: eeprom: at24: fix regulator underflow
    - misc: eeprom: at24: register nvmem only after eeprom is ready to use
    - eeprom: at24: fix memory corruption race condition
  * CVE-2024-26669
    - net/sched: flower: Fix chain template offload
  * CVE-2024-26668
    - netfilter: nft_limit: rename stateful structure
    - netfilter: nft_limit: reject configurations that cause integer overflow
  * CVE-2024-26640
    - net-zerocopy: Refactor frag-is-remappable test.
    - tcp: add sanity checks to rx zerocopy
  * CVE-2024-26607
    - drm/bridge: sii902x: Fix probing race issue
  * CVE-2023-52614
    - PM / devfreq: Fix buffer overflow in trans_stat_show
  * CVE-2023-52531
    - wifi: iwlwifi: mvm: Fix a memory corruption issue
  * CVE-2022-36402
    - drm/vmwgfx: Use enum to represent graphics context capabilities
    - drm/vmwgfx: Fix shader stage validation
  * Focal update: v5.4.283 upstream stable release (LP: #2080595)
    - fuse: Initialize beyond-EOF page contents before setting uptodate
    - ALSA: usb-audio: Support Yamaha P-125 quirk entry
    - xhci: Fix Panther point NULL pointer deref at full-speed re-enumeration
    - s390/dasd: fix error recovery leading to data corruption on ESE devices
    - arm64: ACPI: NUMA: initialize all values of acpi_early_node_map to
      NUMA_NO_NODE
    - dm resume: don't return EINVAL when signalled
    - dm persistent data: fix memory allocation failure
    - vfs: Don't evict inode under the inode lru traversing context
    - bitmap: introduce generic optimized bitmap_size()
    - fix bitmap corruption on close_range() with CLOSE_RANGE_UNSHARE
    - selinux: fix potential counting error in avc_add_xperms_decision()
    - drm/amdgpu: Actually check flags for all context ops.
    - memcg_write_event_control(): fix a user-triggerable oops
    - overflow.h: Add flex_array_size() helper
    - overflow: Implement size_t saturating arithmetic helpers
    - s390/cio: rename bitmap_size() -> idset_bitmap_size()
    - btrfs: rename bitmap_set_bits() -> btrfs_bitmap_set_bits()
    - s390/uv: Panic for set and remove shared access UVC errors
    - net/mlx5e: Correctly report errors for ethtool rx flows
    - atm: idt77252: prevent use after free in dequeue_rx()
    - net: axienet: Fix DMA descriptor cleanup path
    - net: axienet: Improve DMA error handling
    - net: axienet: Factor out TX descriptor chain cleanup
    - net: axienet: Check for DMA mapping errors
    - net: axienet: Drop MDIO interrupt registers from ethtools dump
    - net: axienet: Wrap DMA pointer writes to prepare for 64 bit
    - net: axienet: Upgrade descriptors to hold 64-bit addresses
    - net: axienet: Autodetect 64-bit DMA capability
    - net: axienet: Fix register defines comment description
    - net: dsa: vsc73xx: pass value in phy_write operation
    - net: hns3: fix a deadlock problem when config TC during resetting
    - ALSA: hda/realtek: Fix noise from speakers on Lenovo IdeaPad 3 15IAU7
    - ssb: Fix division by zero issue in ssb_calc_clock_rate
    - wifi: cw1200: Avoid processing an invalid TIM IE
    - i2c: riic: avoid potential division by zero
    - media: radio-isa: use dev_name to fill in bus_info
    - staging: ks7010: disable bh on tx_dev_lock
    - binfmt_misc: cleanup on filesystem umount
    - scsi: spi: Fix sshdr use
    - gfs2: setattr_chown: Add missing initialization
    - wifi: iwlwifi: abort scan when rfkill on but device enabled
    - IB/hfi1: Fix potential deadlock on &irq_src_lock and &dd->uctxt_lock
    - powerpc/xics: Check return value of kasprintf in icp_native_map_one_cpu
    - nvmet-trace: avoid dereferencing pointer too early
    - ext4: do not trim the group with corrupted block bitmap
    - quota: Remove BUG_ON from dqget()
    - media: pci: cx23885: check cx23885_vdev_init() return
    - fs: binfmt_elf_efpic: don't use missing interpreter's properties
    - scsi: lpfc: Initialize status local variable in lpfc_sli4_repost_sgl_list()
    - net/sun3_82586: Avoid reading past buffer in debug output
    - drm/lima: set gp bus_stop bit before hard reset
    - virtiofs: forbid newlines in tags
    - md: clean up invalid BUG_ON in md_ioctl
    - x86: Increase brk randomness entropy for 64-bit systems
    - powerpc/boot: Handle allocation failure in simple_realloc()
    - powerpc/boot: Only free if realloc() succeeds
    - btrfs: change BUG_ON to assertion when checking for delayed_node root
    - btrfs: handle invalid root reference found in may_destroy_subvol()
    - btrfs: send: handle unexpected data in header buffer in begin_cmd()
    - btrfs: delete pointless BUG_ON check on quota root in
      btrfs_qgroup_account_extent()
    - f2fs: fix to do sanity check in update_sit_entry
    - usb: gadget: fsl: Increase size of name buffer for endpoints
    - nvme: clear caller pointer on identify failure
    - Bluetooth: bnep: Fix out-of-bound access
    - nvmet-tcp: do not continue for invalid icreq
    - NFS: avoid infinite loop in pnfs_update_layout.
    - openrisc: Call setup_memory() earlier in the init sequence
    - s390/iucv: fix receive buffer virtual vs physical address confusion
    - usb: dwc3: core: Skip setting event buffers for host only controllers
    - irqchip/gic-v3-its: Remove BUG_ON in its_vpe_irq_domain_alloc
    - ext4: set the type of max_zeroout to unsigned int to avoid overflow
    - nvmet-rdma: fix possible bad dereference when freeing rsps
    - hrtimer: Prevent queuing of hrtimer without a function callback
    - gtp: pull network headers in gtp_dev_xmit()
    - block: use "unsigned long" for blk_validate_block_size().
    - media: solo6x10: replace max(a, min(b, c)) by clamp(b, a, c)
    - dm mpath: pass IO start time to path selector
    - dm: do not use waitqueue for request-based DM
    - dm suspend: return -ERESTARTSYS instead of -EINTR
    - Bluetooth: Make use of __check_timeout on hci_sched_le
    - Bluetooth: hci_core: Fix not handling link timeouts propertly
    - Bluetooth: hci_core: Fix LE quote calculation
    - tc-testing: don't access non-existent variable on exception
    - kcm: Serialise kcm_sendmsg() for the same socket.
    - netfilter: nft_counter: Synchronize nft_counter_reset() against reader.
    - net: dsa: mv88e6xxx: global2: Expose ATU stats register
    - net: dsa: mv88e6xxx: global1_atu: Add helper for get next
    - net: dsa: mv88e6xxx: read FID when handling ATU violations
    - net: dsa: mv88e6xxx: replace ATU violation prints with trace points
    - net: dsa: mv88e6xxx: Fix out-of-bound access
    - ipv6: prevent UAF in ip6_send_skb()
    - net: xilinx: axienet: Always disable promiscuous mode
    - net: xilinx: axienet: Fix dangling multicast addresses
    - drm/msm: use drm_debug_enabled() to check for debug categories
    - drm/msm/dpu: don't play tricks with debug macros
    - mmc: mmc_test: Fix NULL dereference on allocation failure
    - Bluetooth: MGMT: Add error handling to pair_device()
    - HID: wacom: Defer calculation of resolution until resolution_code is known
    - HID: microsoft: Add rumble support to latest xbox controllers
    - cxgb4: add forgotten u64 ivlan cast before shift
    - mmc: dw_mmc: allow biu and ciu clocks to defer
    - ALSA: timer: Relax start tick time check for slave timer elements
    - Input: MT - limit max slots
    - tools: move alignment-related macros to new <linux/align.h>
    - pinctrl: single: fix potential NULL dereference in pcs_get_function()
    - wifi: mwifiex: duplicate static structs used in driver instances
    - drm/amdkfd: don't allow mapping the MMIO HDP page with large pages
    - filelock: Correct the filelock owner in fcntl_setlk/fcntl_setlk64
    - media: uvcvideo: Fix integer overflow calculating timestamp
    - ata: libata-core: Fix null pointer dereference on error
    - cgroup/cpuset: Prevent UAF in proc_cpuset_show()
    - net:rds: Fix possible deadlock in rds_message_put
    - soundwire: stream: fix programming slave ports for non-continous port maps
    - r8152: Factor out OOB link list waits
    - ethtool: check device is present when getting link settings
    - gtp: fix a potential NULL pointer dereference
    - net: busy-poll: use ktime_get_ns() instead of local_clock()
    - nfc: pn533: Add dev_up/dev_down hooks to phy_ops
    - nfc: pn533: Add autopoll capability
    - nfc: pn533: Add poll mod list filling check
    - soc: qcom: cmd-db: Map shared memory as WC, not WB
    - cdc-acm: Add DISABLE_ECHO quirk for GE HealthCare UI Controller
    - USB: serial: option: add MeiG Smart SRM825L
    - usb: dwc3: omap: add missing depopulate in probe error path
    - usb: dwc3: core: Prevent USB core invalid event buffer address access
    - usb: dwc3: st: fix probed platform device ref count on probe error path
    - usb: dwc3: st: add missing depopulate in probe error path
    - usb: core: sysfs: Unmerge @usb3_hardware_lpm_attr_group in
      remove_power_attributes()
    - net: dsa: mv8e6xxx: Fix stub function parameters
    - scsi: aacraid: Fix double-free on probe failure
    - Linux 5.4.283
  * CVE-2024-27051
    - cpufreq: brcmstb-avs-cpufreq: add check for cpufreq_cpu_get's return value
    - cpufreq: brcmstb-avs-cpufreq: ISO C90 forbids mixed declarations
  * CVE-2024-26891
    - PCI: Make pci_dev_is_disconnected() helper public for other drivers
    - iommu/vt-d: Don't issue ATS Invalidation request when device is disconnected
  * Focal update: v5.4.282 upstream stable release (LP: #2078388)
    - EDAC, skx_common: Refactor so that we initialize "dev" in result of adxl
      decode.
    - EDAC, skx: Retrieve and print retry_rd_err_log registers
    - EDAC/skx_common: Add new ADXL components for 2-level memory
    - EDAC, i10nm: make skx_common.o a separate module
    - platform/chrome: cros_ec_debugfs: fix wrong EC message version
    - hfsplus: fix to avoid false alarm of circular locking
    - x86/of: Return consistent error type from x86_of_pci_irq_enable()
    - x86/pci/intel_mid_pci: Fix PCIBIOS_* return code handling
    - x86/pci/xen: Fix PCIBIOS_* return code handling
    - x86/platform/iosf_mbi: Convert PCIBIOS_* return codes to errnos
    - hwmon: (adt7475) Fix default duty on fan is disabled
    - pwm: stm32: Always do lazy disabling
    - hwmon: (max6697) Fix underflow when writing limit attributes
    - hwmon: (max6697) Fix swapped temp{1,8} critical alarms
    - arm64: dts: qcom: sdm845: add power-domain to UFS PHY
    - arm64: dts: qcom: msm8996: specify UFS core_clk frequencies
    - arm64: dts: rockchip: Increase VOP clk rate on RK3328
    - ARM: dts: imx6qdl-kontron-samx6i: move phy reset into phy-node
    - ARM: dts: imx6qdl-kontron-samx6i: fix PHY reset
    - ARM: dts: imx6qdl-kontron-samx6i: fix board reset
    - ARM: dts: imx6qdl-kontron-samx6i: fix PCIe reset polarity
    - arm64: dts: mediatek: mt7622: fix "emmc" pinctrl mux
    - arm64: dts: amlogic: gx: correct hdmi clocks
    - m68k: atari: Fix TT bootup freeze / unexpected (SCU) interrupt messages
    - x86/xen: Convert comma to semicolon
    - m68k: cmpxchg: Fix return value for default case in __arch_xchg()
    - firmware: turris-mox-rwtm: Fix checking return value of
      wait_for_completion_timeout()
    - firmware: turris-mox-rwtm: Initialize completion before mailbox
    - wifi: brcmsmac: LCN PHY code is used for BCM4313 2G-only device
    - net/smc: Allow SMC-D 1MB DMB allocations
    - net/smc: set rmb's SG_MAX_SINGLE_ALLOC limitation only when
      CONFIG_ARCH_NO_SG_CHAIN is defined
    - selftests/bpf: Check length of recv in test_sockmap
    - lib: objagg: Fix general protection fault
    - mlxsw: spectrum_acl_erp: Fix object nesting warning
    - wifi: cfg80211: fix typo in cfg80211_calculate_bitrate_he()
    - wifi: cfg80211: handle 2x996 RU allocation in
      cfg80211_calculate_bitrate_he()
    - net: fec: Refactor: #define magic constants
    - net: fec: Fix FEC_ECR_EN1588 being cleared on link-down
    - ipvs: Avoid unnecessary calls to skb_is_gso_sctp
    - netfilter: nf_tables: rise cap on SELinux secmark context
    - perf/x86/intel/pt: Fix pt_topa_entry_for_page() address calculation
    - perf: Fix perf_aux_size() for greater-than 32-bit size
    - perf: Prevent passing zero nr_pages to rb_alloc_aux()
    - qed: Improve the stack space of filter_config()
    - wifi: virt_wifi: avoid reporting connection success with wrong SSID
    - gss_krb5: Fix the error handling path for crypto_sync_skcipher_setkey
    - wifi: virt_wifi: don't use strlen() in const context
    - bna: adjust 'name' buf size of bna_tcb and bna_ccb structures
    - selftests: forwarding: devlink_lib: Wait for udev events after reloading
    - media: dvb-usb: Fix unexpected infinite loop in
      dvb_usb_read_remote_control()
    - media: imon: Fix race getting ictx->lock
    - saa7134: Unchecked i2c_transfer function result fixed
    - media: uvcvideo: Allow entity-defined get_info and get_cur
    - media: uvcvideo: Override default flags
    - media: renesas: vsp1: Fix _irqsave and _irq mix
    - media: renesas: vsp1: Store RPF partition configuration per RPF instance
    - leds: trigger: Unregister sysfs attributes before calling deactivate()
    - perf report: Fix condition in sort__sym_cmp()
    - drm/etnaviv: fix DMA direction handling for cached RW buffers
    - drm/qxl: Add check for drm_cvt_mode
    - mfd: omap-usb-tll: Use struct_size to allocate tll
    - SUNRPC: avoid soft lockup when transmitting UDP to reachable server.
    - ext4: avoid writing unitialized memory to disk in EA inodes
    - sparc64: Fix incorrect function signature and add prototype for
      prom_cif_init
    - SUNRPC: Fixup gss_status tracepoint error output
    - PCI: Fix resource double counting on remove & rescan
    - Input: qt1050 - handle CHIP_ID reading error
    - RDMA/mlx4: Fix truncated output warning in mad.c
    - RDMA/mlx4: Fix truncated output warning in alias_GUID.c
    - RDMA/rxe: Don't set BTH_ACK_MASK for UC or UD QPs
    - ASoC: max98088: Check for clk_prepare_enable() error
    - mtd: make mtd_test.c a separate module
    - RDMA/device: Return error earlier if port in not valid
    - Input: elan_i2c - do not leave interrupt disabled on suspend failure
    - MIPS: Octeron: remove source file executable bit
    - powerpc/xmon: Fix disassembly CPU feature checks
    - macintosh/therm_windtunnel: fix module unload.
    - bnxt_re: Fix imm_data endianness
    - netfilter: ctnetlink: use helper function to calculate expect ID
    - pinctrl: core: fix possible memory leak when pinctrl_enable() fails
    - pinctrl: single: fix possible memory leak when pinctrl_enable() fails
    - pinctrl: ti: ti-iodelay: Drop if block with always false condition
    - pinctrl: ti: ti-iodelay: fix possible memory leak when pinctrl_enable()
      fails
    - pinctrl: freescale: mxs: Fix refcount of child
    - fs/nilfs2: remove some unused macros to tame gcc
    - nilfs2: avoid undefined behavior in nilfs_cnt32_ge macro
    - rtc: interface: Add RTC offset to alarm after fix-up
    - tick/broadcast: Make takeover of broadcast hrtimer reliable
    - net: netconsole: Disable target before netpoll cleanup
    - af_packet: Handle outgoing VLAN packets without hardware offloading
    - ipv6: take care of scope when choosing the src addr
    - char: tpm: Fix possible memory leak in tpm_bios_measurements_open()
    - media: venus: fix use after free in vdec_close
    - hfs: fix to initialize fields of hfs_inode_info after hfs_alloc_inode()
    - drm/gma500: fix null pointer dereference in cdv_intel_lvds_get_modes
    - drm/gma500: fix null pointer dereference in psb_intel_lvds_get_modes
    - drm/amd/display: Check for NULL pointer
    - udf: Avoid using corrupted block bitmap buffer
    - m68k: amiga: Turn off Warp1260 interrupts during boot
    - ext4: check dot and dotdot of dx_root before making dir indexed
    - ext4: make sure the first directory block is not a hole
    - wifi: mwifiex: Fix interface type change
    - leds: ss4200: Convert PCIBIOS_* return codes to errnos
    - tools/memory-model: Fix bug in lock.cat
    - hwrng: amd - Convert PCIBIOS_* return codes to errnos
    - PCI: hv: Return zero, not garbage, when reading PCI_INTERRUPT_PIN
    - binder: fix hang of unregistered readers
    - scsi: qla2xxx: Return ENOBUFS if sg_cnt is more than one for ELS cmds
    - f2fs: fix to don't dirty inode for readonly filesystem
    - clk: davinci: da8xx-cfgchip: Initialize clk_init_data before use
    - ubi: eba: properly rollback inside self_check_eba
    - decompress_bunzip2: fix rare decompression failure
    - kobject_uevent: Fix OOB access within zap_modalias_env()
    - rtc: cmos: Fix return value of nvmem callbacks
    - scsi: qla2xxx: During vport delete send async logout explicitly
    - scsi: qla2xxx: Fix for possible memory corruption
    - scsi: qla2xxx: Complete command early within lock
    - scsi: qla2xxx: validate nvme_local_port correctly
    - perf/x86/intel/pt: Fix topa_entry base length
    - perf/x86/intel/pt: Fix a topa_entry base address calculation
    - rtc: isl1208: Fix return value of nvmem callbacks
    - watchdog/perf: properly initialize the turbo mode timestamp and rearm
      counter
    - platform: mips: cpu_hwmon: Disable driver on unsupported hardware
    - RDMA/iwcm: Fix a use-after-free related to destroying CM IDs
    - selftests/sigaltstack: Fix ppc64 GCC build
    - rbd: don't assume rbd_is_lock_owner() for exclusive mappings
    - drm/panfrost: Mark simple_ondemand governor as softdep
    - rbd: rename RBD_LOCK_STATE_RELEASING and releasing_wait
    - rbd: don't assume RBD_LOCK_STATE_LOCKED for exclusive mappings
    - Bluetooth: btusb: Add RTL8852BE device 0489:e125 to device tables
    - Bluetooth: btusb: Add Realtek RTL8852BE support ID 0x13d3:0x3591
    - nilfs2: handle inconsistent state in nilfs_btnode_create_block()
    - kdb: address -Wformat-security warnings
    - kdb: Use the passed prompt in kdb_position_cursor()
    - jfs: Fix array-index-out-of-bounds in diFree
    - um: time-travel: fix time-travel-start option
    - libbpf: Fix no-args func prototype BTF dumping syntax
    - dma: fix call order in dmam_free_coherent
    - MIPS: SMP-CPS: Fix address for GCR_ACCESS register for CM3 and later
    - ipv4: Fix incorrect source address in Record Route option
    - net: bonding: correctly annotate RCU in bond_should_notify_peers()
    - tipc: Return non-zero value from tipc_udp_addr2str() on error
    - net: nexthop: Initialize all fields in dumped nexthops
    - bpf: Fix a segment issue when downgrading gso_size
    - mISDN: Fix a use after free in hfcmulti_tx()
    - powerpc: fix a file leak in kvm_vcpu_ioctl_enable_cap()
    - ASoC: Intel: Convert to new X86 CPU match macros
    - ASoC: Intel: Move soc_intel_is_foo() helpers to a generic header
    - ASoC: Intel: use soc_intel_is_byt_cr() only when IOSF_MBI is reachable
    - nvme-pci: add missing condition check for existence of mapped data
    - mm: avoid overflows in dirty throttling logic
    - PCI: rockchip: Make 'ep-gpios' DT property optional
    - PCI: rockchip: Use GPIOD_OUT_LOW flag while requesting ep_gpio
    - parport: Convert printk(KERN_<LEVEL> to pr_<level>(
    - parport: Standardize use of printmode
    - dev/parport: fix the array out-of-bounds risk
    - driver core: Cast to (void *) with __force for __percpu pointer
    - devres: Fix memory leakage caused by driver API devm_free_percpu()
    - genirq: Allow the PM device to originate from irq domain
    - irqchip/imx-irqsteer: Constify irq_chip struct
    - irqchip/imx-irqsteer: Add runtime PM support
    - irqchip/imx-irqsteer: Handle runtime power management correctly
    - remoteproc: imx_rproc: ignore mapping vdev regions
    - remoteproc: imx_rproc: Fix ignoring mapping vdev regions
    - remoteproc: imx_rproc: Skip over memory region when node value is NULL
    - drm/nouveau: prime: fix refcount underflow
    - drm/vmwgfx: Fix overlay when using Screen Targets
    - net/iucv: fix use after free in iucv_sock_close()
    - net/mlx5e: Add a check for the return value from mlx5_port_set_eth_ptys
    - ipv6: fix ndisc_is_useropt() handling for PIO
    - HID: wacom: Modify pen IDs
    - protect the fetch of ->fd[fd] in do_dup2() from mispredictions
    - ALSA: usb-audio: Correct surround channels in UAC1 channel map
    - net: usb: sr9700: fix uninitialized variable use in sr_mdio_read
    - netfilter: ipset: Add list flush to cancel_gc
    - genirq: Allow irq_chip registration functions to take a const irq_chip
    - irqchip/mbigen: Fix mbigen node address layout
    - x86/mm: Fix pti_clone_pgtable() alignment assumption
    - sctp: move hlist_node and hashent out of sctp_ep_common
    - sctp: Fix null-ptr-deref in reuseport_add_sock().
    - net: usb: qmi_wwan: fix memory leak for not ip packets
    - net: linkwatch: use system_unbound_wq
    - Bluetooth: l2cap: always unlock channel in l2cap_conless_channel()
    - net: fec: Stop PPS on driver remove
    - md/raid5: avoid BUG_ON() while continue reshape after reassembling
    - clocksource/drivers/sh_cmt: Address race condition for clock events
    - ACPI: battery: create alarm sysfs attribute atomically
    - ACPI: SBS: manage alarm sysfs attribute through psy core
    - selftests/bpf: Fix send_signal test with nested CONFIG_PARAVIRT
    - PCI: Add Edimax Vendor ID to pci_ids.h
    - udf: prevent integer overflow in udf_bitmap_free_blocks()
    - wifi: nl80211: don't give key data to userspace
    - btrfs: fix bitmap leak when loading free space cache on duplicate entry
    - drm/amdgpu: Fix the null pointer dereference to ras_manager
    - media: uvcvideo: Ignore empty TS packets
    - media: uvcvideo: Fix the bandwdith quirk on USB 3.x
    - jbd2: avoid memleak in jbd2_journal_write_metadata_buffer
    - s390/sclp: Prevent release of buffer in I/O
    - SUNRPC: Fix a race to wake a sync task
    - ext4: fix wrong unit use in ext4_mb_find_by_goal
    - arm64: cpufeature: Force HWCAP to be based on the sysreg visible to user-
      space
    - arm64: Add Neoverse-V2 part
    - arm64: cputype: Add Cortex-X4 definitions
    - arm64: cputype: Add Neoverse-V3 definitions
    - arm64: errata: Add workaround for Arm errata 3194386 and 3312417
    - [Config] Set ARM64_ERRATUM_3194386=y
    - arm64: cputype: Add Cortex-X3 definitions
    - arm64: cputype: Add Cortex-A720 definitions
    - arm64: cputype: Add Cortex-X925 definitions
    - arm64: errata: Unify speculative SSBS errata logic
    - arm64: errata: Expand speculative SSBS workaround
    - arm64: cputype: Add Cortex-X1C definitions
    - arm64: cputype: Add Cortex-A725 definitions
    - arm64: errata: Expand speculative SSBS workaround (again)
    - i2c: smbus: Don't filter out duplicate alerts
    - i2c: smbus: Improve handling of stuck alerts
    - i2c: smbus: Send alert notifications to all devices if source not found
    - bpf: kprobe: remove unused declaring of bpf_kprobe_override
    - spi: fsl-lpspi: remove unneeded array
    - spi: spi-fsl-lpspi: Fix scldiv calculation
    - drm/client: fix null pointer dereference in drm_client_modeset_probe
    - ALSA: line6: Fix racy access to midibuf
    - ALSA: hda: Add HP MP9 G4 Retail System AMS to force connect list
    - ALSA: hda/hdmi: Yet more pin fix for HP EliteDesk 800 G4
    - usb: vhci-hcd: Do not drop references before new references are gained
    - USB: serial: debug: do not echo input by default
    - usb: gadget: core: Check for unset descriptor
    - scsi: ufs: core: Fix hba->last_dme_cmd_tstamp timestamp updating logic
    - tick/broadcast: Move per CPU pointer access into the atomic section
    - ntp: Clamp maxerror and esterror to operating range
    - driver core: Fix uevent_show() vs driver detach race
    - ntp: Safeguard against time_constant overflow
    - scsi: mpt3sas: Remove scsi_dma_map() error messages
    - scsi: mpt3sas: Avoid IOMMU page faults on REPORT ZONES
    - serial: core: check uartclk for zero to avoid divide by zero
    - genirq/irqdesc: Honor caller provided affinity in alloc_desc()
    - power: supply: axp288_charger: Fix constant_charge_voltage writes
    - power: supply: axp288_charger: Round constant_charge_voltage writes down
    - tracing: Fix overflow in get_free_elt()
    - x86/mtrr: Check if fixed MTRRs exist before saving them
    - drm/bridge: analogix_dp: properly handle zero sized AUX transactions
    - drm/mgag200: Set DDC timeout in milliseconds
    - Fix gcc 4.9 build issue in 5.4.y
    - kbuild: Fix '-S -c' in x86 stack protector scripts
    - netfilter: nf_tables: set element extended ACK reporting support
    - netfilter: nf_tables: prefer nft_chain_validate
    - drm/i915/gem: Fix Virtual Memory mapping boundaries calculation
    - arm64: cpufeature: Fix the visibility of compat hwcaps
    - media: uvcvideo: Use entity get_cur in uvc_ctrl_set
    - exec: Fix ToCToU between perm check and set-uid/gid usage
    - nvme/pci: Add APST quirk for Lenovo N60z laptop
    - ARM: dts: imx6qdl-kontron-samx6i: fix phy-mode
    - media: Revert "media: dvb-usb: Fix unexpected infinite loop in
      dvb_usb_read_remote_control()"
    - Linux 5.4.282
  * CVE-2024-26885
    - bpf: Fix DEVMAP_HASH overflow check on 32-bit arches
  * Focal update: v5.4.281 upstream stable release (LP: #2076097)
    - gcc-plugins: Rename last_stmt() for GCC 14+
    - filelock: Remove locks reliably when fcntl/close race is detected
    - scsi: qedf: Set qed_slowpath_params to zero before use
    - ACPI: EC: Abort address space access upon error
    - ACPI: EC: Avoid returning AE_OK on errors in address space handler
    - wifi: mac80211: mesh: init nonpeer_pm to active by default in mesh sdata
    - wifi: mac80211: fix UBSAN noise in ieee80211_prep_hw_scan()
    - Input: silead - Always support 10 fingers
    - ila: block BH in ila_output()
    - kconfig: gconf: give a proper initial state to the Save button
    - kconfig: remove wrong expr_trans_bool()
    - fs/file: fix the check in find_next_fd()
    - mei: demote client disconnect warning on suspend to debug
    - wifi: cfg80211: wext: add extra SIOCSIWSCAN data check
    - KVM: PPC: Book3S HV: Prevent UAF in kvm_spapr_tce_attach_iommu_group()
    - ALSA: hda/realtek: Add more codec ID to no shutup pins list
    - mips: fix compat_sys_lseek syscall
    - Input: elantech - fix touchpad state on resume for Lenovo N24
    - bytcr_rt5640 : inverse jack detect for Archos 101 cesium
    - ASoC: ti: davinci-mcasp: Set min period size using FIFO config
    - ASoC: ti: omap-hdmi: Fix too long driver name
    - can: kvaser_usb: fix return value for hif_usb_send_regout
    - s390/sclp: Fix sclp_init() cleanup on failure
    - ALSA: dmaengine_pcm: terminate dmaengine before synchronize
    - net: usb: qmi_wwan: add Telit FN912 compositions
    - net: mac802154: Fix racy device stats updates by DEV_STATS_INC() and
      DEV_STATS_ADD()
    - powerpc/pseries: Whitelist dtl slub object for copying to userspace
    - powerpc/eeh: avoid possible crash when edev->pdev changes
    - scsi: libsas: Fix exp-attached device scan after probe failure scanned in
      again after probe failed
    - Bluetooth: hci_core: cancel all works upon hci_unregister_dev()
    - fs: better handle deep ancestor chains in is_subdir()
    - spi: imx: Don't expect DMA for i.MX{25,35,50,51,53} cspi devices
    - selftests/vDSO: fix clang build errors and warnings
    - hfsplus: fix uninit-value in copy_name
    - ARM: 9324/1: fix get_user() broken with veneer
    - ACPI: processor_idle: Fix invalid comparison with insertion sort for latency
    - drm/amdgpu: Fix signedness bug in sdma_v4_0_process_trap_irq()
    - net: relax socket state check at accept time.
    - ocfs2: add bounds checking to ocfs2_check_dir_entry()
    - jfs: don't walk off the end of ealist
    - ALSA: hda/realtek: Enable headset mic on Positivo SU C1400
    - filelock: Fix fcntl/close race recovery compat path
    - tun: add missing verification for short frame
    - tap: add missing verification for short frame
    - Linux 5.4.281
  * Focal update: v5.4.283 upstream stable release (LP: #2080595) //
    CVE-2024-45016
    - netem: fix return value if duplicate enqueue fails
  * CVE-2024-38630
    - watchdog: cpu5wdt.c: Fix use-after-free bug caused by cpu5wdt_trigger
  * CVE-2024-27397
    - netfilter: nf_tables: use timestamp to check for set element timeout
  * CVE-2024-26960
    - mm: swap: fix race between free_swap_and_cache() and swapoff()

  [ Ubuntu: 5.4.0-196.216 ]

  * focal/linux: 5.4.0-196.216 -proposed tracker (LP: #2078205)
  * CVE-2024-39494
    - ima: Fix use-after-free on a dentry's dname.name
  * CVE-2024-42160
    - f2fs: check validation of fault attrs in f2fs_build_fault_attr()
    - f2fs: Add inline to f2fs_build_fault_attr() stub
  * CVE-2024-38570
    - gfs2: Rename sd_{ glock => kill }_wait
    - gfs2: Fix potential glock use-after-free on unmount
  * CVE-2024-42228
    - drm/amdgpu: Using uninitialized value *size when calling amdgpu_vce_cs_reloc
  * CVE-2022-48791
    - scsi: pm80xx: Fix TMF task completion race condition
    - scsi: pm8001: Fix use-after-free for aborted TMF sas_task
  * CVE-2024-26787
    - mmc: mmci_sdmmc: Rename sdmmc_priv struct to sdmmc_idma
    - mmc: mmci: stm32: use a buffer for unaligned DMA requests
    - mmc: mmci: stm32: fix DMA API overlapping mappings warning
  * CVE-2024-27012
    - netfilter: nf_tables: restore set elements when delete set fails
  * CVE-2022-48863
    - mISDN: Fix memory leak in dsp_pipeline_build()
  * CVE-2021-47188
    - scsi: ufs: core: Improve SCSI abort handling
  * CVE-2024-26677
    - rxrpc: Fix delayed ACKs to not set the reference serial number

 -- Wen-chien Jesse Sung <jesse.sung@canonical.com>  Wed, 16 Oct 2024 17:59:02 +0800

linux-iot (5.4.0-1043.44) focal; urgency=medium

  * focal/linux-iot: 5.4.0-1043.44 -proposed tracker (LP: #2075943)

  [ Ubuntu: 5.4.0-195.215 ]

  * focal/linux: 5.4.0-195.215 -proposed tracker (LP: #2075954)
  * Focal update: v5.4.280 upstream stable release (LP: #2075175)
    - Compiler Attributes: Add __uninitialized macro
    - drm/lima: fix shared irq handling on driver remove
    - media: dvb: as102-fe: Fix as10x_register_addr packing
    - media: dvb-usb: dib0700_devices: Add missing release_firmware()
    - IB/core: Implement a limit on UMAD receive List
    - scsi: qedf: Make qedf_execute_tmf() non-preemptible
    - drm/amdgpu: Initialize timestamp for some legacy SOCs
    - drm/amd/display: Skip finding free audio for unknown engine_id
    - media: dw2102: Don't translate i2c read into write
    - sctp: prefer struct_size over open coded arithmetic
    - firmware: dmi: Stop decoding on broken entry
    - Input: ff-core - prefer struct_size over open coded arithmetic
    - net: dsa: mv88e6xxx: Correct check for empty list
    - media: dvb-frontends: tda18271c2dd: Remove casting during div
    - media: s2255: Use refcount_t instead of atomic_t for num_channels
    - media: dvb-frontends: tda10048: Fix integer overflow
    - i2c: i801: Annotate apanel_addr as __ro_after_init
    - powerpc/64: Set _IO_BASE to POISON_POINTER_DELTA not 0 for CONFIG_PCI=n
    - orangefs: fix out-of-bounds fsid access
    - powerpc/xmon: Check cpu id in commands "c#", "dp#" and "dx#"
    - jffs2: Fix potential illegal address access in jffs2_free_inode
    - s390/pkey: Wipe sensitive data on failure
    - tcp: tcp_mark_head_lost is only valid for sack-tcp
    - tcp: add ece_ack flag to reno sack functions
    - net: tcp better handling of reordering then loss cases
    - UPSTREAM: tcp: fix DSACK undo in fast recovery to call tcp_try_to_open()
    - tcp_metrics: validate source addr length
    - wifi: wilc1000: fix ies_len type in connect path
    - bonding: Fix out-of-bounds read in bond_option_arp_ip_targets_set()
    - selftests: fix OOM in msg_zerocopy selftest
    - selftests: make order checking verbose in msg_zerocopy selftest
    - inet_diag: Initialize pad field in struct inet_diag_req_v2
    - nilfs2: fix inode number range checks
    - nilfs2: add missing check for inode numbers on directory entries
    - mm: optimize the redundant loop of mm_update_owner_next()
    - can: kvaser_usb: Explicitly initialize family in leafimx driver_info struct
    - fsnotify: Do not generate events for O_PATH file descriptors
    - Revert "mm/writeback: fix possible divide-by-zero in wb_dirty_limits(),
      again"
    - drm/nouveau: fix null pointer dereference in nouveau_connector_get_modes
    - drm/amdgpu/atomfirmware: silence UBSAN warning
    - media: dw2102: fix a potential buffer overflow
    - i2c: pnx: Fix potential deadlock warning from del_timer_sync() call in isr
    - ALSA: hda/realtek: Enable headset mic of JP-IK LEAP W502 with ALC897
    - nvme-multipath: find NUMA path only for online numa-node
    - nilfs2: fix incorrect inode allocation from reserved inodes
    - filelock: fix potential use-after-free in posix_lock_inode
    - fs/dcache: Re-use value stored to dentry->d_flags instead of re-reading
    - vfs: don't mod negative dentry count when on shrinker list
    - tcp: add TCP_INFO status for failed client TFO
    - tcp: fix incorrect undo caused by DSACK of TLP retransmit
    - octeontx2-af: Fix incorrect value output on error path in
      rvu_check_rsrc_availability()
    - net: lantiq_etop: add blank line after declaration
    - net: ethernet: lantiq_etop: fix double free in detach
    - ppp: reject claimed-as-LCP but actually malformed packets
    - udp: Set SOCK_RCU_FREE earlier in udp_lib_get_port().
    - s390: Mark psw in __load_psw_mask() as __unitialized
    - ARM: davinci: Convert comma to semicolon
    - octeontx2-af: fix detection of IP layer
    - USB: serial: option: add Telit generic core-dump composition
    - USB: serial: option: add Telit FN912 rmnet compositions
    - USB: serial: option: add Fibocom FM350-GL
    - USB: serial: option: add support for Foxconn T99W651
    - USB: serial: option: add Netprisma LCUK54 series modules
    - USB: serial: option: add Rolling RW350-GL variants
    - USB: Add USB_QUIRK_NO_SET_INTF quirk for START BP-850k
    - usb: gadget: configfs: Prevent OOB read/write in usb_string_copy()
    - USB: core: Fix duplicate endpoint bug by clearing reserved bits in the
      descriptor
    - hpet: Support 32-bit userspace
    - nvmem: meson-efuse: Fix return value of nvmem callbacks
    - ALSA: hda/realtek: Limit mic boost on VAIO PRO PX
    - libceph: fix race between delayed_work() and ceph_monc_stop()
    - SUNRPC: Fix RPC client cleaned up the freed pipefs dentries
    - tcp: refactor tcp_retransmit_timer()
    - net: tcp: fix unexcepted socket die when snd_wnd is 0
    - tcp: use signed arithmetic in tcp_rtx_probe0_timed_out()
    - tcp: avoid too many retransmit packets
    - nilfs2: fix kernel bug on rename operation of broken directory
    - i2c: rcar: bring hardware to known state when probing
    - Linux 5.4.280
  * [SRU] UBSAN warnings in bnx2x kernel driver (LP: #2074215) // Focal update:
    v5.4.280 upstream stable release (LP: #2075175)
    - bnx2x: Fix multiple UBSAN array-index-out-of-bounds
  * Focal update: v5.4.279 upstream stable release (LP: #2073621)
    - wifi: mac80211: mesh: Fix leak of mesh_preq_queue objects
    - wifi: mac80211: Fix deadlock in ieee80211_sta_ps_deliver_wakeup()
    - wifi: cfg80211: pmsr: use correct nla_get_uX functions
    - wifi: iwlwifi: mvm: revert gen2 TX A-MPDU size to 64
    - wifi: iwlwifi: dbg_ini: move iwl_dbg_tlv_free outside of debugfs ifdef
    - wifi: iwlwifi: mvm: don't read past the mfuart notifcation
    - ipv6: sr: block BH in seg6_output_core() and seg6_input_core()
    - net: sched: sch_multiq: fix possible OOB write in multiq_tune()
    - vxlan: Fix regression when dropping packets due to invalid src addresses
    - tcp: count CLOSE-WAIT sockets for TCP_MIB_CURRESTAB
    - net/mlx5: Stop waiting for PCI if pci channel is offline
    - net/sched: taprio: always validate TCA_TAPRIO_ATTR_PRIOMAP
    - ptp: Fix error message on failed pin verification
    - af_unix: Annotate data-race of sk->sk_state in unix_inq_len().
    - af_unix: Annotate data-races around sk->sk_state in unix_write_space() and
      poll().
    - af_unix: Annotate data-races around sk->sk_state in sendmsg() and recvmsg().
    - af_unix: Annotate data-races around sk->sk_state in UNIX_DIAG.
    - af_unix: Annotate data-race of net->unx.sysctl_max_dgram_qlen.
    - af_unix: Use unix_recvq_full_lockless() in unix_stream_connect().
    - af_unix: Use skb_queue_len_lockless() in sk_diag_show_rqlen().
    - af_unix: Annotate data-race of sk->sk_shutdown in sk_diag_fill().
    - ipv6: fix possible race in __fib6_drop_pcpu_from()
    - usb: gadget: f_fs: Fix race between aio_cancel() and AIO request complete
    - ASoC: ti: davinci-mcasp: remove redundant assignment to variable ret
    - ASoC: ti: davinci-mcasp: remove always zero of davinci_mcasp_get_dt_params
    - ASoC: ti: davinci-mcasp: Use platform_get_irq_byname_optional
    - ASoC: ti: davinci-mcasp: Remove legacy dma_request parsing
    - ASoC: ti: davinci-mcasp: Simplify the configuration parameter handling
    - ASoC: ti: davinci-mcasp: Handle missing required DT properties
    - ASoC: ti: davinci-mcasp: Fix race condition during probe
    - drm/amd/display: Handle Y carry-over in VCP X.Y calculation
    - serial: sc16is7xx: replace hardcoded divisor value with BIT() macro
    - serial: sc16is7xx: fix bug in sc16is7xx_set_baud() when using prescaler
    - selftests/mm: compaction_test: fix incorrect write of zero to nr_hugepages
    - selftests/mm: conform test to TAP format output
    - selftests/mm: compaction_test: fix bogus test success on Aarch64
    - nilfs2: Remove check for PageError
    - nilfs2: return the mapped address from nilfs_get_page()
    - nilfs2: fix nilfs_empty_dir() misjudgment and long loop on I/O errors
    - USB: class: cdc-wdm: Fix CPU lockup caused by excessive log messages
    - mei: me: release irq in mei_me_pci_resume error path
    - jfs: xattr: fix buffer overflow for invalid xattr
    - xhci: Set correct transferred length for cancelled bulk transfers
    - xhci: Apply reset resume quirk to Etron EJ188 xHCI host
    - xhci: Apply broken streams quirk to Etron EJ188 xHCI host
    - scsi: mpt3sas: Avoid test/set_bit() operating in non-allocated memory
    - Input: try trimming too long modalias strings
    - SUNRPC: return proper error from gss_wrap_req_priv
    - gpio: tqmx86: fix typo in Kconfig label
    - HID: core: remove unnecessary WARN_ON() in implement()
    - iommu/amd: Fix sysfs leak in iommu init
    - iommu: Return right value in iommu_sva_bind_device()
    - HID: logitech-dj: Fix memory leak in logi_dj_recv_switch_to_dj_mode()
    - liquidio: Adjust a NULL pointer handling path in lio_vf_rep_copy_packet
    - drm/komeda: check for error-valued pointer
    - drm/bridge/panel: Fix runtime warning on panel bridge release
    - tcp: fix race in tcp_v6_syn_recv_sock()
    - net/mlx5e: Fix features validation check for tunneled UDP (non-VXLAN)
      packets
    - Bluetooth: L2CAP: Fix rejecting L2CAP_CONN_PARAM_UPDATE_REQ
    - netfilter: ipset: Fix race between namespace cleanup and gc in the list:set
      type
    - net/ipv6: Fix the RT cache flush via sysctl using a previous delay
    - ionic: fix use after netif_napi_del()
    - drivers: core: synchronize really_probe() and dev_uevent()
    - drm/exynos/vidi: fix memory leak in .get_modes()
    - drm/exynos: hdmi: report safe 640x480 mode as a fallback when no EDID found
    - tracing/selftests: Fix kprobe event name test for .isra. functions
    - vmci: prevent speculation leaks by sanitizing event in event_deliver()
    - fs/proc: fix softlockup in __read_vmcore
    - ocfs2: use coarse time for new created files
    - ocfs2: fix races between hole punching and AIO+DIO
    - PCI: rockchip-ep: Remove wrong mask on subsys_vendor_id
    - dmaengine: axi-dmac: fix possible race in remove()
    - intel_th: pci: Add Granite Rapids support
    - intel_th: pci: Add Granite Rapids SOC support
    - intel_th: pci: Add Sapphire Rapids SOC support
    - intel_th: pci: Add Meteor Lake-S support
    - intel_th: pci: Add Lunar Lake support
    - nilfs2: fix potential kernel bug due to lack of writeback flag waiting
    - tick/nohz_full: Don't abuse smp_call_function_single() in
      tick_setup_device()
    - hv_utils: drain the timesync packets on onchannelcallback
    - hugetlb_encode.h: fix undefined behaviour (34 << 26)
    - greybus: Fix use-after-free bug in gb_interface_release due to race
      condition.
    - usb-storage: alauda: Check whether the media is initialized
    - i2c: at91: Fix the functionality flags of the slave-only interface
    - rcutorture: Fix rcu_torture_one_read() pipe_count overflow comment
    - selftests/bpf: Prevent client connect before server bind in
      test_tc_tunnel.sh
    - batman-adv: bypass empty buckets in batadv_purge_orig_ref()
    - drop_monitor: replace spin_lock by raw_spin_lock
    - scsi: qedi: Fix crash while reading debugfs attribute
    - Bluetooth: ath3k: Fix multiple issues reported by checkpatch.pl
    - powerpc/pseries: Enforce hcall result buffer validity and size
    - powerpc/io: Avoid clang null pointer arithmetic warnings
    - usb: misc: uss720: check for incompatible versions of the Belkin F5U002
    - udf: udftime: prevent overflow in udf_disk_stamp_to_time()
    - PCI/PM: Avoid D3cold for HP Pavilion 17 PC/1972 PCIe Ports
    - MIPS: Octeon: Add PCIe link status check
    - MIPS: Routerboard 532: Fix vendor retry check code
    - mips: bmips: BCM6358: make sure CBR is correctly set
    - cipso: fix total option length computation
    - netrom: Fix a memory leak in nr_heartbeat_expiry()
    - ipv6: prevent possible NULL deref in fib6_nh_init()
    - ipv6: prevent possible NULL dereference in rt6_probe()
    - xfrm6: check ip6_dst_idev() return value in xfrm6_get_saddr()
    - netns: Make get_net_ns() handle zero refcount net
    - net/sched: act_api: rely on rcu in tcf_idr_check_alloc
    - net/sched: act_api: fix possible infinite loop in tcf_idr_check_alloc()
    - virtio_net: checksum offloading handling fix
    - netfilter: ipset: Fix suspicious rcu_dereference_protected()
    - net: usb: rtl8150 fix unintiatilzed variables in rtl8150_get_link_ksettings
    - regulator: core: Fix modpost error "regulator_get_regmap" undefined
    - dmaengine: ioatdma: Fix missing kmem_cache_destroy()
    - ACPICA: Revert "ACPICA: avoid Info: mapping multiple BARs. Your kernel is
      fine."
    - drm/radeon: fix UBSAN warning in kv_dpm.c
    - gcov: add support for GCC 14
    - i2c: ocores: set IACK bit after core is enabled
    - ARM: dts: samsung: smdkv310: fix keypad no-autorepeat
    - ARM: dts: samsung: exynos4412-origen: fix keypad no-autorepeat
    - ARM: dts: samsung: smdk4412: fix keypad no-autorepeat
    - arm64: dts: qcom: qcs404: fix bluetooth device address
    - tracing: Add MODULE_DESCRIPTION() to preemptirq_delay_test
    - Revert "kheaders: substituting --sort in archive creation"
    - kheaders: explicitly define file modes for archived headers
    - perf/core: Fix missing wakeup when waiting for context reference
    - PCI: Add PCI_ERROR_RESPONSE and related definitions
    - x86/amd_nb: Check for invalid SMN reads
    - iio: dac: ad5592r-base: Replace indio_dev->mlock with own device lock
    - iio: dac: ad5592r: un-indent code-block for scale read
    - iio: dac: ad5592r: fix temperature channel scaling value
    - pinctrl: fix deadlock in create_pinctrl() when handling -EPROBE_DEFER
    - pinctrl: rockchip: fix pinmux bits for RK3328 GPIO2-B pins
    - pinctrl: rockchip: fix pinmux bits for RK3328 GPIO3-B pins
    - pinctrl: rockchip: fix pinmux reset in rockchip_pmx_set
    - drm/amdgpu: fix UBSAN warning in kv_dpm.c
    - netfilter: nf_tables: validate family when identifying table via handle
    - ASoC: fsl-asoc-card: set priv->pdev before using it
    - net: dsa: microchip: fix initial port flush problem
    - net: phy: mchp: Add support for LAN8814 QUAD PHY
    - net: phy: micrel: add Microchip KSZ 9477 to the device table
    - sparc: fix old compat_sys_select()
    - parisc: use correct compat recv/recvfrom syscalls
    - netfilter: nf_tables: fully validate NFT_DATA_VALUE on store to data
      registers
    - drm/panel: ilitek-ili9881c: Fix warning with GPIO controllers that sleep
    - mtd: partitions: redboot: Added conversion of operands to a larger type
    - net/iucv: Avoid explicit cpumask var allocation on stack
    - net/dpaa2: Avoid explicit cpumask var allocation on stack
    - ALSA: emux: improve patch ioctl data validation
    - media: dvbdev: Initialize sbuf
    - soc: ti: wkup_m3_ipc: Send NULL dummy message instead of pointer message
    - nvme: fixup comment for nvme RDMA Provider Type
    - gpio: davinci: Validate the obtained number of IRQs
    - x86: stop playing stack games in profile_pc()
    - mmc: sdhci-pci: Convert PCIBIOS_* return codes to errnos
    - mmc: sdhci: Do not invert write-protect twice
    - mmc: sdhci: Do not lock spinlock around mmc_gpio_get_ro()
    - iio: adc: ad7266: Fix variable checking bug
    - iio: chemical: bme680: Fix pressure value output
    - iio: chemical: bme680: Fix calibration data variable
    - iio: chemical: bme680: Fix overflows in compensate() functions
    - iio: chemical: bme680: Fix sensor data read operation
    - net: usb: ax88179_178a: improve link status logs
    - usb: gadget: printer: SS+ support
    - usb: musb: da8xx: fix a resource leak in probe()
    - usb: atm: cxacru: fix endpoint checking in cxacru_bind()
    - tty: mcf: MCF54418 has 10 UARTS
    - net: can: j1939: Initialize unused data in j1939_send_one()
    - net: can: j1939: recover socket queue on CAN bus error during BAM
      transmission
    - net: can: j1939: enhanced error handling for tightly received RTS messages
      in xtp_rx_rts_session_new
    - csky, hexagon: fix broken sys_sync_file_range
    - hexagon: fix fadvise64_64 calling conventions
    - drm/nouveau/dispnv04: fix null pointer dereference in nv17_tv_get_ld_modes
    - drm/nouveau/dispnv04: fix null pointer dereference in nv17_tv_get_hd_modes
    - batman-adv: Don't accept TT entries for out-of-spec VIDs
    - ata: libata-core: Fix double free on error
    - ftruncate: pass a signed offset
    - mtd: spinand: macronix: Add support for serial NAND flash
    - pwm: stm32: Refuse too small period requests
    - nfs: Leave pages in the pagecache if readpage failed
    - ARM: dts: rockchip: rk3066a: add #sound-dai-cells to hdmi node
    - arm64: dts: rockchip: Add sound-dai-cells for RK3368
    - Linux 5.4.279
  * CVE-2024-26921
    - skbuff: introduce skb_expand_head()
    - skb_expand_head() adjust skb->truesize incorrectly
    - inet: inet_defrag: prevent sk release while still in use
  * CVE-2024-26929
    - scsi: qla2xxx: Fix double free of fcport
  * CVE-2024-39484
    - mmc: davinci: Don't strip remove function when driver is builtin
  * CVE-2024-36901
    - ipv6: prevent NULL dereference in ip6_output()
  * CVE-2024-26830
    - i40e: Refactoring VF MAC filters counting to make more reliable
    - i40e: Fix MAC address setting for a VF via Host/VM
    - i40e: Do not allow untrusted VF to remove administratively set MAC
  * CVE-2024-24860
    - Bluetooth: Fix atomicity violation in {min, max}_key_size_set
  * CVE-2023-52760
    - gfs2: Fix slab-use-after-free in gfs2_qd_dealloc
  * CVE-2024-2201
    - [Config] Set SPECTRE_BHI_ON=y
  * CVE-2023-52629
    - sh: push-switch: Reorder cleanup operations to avoid use-after-free bug
  * CVE-2021-46926
    - ALSA: hda: intel-sdw-acpi: harden detection of controller

 -- Hannah Peuckmann <hannah.peuckmann@canonical.com>  Wed, 14 Aug 2024 14:40:41 +0200

linux-iot (5.4.0-1042.43) focal; urgency=medium

  * focal/linux-iot: 5.4.0-1042.43 -proposed tracker (LP: #2072294)

  [ Ubuntu: 5.4.0-192.212 ]

  * focal/linux: 5.4.0-192.212 -proposed tracker (LP: #2072305)
  * Focal update: v5.4.278 upstream stable release (LP: #2071668)
    - x86/tsc: Trust initial offset in architectural TSC-adjust MSRs
    - speakup: Fix sizeof() vs ARRAY_SIZE() bug
    - ring-buffer: Fix a race between readers and resize checks
    - net: smc91x: Fix m68k kernel compilation for ColdFire CPU
    - nilfs2: fix unexpected freezing of nilfs_segctor_sync()
    - nilfs2: fix potential hang in nilfs_detach_log_writer()
    - wifi: cfg80211: fix the order of arguments for trace events of the tx_rx_evt
      class
    - net: usb: qmi_wwan: add Telit FN920C04 compositions
    - drm/amd/display: Set color_mgmt_changed to true on unsuspend
    - ASoC: rt5645: Fix the electric noise due to the CBJ contacts floating
    - ASoC: dt-bindings: rt5645: add cbj sleeve gpio property
    - ASoC: da7219-aad: fix usage of device_get_named_child_node()
    - drm/amdkfd: Flush the process wq before creating a kfd_process
    - nvme: find numa distance only if controller has valid numa id
    - openpromfs: finish conversion to the new mount API
    - crypto: bcm - Fix pointer arithmetic
    - firmware: raspberrypi: Use correct device for DMA mappings
    - ecryptfs: Fix buffer size for tag 66 packet
    - nilfs2: fix out-of-range warning
    - parisc: add missing export of __cmpxchg_u8()
    - crypto: ccp - drop platform ifdef checks
    - s390/cio: fix tracepoint subchannel type field
    - jffs2: prevent xattr node from overflowing the eraseblock
    - null_blk: Fix missing mutex_destroy() at module removal
    - md: fix resync softlockup when bitmap size is less than array size
    - wifi: ath10k: poll service ready message before failing
    - x86/boot: Ignore relocations in .notes sections in walk_relocs() too
    - qed: avoid truncating work queue length
    - scsi: ufs: qcom: Perform read back after writing reset bit
    - scsi: ufs: cdns-pltfrm: Perform read back after writing HCLKDIV
    - scsi: ufs: core: Perform read back after disabling interrupts
    - scsi: ufs: core: Perform read back after disabling UIC_COMMAND_COMPL
    - irqchip/alpine-msi: Fix off-by-one in allocation error path
    - ACPI: disable -Wstringop-truncation
    - cpufreq: Reorganize checks in cpufreq_offline()
    - cpufreq: Split cpufreq_offline()
    - cpufreq: Rearrange locking in cpufreq_remove_dev()
    - cpufreq: exit() callback is optional
    - scsi: libsas: Fix the failure of adding phy with zero-address to port
    - scsi: hpsa: Fix allocation size for Scsi_Host private data
    - x86/purgatory: Switch to the position-independent small code model
    - wifi: ath10k: Fix an error code problem in
      ath10k_dbg_sta_write_peer_debug_trigger()
    - wifi: ath10k: populate board data for WCN3990
    - tcp: minor optimization in tcp_add_backlog()
    - tcp: fix a signed-integer-overflow bug in tcp_add_backlog()
    - tcp: avoid premature drops in tcp_add_backlog()
    - macintosh/via-macii: Fix "BUG: sleeping function called from invalid
      context"
    - wifi: carl9170: add a proper sanity check for endpoints
    - wifi: ar5523: enable proper endpoint verification
    - sh: kprobes: Merge arch_copy_kprobe() into arch_prepare_kprobe()
    - Revert "sh: Handle calling csum_partial with misaligned data"
    - HID: intel-ish-hid: ipc: Add check for pci_alloc_irq_vectors
    - scsi: bfa: Ensure the copied buf is NUL terminated
    - scsi: qedf: Ensure the copied buf is NUL terminated
    - wifi: mwl8k: initialize cmd->addr[] properly
    - usb: aqc111: stop lying about skb->truesize
    - net: usb: sr9700: stop lying about skb->truesize
    - m68k: Fix spinlock race in kernel thread creation
    - m68k: mac: Fix reboot hang on Mac IIci
    - net: ethernet: cortina: Locking fixes
    - af_unix: Fix data races in unix_release_sock/unix_stream_sendmsg
    - net: usb: smsc95xx: stop lying about skb->truesize
    - net: openvswitch: fix overwriting ct original tuple for ICMPv6
    - ipv6: sr: add missing seg6_local_exit
    - ipv6: sr: fix incorrect unregister order
    - ipv6: sr: fix invalid unregister error path
    - drm/amd/display: Fix potential index out of bounds in color transformation
      function
    - mtd: rawnand: hynix: fixed typo
    - fbdev: shmobile: fix snprintf truncation
    - drm/mediatek: Add 0 size check to mtk_drm_gem_obj
    - powerpc/fsl-soc: hide unused const variable
    - fbdev: sisfb: hide unused variables
    - media: ngene: Add dvb_ca_en50221_init return value check
    - media: radio-shark2: Avoid led_names truncations
    - platform/x86: wmi: Make two functions static
    - fbdev: sh7760fb: allow modular build
    - drm/arm/malidp: fix a possible null pointer dereference
    - ASoC: tracing: Export SND_SOC_DAPM_DIR_OUT to its value
    - drm/panel: simple: Add missing Innolux G121X1-L03 format, flags, connector
    - RDMA/hns: Use complete parentheses in macros
    - x86/insn: Fix PUSH instruction in x86 instruction decoder opcode map
    - ext4: avoid excessive credit estimate in ext4_tmpfile()
    - sunrpc: removed redundant procp check
    - SUNRPC: Fix gss_free_in_token_pages()
    - selftests/kcmp: Make the test output consistent and clear
    - selftests/kcmp: remove unused open mode
    - RDMA/IPoIB: Fix format truncation compilation errors
    - netrom: fix possible dead-lock in nr_rt_ioctl()
    - af_packet: do not call packet_read_pending() from tpacket_destruct_skb()
    - sched/topology: Don't set SD_BALANCE_WAKE on cpuset domain relax
    - sched/fair: Allow disabling sched_balance_newidle with
      sched_relax_domain_level
    - greybus: lights: check return of get_channel_from_mode
    - soundwire: cadence/intel: simplify PDI/port mapping
    - soundwire: intel: don't filter out PDI0/1
    - soundwire: cadence_master: improve PDI allocation
    - soundwire: cadence: fix invalid PDI offset
    - dmaengine: idma64: Add check for dma_set_max_seg_size
    - firmware: dmi-id: add a release callback function
    - serial: max3100: Lock port->lock when calling uart_handle_cts_change()
    - serial: max3100: Update uart_driver_registered on driver removal
    - serial: max3100: Fix bitwise types
    - greybus: arche-ctrl: move device table to its right location
    - iio: pressure: dps310: support negative temperature values
    - microblaze: Remove gcc flag for non existing early_printk.c file
    - microblaze: Remove early printk call from cpuinfo-static.c
    - usb: gadget: u_audio: Clear uac pointer when freed.
    - stm class: Fix a double free in stm_register_device()
    - ppdev: Remove usage of the deprecated ida_simple_xx() API
    - ppdev: Add an error check in register_device
    - extcon: max8997: select IRQ_DOMAIN instead of depending on it
    - f2fs: fix to release node block count in error path of f2fs_new_node_page()
    - serial: sh-sci: protect invalidating RXDMA on shutdown
    - libsubcmd: Fix parse-options memory leak
    - Input: ims-pcu - fix printf string overflow
    - Input: pm8xxx-vibrator - correct VIB_MAX_LEVELS calculation
    - drm/msm/dpu: Always flush the slave INTF on the CTL
    - um: Fix return value in ubd_init()
    - um: Add winch to winch_handlers before registering winch IRQ
    - media: stk1160: fix bounds checking in stk1160_copy_video()
    - scsi: qla2xxx: Replace all non-returning strlcpy() with strscpy()
    - powerpc/pseries: Add failure related checks for h_get_mpp and h_get_ppp
    - um: Fix the -Wmissing-prototypes warning for __switch_mm
    - media: cec: cec-adap: always cancel work in cec_transmit_msg_fh
    - media: cec: cec-api: add locking in cec_release()
    - null_blk: Fix the WARNING: modpost: missing MODULE_DESCRIPTION()
    - x86/kconfig: Select ARCH_WANT_FRAME_POINTERS again when
      UNWINDER_FRAME_POINTER=y
    - [Config] Update CONFIG_ARCH_WANT_FRAME_POINTERS
    - nfc: nci: Fix uninit-value in nci_rx_work
    - sunrpc: fix NFSACL RPC retry on soft mount
    - ipv6: sr: fix memleak in seg6_hmac_init_algo
    - params: lift param_set_uint_minmax to common code
    - tcp: Fix shift-out-of-bounds in dctcp_update_alpha().
    - openvswitch: Set the skbuff pkt_type for proper pmtud support.
    - arm64: asm-bug: Add .align 2 to the end of __BUG_ENTRY
    - virtio: delete vq in vp_find_vqs_msix() when request_irq() fails
    - net: fec: avoid lock evasion when reading pps_enable
    - nfc: nci: Fix kcov check in nci_rx_work()
    - nfc: nci: Fix handling of zero-length payload packets in nci_rx_work()
    - netfilter: nfnetlink_queue: acquire rcu_read_lock() in
      instance_destroy_rcu()
    - spi: Don't mark message DMA mapped when no transfer in it is
    - nvmet: fix ns enable/disable possible hang
    - net/mlx5e: Use rx_missed_errors instead of rx_dropped for reporting buffer
      exhaustion
    - dma-buf/sw-sync: don't enable IRQ from sync_print_obj()
    - enic: Validate length of nl attributes in enic_set_vf_port
    - smsc95xx: remove redundant function arguments
    - smsc95xx: use usbnet->driver_priv
    - net: usb: smsc95xx: fix changing LED_SEL bit value updated from EEPROM
    - net:fec: Add fec_enet_deinit()
    - netfilter: tproxy: bail out if IP has been disabled on the device
    - kconfig: fix comparison to constant symbols, 'm', 'n'
    - spi: stm32: Don't warn about spurious interrupts
    - ipvlan: Dont Use skb->sk in ipvlan_process_v{4,6}_outbound
    - ALSA: timer: Set lower bound of start tick time
    - genirq/cpuhotplug, x86/vector: Prevent vector leak during CPU offline
    - SUNRPC: Fix loop termination condition in gss_free_in_token_pages()
    - binder: fix max_thread type inconsistency
    - mmc: core: Do not force a retune before RPMB switch
    - io_uring: fail NOP if non-zero op flags is passed in
    - afs: Don't cross .backup mountpoint from backup volume
    - nilfs2: fix use-after-free of timer for log writer thread
    - vxlan: Fix regression when dropping packets due to invalid src addresses
    - x86/mm: Remove broken vsyscall emulation code from the page fault code
    - f2fs: fix to do sanity check on i_xattr_nid in sanity_check_inode()
    - media: lgdt3306a: Add a check against null-pointer-def
    - drm/amdgpu: add error handle to avoid out-of-bounds
    - ata: pata_legacy: make legacy_exit() work again
    - ACPI: resource: Do IRQ override on TongFang GXxHRXx and GMxHGxx
    - arm64: tegra: Correct Tegra132 I2C alias
    - md/raid5: fix deadlock that raid5d() wait for itself to clear
      MD_SB_CHANGE_PENDING
    - wifi: rtl8xxxu: Fix the TX power of RTL8192CU, RTL8723AU
    - arm64: dts: hi3798cv200: fix the size of GICR
    - media: mc: mark the media devnode as registered from the, start
    - media: mxl5xx: Move xpt structures off stack
    - media: v4l2-core: hold videodev_lock until dev reg, finishes
    - fbdev: savage: Handle err return when savagefb_check_var failed
    - KVM: arm64: Allow AArch32 PSTATE.M to be restored as System mode
    - crypto: ecrdsa - Fix module auto-load on add_key
    - crypto: qat - Fix ADF_DEV_RESET_SYNC memory leak
    - net/ipv6: Fix route deleting failure when metric equals 0
    - net/9p: fix uninit-value in p9_client_rpc()
    - intel_th: pci: Add Meteor Lake-S CPU support
    - sparc64: Fix number of online CPUs
    - kdb: Fix buffer overflow during tab-complete
    - kdb: Use format-strings rather than '0' injection in kdb_read()
    - kdb: Fix console handling when editing and tab-completing commands
    - kdb: Merge identical case statements in kdb_read()
    - kdb: Use format-specifiers rather than memset() for padding in kdb_read()
    - net: fix __dst_negative_advice() race
    - xsk: validate user input for XDP_{UMEM|COMPLETION}_FILL_RING
    - sparc: move struct termio to asm/termios.h
    - ext4: fix mb_cache_entry's e_refcnt leak in ext4_xattr_block_cache_find()
    - s390/ap: Fix crash in AP internal function modify_bitmap()
    - nfs: fix undefined behavior in nfs_block_bits()
    - Linux 5.4.278
  * CVE-2024-27019
    - netfilter: nf_tables: restrict tunnel object to NFPROTO_NETDEV
    - netfilter: nf_tables: Fix potential data-race in __nft_obj_type_get()
  * CVE-2024-26886
    - Bluetooth: af_bluetooth: Fix deadlock
  * CVE-2023-52752
    - smb: client: fix use-after-free bug in cifs_debug_data_proc_show()
  * CVE-2022-48674
    - erofs: fix pcluster use-after-free on UP platforms
  * Focal update: v5.4.277 upstream stable release (LP: #2070179)
    - pinctrl: core: handle radix_tree_insert() errors in
      pinctrl_register_one_pin()
    - ext4: fix bug_on in __es_tree_search
    - Revert "selftests: mm: fix map_hugetlb failure on 64K page size systems"
    - Revert "net: bcmgenet: use RGMII loopback for MAC reset"
    - net: bcmgenet: keep MAC in reset until PHY is up
    - net: bcmgenet: synchronize EXT_RGMII_OOB_CTRL access
    - net: bcmgenet: synchronize use of bcmgenet_set_rx_mode()
    - net: bcmgenet: synchronize UMAC_CMD access
    - smb: client: fix potential OOBs in smb2_parse_contexts()
    - arm64: dts: qcom: Fix 'interrupt-map' parent address cells
    - btrfs: add missing mutex_unlock in btrfs_relocate_sys_chunks()
    - drm/amdgpu: Fix possible NULL dereference in
      amdgpu_ras_query_error_status_helper()
    - usb: typec: ucsi: displayport: Fix potential deadlock
    - serial: kgdboc: Fix NMI-safety problems from keyboard reset code
    - docs: kernel_include.py: Cope with docutils 0.21
    - Linux 5.4.277
  * Focal update: v5.4.276 upstream stable release (LP: #2069758)
    - dmaengine: pl330: issue_pending waits until WFP state
    - dmaengine: Revert "dmaengine: pl330: issue_pending waits until WFP state"
    - wifi: nl80211: don't free NULL coalescing rule
    - pinctrl: core: delete incorrect free in pinctrl_enable()
    - pinctrl: mediatek: Check gpio pin number and use binary search in
      mtk_hw_pin_field_lookup()
    - pinctrl: mediatek: Supporting driving setting without mapping current to
      register value
    - pinctrl: mediatek: Refine mtk_pinconf_get() and mtk_pinconf_set()
    - pinctrl: mediatek: Refine mtk_pinconf_get()
    - pinctrl: mediatek: Backward compatible to previous Mediatek's bias-pull
      usage
    - pinctrl: mediatek: remove shadow variable declaration
    - pinctrl: mediatek: paris: Fix PIN_CONFIG_BIAS_* readback
    - pinctrl: mediatek: paris: Rework mtk_pinconf_{get,set} switch/case logic
    - pinctrl: mediatek: paris: Rework support for
      PIN_CONFIG_{INPUT,OUTPUT}_ENABLE
    - sunrpc: add a struct rpc_stats arg to rpc_create_args
    - nfs: expose /proc/net/sunrpc/nfs in net namespaces
    - nfs: make the rpc_stat per net namespace
    - nfs: Handle error of rpc_proc_register() in nfs_net_init().
    - power: rt9455: hide unused rt9455_boost_voltage_values
    - pinctrl: devicetree: fix refcount leak in pinctrl_dt_to_map()
    - s390/mm: Fix storage key clearing for guest huge pages
    - s390/mm: Fix clearing storage keys for huge pages
    - bna: ensure the copied buf is NUL terminated
    - nsh: Restore skb->{protocol,data,mac_header} for outer header in
      nsh_gso_segment().
    - net l2tp: drop flow hash on forward
    - net: qede: use return from qede_parse_flow_attr() for flow_spec
    - net: dsa: mv88e6xxx: Add number of MACs in the ATU
    - net: dsa: mv88e6xxx: Fix number of databases for 88E6141 / 88E6341
    - net: bridge: fix multicast-to-unicast with fraglist GSO
    - tipc: fix a possible memleak in tipc_buf_append
    - clk: sunxi-ng: h6: Reparent CPUX during PLL CPUX rate change
    - scsi: lpfc: Update lpfc_ramp_down_queue_handler() logic
    - gfs2: Fix invalid metadata access in punch_hole
    - wifi: mac80211: fix ieee80211_bss_*_flags kernel-doc
    - wifi: cfg80211: fix rdev_dump_mpp() arguments order
    - net: mark racy access on sk->sk_rcvbuf
    - scsi: bnx2fc: Remove spin_lock_bh while releasing resources after upload
    - ALSA: line6: Zero-initialize message buffers
    - net: bcmgenet: Reset RBUF on first open
    - ata: sata_gemini: Check clk_enable() result
    - firewire: ohci: mask bus reset interrupts between ISR and bottom half
    - tools/power turbostat: Fix added raw MSR output
    - tools/power turbostat: Fix Bzy_MHz documentation typo
    - btrfs: make btrfs_clear_delalloc_extent() free delalloc reserve
    - btrfs: always clear PERTRANS metadata during commit
    - scsi: target: Fix SELinux error when systemd-modules loads the target module
    - gpu: host1x: Do not setup DMA for virtual devices
    - MIPS: scall: Save thread_info.syscall unconditionally on entry
    - selftests: timers: Fix valid-adjtimex signed left-shift undefined behavior
    - fs/9p: only translate RWX permissions for plain 9P2000
    - fs/9p: translate O_TRUNC into OTRUNC
    - 9p: explicitly deny setlease attempts
    - gpio: wcove: Use -ENOTSUPP consistently
    - gpio: crystalcove: Use -ENOTSUPP consistently
    - clk: Don't hold prepare_lock when calling kref_put()
    - fs/9p: drop inodes immediately on non-.L too
    - net:usb:qmi_wwan: support Rolling modules
    - pinctrl: mediatek: Fix fallback call path
    - xfrm: Preserve vlan tags for transport mode software GRO
    - tcp: defer shutdown(SEND_SHUTDOWN) for TCP_SYN_RECV sockets
    - tcp: Use refcount_inc_not_zero() in tcp_twsk_unique().
    - Bluetooth: Fix use-after-free bugs caused by sco_sock_timeout
    - Bluetooth: l2cap: fix null-ptr-deref in l2cap_chan_timeout
    - rtnetlink: Correct nested IFLA_VF_VLAN_LIST attribute validation
    - phonet: fix rtm_phonet_notify() skb allocation
    - net: bridge: fix corrupted ethernet header on multicast-to-unicast
    - ipv6: fib6_rules: avoid possible NULL dereference in fib6_rule_action()
    - net: qede: sanitize 'rc' in qede_add_tc_flower_fltr()
    - net: qede: use return from qede_parse_flow_attr() for flower
    - firewire: nosy: ensure user_length is taken into account when fetching
      packet contents
    - usb: gadget: composite: fix OS descriptors w_value logic
    - usb: gadget: f_fs: Fix a race condition when processing setup packets.
    - tipc: fix UAF in error path
    - dyndbg: fix old BUG_ON in >control parser
    - drm/vmwgfx: Fix invalid reads in fence signaled events
    - net: fix out-of-bounds access in ops_init
    - regulator: core: fix debugfs creation regression
    - pinctrl: mediatek: Fix fallback behavior for bias_set_combo
    - pinctrl: mediatek: Fix some off by one bugs
    - pinctrl: mediatek: remove set but not used variable 'e'
    - pinctrl: mediatek: paris: Fix PIN_CONFIG_INPUT_SCHMITT_ENABLE readback
    - Linux 5.4.276
  * Freezing user space processes failed after 20.008 seconds (1 tasks refusing
    to freeze, wq_busy=0) (LP: #2061091)
    - ALSA: Fix deadlocks with kctl removals at disconnection
  * CVE-2024-36016
    - tty: n_gsm: fix possible out-of-bounds in gsm0_receive()
  * CVE-2022-48655
    - firmware: arm_scmi: Harden accesses to the reset domains
  * CVE-2024-26907
    - RDMA/mlx5: Fix fortify source warning while accessing Eth segment
  * CVE-2024-26585
    - tls: fix race between tx work scheduling and socket close
  * CVE-2024-26584
    - net: tls: handle backlogging of crypto requests
  * CVE-2024-26583
    - net/tls: Replace TLS_RX_SYNC_RUNNING with RCU
    - net/tls: Fix use-after-free after the TLS device goes down and up
    - tls: splice_read: fix record type check
    - tls splice: remove inappropriate flags checking for MSG_PEEK
    - tls: splice_read: fix accessing pre-processed records
    - tls: Fix context leak on tls_device_down
    - net/tls: Check for errors in tls_device_init
    - net/tls: Remove the context from the list in tls_device_down
    - net/tls: pass context to tls_device_decrypted()
    - net/tls: Perform immediate device ctx cleanup when possible
    - net/tls: Multi-threaded calls to TX tls_dev_del
    - net: tls: avoid discarding data on record close
    - tls: rx: don't store the record type in socket context
    - tls: rx: don't store the decryption status in socket context
    - tls: rx: don't issue wake ups when data is decrypted
    - tls: rx: refactor decrypt_skb_update()
    - tls: hw: rx: use return value of tls_device_decrypted() to carry status
    - tls: rx: drop unnecessary arguments from tls_setup_from_iter()
    - tls: rx: don't report text length from the bowels of decrypt
    - tls: rx: wrap decryption arguments in a structure
    - tls: rx: factor out writing ContentType to cmsg
    - tls: rx: don't track the async count
    - tls: rx: assume crypto always calls our callback
    - tls: rx: use async as an in-out argument
    - tls: decrement decrypt_pending if no async completion will be called
    - net: tls: fix async vs NIC crypto offload
    - tls: rx: simplify async wait
    - tls: extract context alloc/initialization out of tls_set_sw_offload
    - net: tls: factor out tls_*crypt_async_wait()
    - tls: fix race between async notify and socket close

 -- Hannah Peuckmann <hannah.peuckmann@canonical.com>  Wed, 17 Jul 2024 09:58:09 +0200

linux-iot (5.4.0-1041.42) focal; urgency=medium

  * focal/linux-iot: 5.4.0-1041.42 -proposed tracker (LP: #2072097)

  [ Ubuntu: 5.4.0-190.210 ]

  * focal/linux: 5.4.0-190.210 -proposed tracker (LP: #2072108)
  * CVE-2024-36016
    - tty: n_gsm: fix possible out-of-bounds in gsm0_receive()
  * CVE-2022-48655
    - firmware: arm_scmi: Harden accesses to the reset domains
  * CVE-2024-26907
    - RDMA/mlx5: Fix fortify source warning while accessing Eth segment
  * CVE-2024-26585
    - tls: fix race between tx work scheduling and socket close
  * CVE-2024-26584
    - net: tls: handle backlogging of crypto requests
  * CVE-2024-26583
    - net/tls: Replace TLS_RX_SYNC_RUNNING with RCU
    - net/tls: Fix use-after-free after the TLS device goes down and up
    - tls: splice_read: fix record type check
    - tls splice: remove inappropriate flags checking for MSG_PEEK
    - tls: splice_read: fix accessing pre-processed records
    - tls: Fix context leak on tls_device_down
    - net/tls: Check for errors in tls_device_init
    - net/tls: Remove the context from the list in tls_device_down
    - net/tls: pass context to tls_device_decrypted()
    - net/tls: Perform immediate device ctx cleanup when possible
    - net/tls: Multi-threaded calls to TX tls_dev_del
    - net: tls: avoid discarding data on record close
    - tls: rx: don't store the record type in socket context
    - tls: rx: don't store the decryption status in socket context
    - tls: rx: don't issue wake ups when data is decrypted
    - tls: rx: refactor decrypt_skb_update()
    - tls: hw: rx: use return value of tls_device_decrypted() to carry status
    - tls: rx: drop unnecessary arguments from tls_setup_from_iter()
    - tls: rx: don't report text length from the bowels of decrypt
    - tls: rx: wrap decryption arguments in a structure
    - tls: rx: factor out writing ContentType to cmsg
    - tls: rx: don't track the async count
    - tls: rx: assume crypto always calls our callback
    - tls: rx: use async as an in-out argument
    - tls: decrement decrypt_pending if no async completion will be called
    - net: tls: fix async vs NIC crypto offload
    - tls: rx: simplify async wait
    - tls: extract context alloc/initialization out of tls_set_sw_offload
    - net: tls: factor out tls_*crypt_async_wait()
    - tls: fix race between async notify and socket close

 -- Hannah Peuckmann <hannah.peuckmann@canonical.com>  Thu, 11 Jul 2024 12:19:24 +0200

linux-iot (5.4.0-1040.41) focal; urgency=medium

  * focal/linux-iot: 5.4.0-1040.41 -proposed tracker (LP: #2068441)

  [ Ubuntu: 5.4.0-189.209 ]

  * focal/linux: 5.4.0-189.209 -proposed tracker (LP: #2068454)
  * Focal update: v5.4.275 upstream stable release (LP: #2067865)
    - batman-adv: Avoid infinite loop trying to resize local TT
    - Bluetooth: Fix memory leak in hci_req_sync_complete()
    - nouveau: fix function cast warning
    - net: openvswitch: fix unwanted error log on timeout policy probing
    - u64_stats: fix u64_stats_init() for lockdep when used repeatedly in one file
    - geneve: fix header validation in geneve[6]_xmit_skb
    - ipv6: fib: hide unused 'pn' variable
    - ipv4/route: avoid unused-but-set-variable warning
    - ipv6: fix race condition between ipv6_get_ifaddr and ipv6_del_addr
    - net/mlx5: Properly link new fs rules into the tree
    - net: ena: Fix potential sign extension issue
    - btrfs: qgroup: correctly model root qgroup rsv in convert
    - drm/client: Fully protect modes[] with dev->mode_config.mutex
    - vhost: Add smp_rmb() in vhost_vq_avail_empty()
    - selftests: timers: Fix abs() warning in posix_timers test
    - x86/apic: Force native_apic_mem_read() to use the MOV instruction
    - btrfs: record delayed inode root in transaction
    - selftests/ftrace: Limit length in subsystem-enable tests
    - kprobes: Fix possible use-after-free issue on kprobe registration
    - Revert "tracing/trigger: Fix to return error if failed to alloc snapshot"
    - netfilter: nf_tables: Fix potential data-race in __nft_expr_type_get()
    - tun: limit printing rate when illegal packet received by tun dev
    - RDMA/rxe: Fix the problem "mutex_destroy missing"
    - RDMA/mlx5: Fix port number for counter query in multi-port configuration
    - drm: nv04: Fix out of bounds access
    - clk: Remove prepare_lock hold assertion in __clk_release()
    - clk: Mark 'all_lists' as const
    - clk: remove extra empty line
    - clk: Print an info line before disabling unused clocks
    - clk: Initialize struct clk_core kref earlier
    - clk: Get runtime PM before walking tree during disable_unused
    - x86/cpufeatures: Fix dependencies for GFNI, VAES, and VPCLMULQDQ
    - comedi: vmk80xx: fix incomplete endpoint checking
    - serial/pmac_zilog: Remove flawed mitigation for rx irq flood
    - USB: serial: option: add Fibocom FM135-GL variants
    - USB: serial: option: add support for Fibocom FM650/FG650
    - USB: serial: option: add Lonsung U8300/U9300 product
    - USB: serial: option: support Quectel EM060K sub-models
    - USB: serial: option: add Rolling RW101-GL and RW135-GL support
    - USB: serial: option: add Telit FN920C04 rmnet compositions
    - usb: dwc2: host: Fix dereference issue in DDMA completion flow.
    - speakup: Avoid crash on very long word
    - fs: sysfs: Fix reference leak in sysfs_break_active_protection()
    - nouveau: fix instmem race condition around ptr stores
    - nilfs2: fix OOB in nilfs_set_de_type
    - KVM: async_pf: Cleanup kvm_setup_async_pf()
    - arm64: dts: rockchip: fix alphabetical ordering RK3399 puma
    - arm64: dts: rockchip: enable internal pull-up on PCIE_WAKE# for RK3399 Puma
    - arm64: dts: mediatek: mt7622: fix IR nodename
    - arm64: dts: mediatek: mt7622: fix ethernet controller "compatible"
    - arm64: dts: mediatek: mt7622: drop "reset-names" from thermal block
    - arm64: dts: mt2712: add ethernet device node
    - arm64: dts: mediatek: mt2712: fix validation errors
    - ARC: [plat-hsdk]: Remove misplaced interrupt-cells property
    - vxlan: drop packets from invalid src-address
    - mlxsw: core: Unregister EMAD trap using FORWARD action
    - NFC: trf7970a: disable all regulators on removal
    - net: usb: ax88179_178a: stop lying about skb->truesize
    - net: gtp: Fix Use-After-Free in gtp_dellink
    - ipvs: Fix checksumming on GSO of SCTP packets
    - net: openvswitch: Fix Use-After-Free in ovs_ct_exit
    - mlxsw: spectrum_acl_tcam: Fix race during rehash delayed work
    - mlxsw: spectrum_acl_tcam: Fix possible use-after-free during activity update
    - mlxsw: spectrum_acl_tcam: Fix possible use-after-free during rehash
    - mlxsw: spectrum_acl_tcam: Rate limit error message
    - mlxsw: spectrum_acl_tcam: Fix memory leak during rehash
    - mlxsw: spectrum_acl_tcam: Fix warning during rehash
    - mlxsw: spectrum_acl_tcam: Fix incorrect list API usage
    - mlxsw: spectrum_acl_tcam: Fix memory leak when canceling rehash work
    - i40e: Do not use WQ_MEM_RECLAIM flag for workqueue
    - iavf: Fix TC config comparison with existing adapter TC config
    - af_unix: Suppress false-positive lockdep splat for spin_lock() in
      __unix_gc().
    - serial: core: Provide port lock wrappers
    - serial: mxs-auart: add spinlock around changing cts state
    - Revert "crypto: api - Disallow identical driver names"
    - net/mlx5e: Fix a race in command alloc flow
    - tracing: Show size of requested perf buffer
    - tracing: Increase PERF_MAX_TRACE_SIZE to handle Sentinel1 and docker
      together
    - Bluetooth: Fix type of len in {l2cap,sco}_sock_getsockopt_old()
    - Bluetooth: btusb: Add Realtek RTL8852BE support ID 0x0bda:0x4853
    - btrfs: fix information leak in btrfs_ioctl_logical_to_ino()
    - arm64: dts: rockchip: enable internal pull-up for Q7_THRM# on RK3399 Puma
    - drm/amdgpu: Fix leak when GPU memory allocation fails
    - irqchip/gic-v3-its: Prevent double free on error
    - ethernet: Add helper for assigning packet type when dest address does not
      match device address
    - net: b44: set pause params only when interface is up
    - stackdepot: respect __GFP_NOLOCKDEP allocation flag
    - mtd: diskonchip: work around ubsan link failure
    - tcp: Clean up kernel listener's reqsk in inet_twsk_purge()
    - tcp: Fix NEW_SYN_RECV handling in inet_twsk_purge()
    - dmaengine: owl: fix register access functions
    - idma64: Don't try to serve interrupts when device is powered off
    - i2c: smbus: fix NULL function pointer dereference
    - HID: i2c-hid: remove I2C_HID_READ_PENDING flag to prevent lock-up
    - bounds: Use the right number of bits for power-of-two CONFIG_NR_CPUS
    - udp: preserve the connected status if only UDP cmsg
    - serial: core: fix kernel-doc for uart_port_unlock_irqrestore()
    - Linux 5.4.275
  * Focal update: v5.4.274 upstream stable release (LP: #2067857)
    - amdkfd: use calloc instead of kzalloc to avoid integer overflow
    - Documentation/hw-vuln: Update spectre doc
    - x86/cpu: Support AMD Automatic IBRS
    - x86/bugs: Use sysfs_emit()
    - timers: Update kernel-doc for various functions
    - timers: Use del_timer_sync() even on UP
    - timers: Rename del_timer_sync() to timer_delete_sync()
    - media: staging: ipu3-imgu: Set fields before media_entity_pads_init()
    - clk: qcom: gcc-sdm845: Add soft dependency on rpmhpd
    - smack: Set SMACK64TRANSMUTE only for dirs in smack_inode_setxattr()
    - smack: Handle SMACK64TRANSMUTE in smack_inode_setsecurity()
    - ARM: dts: mmp2-brownstone: Don't redeclare phandle references
    - arm: dts: marvell: Fix maxium->maxim typo in brownstone dts
    - serial: max310x: fix NULL pointer dereference in I2C instantiation
    - KVM: Always flush async #PF workqueue when vCPU is being destroyed
    - sparc64: NMI watchdog: fix return value of __setup handler
    - sparc: vDSO: fix return value of __setup handler
    - crypto: qat - fix double free during reset
    - crypto: qat - resolve race condition during AER recovery
    - selftests/mqueue: Set timeout to 180 seconds
    - ext4: correct best extent lstart adjustment logic
    - fat: fix uninitialized field in nostale filehandles
    - ubifs: Set page uptodate in the correct place
    - ubi: Check for too small LEB size in VTBL code
    - ubi: correct the calculation of fastmap size
    - mtd: rawnand: meson: fix scrambling mode value in command macro
    - parisc: Do not hardcode registers in checksum functions
    - parisc: Fix ip_fast_csum
    - parisc: Fix csum_ipv6_magic on 32-bit systems
    - parisc: Fix csum_ipv6_magic on 64-bit systems
    - parisc: Strip upper 32 bit of sum in csum_ipv6_magic for 64-bit builds
    - PM: suspend: Set mem_sleep_current during kernel command line setup
    - clk: qcom: gcc-ipq8074: fix terminating of frequency table arrays
    - clk: qcom: mmcc-apq8084: fix terminating of frequency table arrays
    - clk: qcom: mmcc-msm8974: fix terminating of frequency table arrays
    - powerpc/fsl: Fix mfpmr build errors with newer binutils
    - USB: serial: ftdi_sio: add support for GMC Z216C Adapter IR-USB
    - USB: serial: add device ID for VeriFone adapter
    - USB: serial: cp210x: add ID for MGP Instruments PDS100
    - USB: serial: option: add MeiG Smart SLM320 product
    - USB: serial: cp210x: add pid/vid for TDK NC0110013M and MM0110113M
    - PM: sleep: wakeirq: fix wake irq warning in system suspend
    - mmc: tmio: avoid concurrent runs of mmc_request_done()
    - fuse: don't unhash root
    - btrfs: fix off-by-one chunk length calculation at contains_pending_extent()
    - PCI: Drop pci_device_remove() test of pci_dev->driver
    - PCI/PM: Drain runtime-idle callbacks before driver removal
    - Revert "Revert "md/raid5: Wait for MD_SB_CHANGE_PENDING in raid5d""
    - dm-raid: fix lockdep waring in "pers->hot_add_disk"
    - mmc: core: Fix switch on gp3 partition
    - hwmon: (amc6821) add of_match table
    - ext4: fix corruption during on-line resize
    - firmware: meson_sm: Rework driver as a proper platform driver
    - nvmem: meson-efuse: fix function pointer type mismatch
    - slimbus: core: Remove usage of the deprecated ida_simple_xx() API
    - speakup: Fix 8bit characters from direct synth
    - kbuild: Move -Wenum-{compare-conditional,enum-conversion} into W=1
    - vfio/platform: Disable virqfds on cleanup
    - ring-buffer: Fix resetting of shortest_full
    - ring-buffer: Fix full_waiters_pending in poll
    - soc: fsl: qbman: Always disable interrupts when taking cgr_lock
    - soc: fsl: qbman: Add helper for sanity checking cgr ops
    - soc: fsl: qbman: Add CGR update function
    - soc: fsl: qbman: Use raw spinlock for cgr_lock
    - s390/zcrypt: fix reference counting on zcrypt card objects
    - drm/exynos: do not return negative values from .get_modes()
    - drm/imx/ipuv3: do not return negative values from .get_modes()
    - drm/vc4: hdmi: do not return negative values from .get_modes()
    - memtest: use {READ,WRITE}_ONCE in memory scanning
    - nilfs2: fix failure to detect DAT corruption in btree and direct mappings
    - nilfs2: use a more common logging style
    - nilfs2: prevent kernel bug at submit_bh_wbc()
    - x86/CPU/AMD: Update the Zenbleed microcode revisions
    - ahci: asm1064: correct count of reported ports
    - ahci: asm1064: asm1166: don't limit reported ports
    - dm snapshot: fix lockup in dm_exception_table_exit
    - comedi: comedi_test: Prevent timers rescheduling during deletion
    - netfilter: nf_tables: reject constant set with timeout
    - xfrm: Avoid clang fortify warning in copy_to_user_tmpl()
    - ALSA: hda/realtek - Fix headset Mic no show at resume back for Lenovo ALC897
      platform
    - USB: usb-storage: Prevent divide-by-0 error in isd200_ata_command
    - usb: gadget: ncm: Fix handling of zero block length packets
    - usb: port: Don't try to peer unused USB ports based on location
    - tty: serial: fsl_lpuart: avoid idle preamble pending if CTS is enabled
    - vt: fix unicode buffer corruption when deleting characters
    - fs/aio: Check IOCB_AIO_RW before the struct aio_kiocb conversion
    - objtool: is_fentry_call() crashes if call has no destination
    - objtool: Add support for intra-function calls
    - x86/speculation: Support intra-function call validation
    - xen/events: close evtchn after mapping cleanup
    - printk: Update @console_may_schedule in console_trylock_spinning()
    - btrfs: allocate btrfs_ioctl_defrag_range_args on stack
    - Revert "loop: Check for overflow while configuring loop"
    - loop: Call loop_config_discard() only after new config is applied
    - loop: Remove sector_t truncation checks
    - loop: Factor out setting loop device size
    - loop: Refactor loop_set_status() size calculation
    - loop: Factor out configuring loop from status
    - loop: Check for overflow while configuring loop
    - loop: loop_set_status_from_info() check before assignment
    - perf/core: Fix reentry problem in perf_output_read_group()
    - efivarfs: Request at most 512 bytes for variable names
    - powerpc: xor_vmx: Add '-mhard-float' to CFLAGS
    - bounds: support non-power-of-two CONFIG_NR_CPUS
    - vt: fix memory overlapping when deleting chars in the buffer
    - mm/memory-failure: fix an incorrect use of tail pages
    - mm/migrate: set swap entry values of THP tail pages properly.
    - wifi: mac80211: check/clear fast rx for non-4addr sta VLAN changes
    - exec: Fix NOMMU linux_binprm::exec in transfer_args_to_stack()
    - mmc: core: Initialize mmc_blk_ioc_data
    - mmc: core: Avoid negative index with array access
    - ALSA: sh: aica: reorder cleanup operations to avoid UAF bugs
    - scsi: core: Fix unremoved procfs host directory regression
    - usb: dwc2: host: Fix remote wakeup from hibernation
    - usb: dwc2: host: Fix hibernation flow
    - usb: dwc2: host: Fix ISOC flow in DDMA mode
    - usb: dwc2: gadget: LPM flow fix
    - usb: udc: remove warning when queue disabled ep
    - scsi: qla2xxx: Fix command flush on cable pull
    - x86/cpu: Enable STIBP on AMD if Automatic IBRS is enabled
    - scsi: lpfc: Correct size for wqe for memset()
    - USB: core: Fix deadlock in usb_deauthorize_interface()
    - nfc: nci: Fix uninit-value in nci_dev_up and nci_ntf_packet
    - ixgbe: avoid sleeping allocation in ixgbe_ipsec_vf_add_sa()
    - tcp: properly terminate timers for kernel sockets
    - dm integrity: fix out-of-range warning
    - r8169: fix issue caused by buggy BIOS on certain boards with RTL8168d
    - Bluetooth: hci_event: set the conn encrypted before conn establishes
    - Bluetooth: Fix TOCTOU in HCI debugfs implementation
    - netfilter: nf_tables: disallow timeout for anonymous sets
    - net/rds: fix possible cp null dereference
    - vfio/pci: Disable auto-enable of exclusive INTx IRQ
    - vfio/pci: Lock external INTx masking ops
    - vfio: Introduce interface to flush virqfd inject workqueue
    - vfio/pci: Create persistent INTx handler
    - vfio/platform: Create persistent IRQ handlers
    - Revert "x86/mm/ident_map: Use gbpages only where full GB page should be
      mapped."
    - mm, vmscan: prevent infinite loop for costly GFP_NOIO | __GFP_RETRY_MAYFAIL
      allocations
    - netfilter: nf_tables: flush pending destroy work before exit_net release
    - netfilter: nf_tables: Fix potential data-race in __nft_flowtable_type_get()
    - bpf, sockmap: Prevent lock inversion deadlock in map delete elem
    - net/sched: act_skbmod: prevent kernel-infoleak
    - net: stmmac: fix rx queue priority assignment
    - selftests: reuseaddr_conflict: add missing new line at the end of the output
    - ipv6: Fix infinite recursion in fib6_dump_done().
    - i40e: fix vf may be used uninitialized in this function warning
    - staging: mmal-vchiq: Allocate and free components as required
    - staging: mmal-vchiq: Fix client_component for 64 bit kernel
    - staging: vc04_services: changen strncpy() to strscpy_pad()
    - staging: vc04_services: fix information leak in create_component()
    - fs: add a vfs_fchown helper
    - fs: add a vfs_fchmod helper
    - initramfs: switch initramfs unpacking to struct file based APIs
    - init: open /initrd.image with O_LARGEFILE
    - erspan: Add type I version 0 support.
    - erspan: make sure erspan_base_hdr is present in skb->head
    - net: ravb: Always process TX descriptor ring
    - ASoC: ops: Fix wraparound for mask in snd_soc_get_volsw
    - ata: sata_sx4: fix pdc20621_get_from_dimm() on 64-bit
    - scsi: mylex: Fix sysfs buffer lengths
    - ata: sata_mv: Fix PCI device ID table declaration compilation warning
    - ALSA: hda/realtek: Update Panasonic CF-SZ6 quirk to support headset with
      microphone
    - x86/mce: Make sure to grab mce_sysfs_mutex in set_bank()
    - s390/entry: align system call table on 8 bytes
    - wifi: ath9k: fix LNA selection in ath_ant_try_scan()
    - VMCI: Fix memcpy() run-time warning in dg_dispatch_as_host()
    - panic: Flush kernel log buffer at the end
    - arm64: dts: rockchip: fix rk3328 hdmi ports node
    - arm64: dts: rockchip: fix rk3399 hdmi ports node
    - ionic: set adminq irq affinity
    - tools/power x86_energy_perf_policy: Fix file leak in get_pkg_num()
    - btrfs: handle chunk tree lookup error in btrfs_relocate_sys_chunks()
    - btrfs: export: handle invalid inode or root reference in btrfs_get_parent()
    - btrfs: send: handle path ref underflow in header iterate_inode_ref()
    - Bluetooth: btintel: Fix null ptr deref in btintel_read_version
    - Input: synaptics-rmi4 - fail probing if memory allocation for "phys" fails
    - sysv: don't call sb_bread() with pointers_lock held
    - scsi: lpfc: Fix possible memory leak in lpfc_rcv_padisc()
    - isofs: handle CDs with bad root inode but good Joliet root directory
    - media: sta2x11: fix irq handler cast
    - drm/amd/display: Fix nanosec stat overflow
    - SUNRPC: increase size of rpc_wait_queue.qlen from unsigned short to unsigned
      int
    - Revert "ACPI: PM: Block ASUS B1400CEAE from suspend to idle by default"
    - block: prevent division by zero in blk_rq_stat_sum()
    - Input: allocate keycode for Display refresh rate toggle
    - ktest: force $buildonly = 1 for 'make_warnings_file' test type
    - tools: iio: replace seekdir() in iio_generic_buffer
    - usb: typec: tcpci: add generic tcpci fallback compatible
    - usb: sl811-hcd: only defined function checkdone if QUIRK2 is defined
    - fbdev: viafb: fix typo in hw_bitblt_1 and hw_bitblt_2
    - fbmon: prevent division by zero in fb_videomode_from_videomode()
    - netfilter: nf_tables: reject new basechain after table flag update
    - netfilter: nf_tables: discard table flag update with pending basechain
      deletion
    - tty: n_gsm: require CAP_NET_ADMIN to attach N_GSM0710 ldisc
    - drm/vkms: call drm_atomic_helper_shutdown before drm_dev_put()
    - virtio: reenable config if freezing device failed
    - x86/mm/pat: fix VM_PAT handling in COW mappings
    - drm/i915/gt: Reset queue_priority_hint on parking
    - x86/alternative: Don't call text_poke() in lazy TLB mode
    - Bluetooth: btintel: Fixe build regression
    - VMCI: Fix possible memcpy() run-time warning in
      vmci_datagram_invoke_guest_handler()
    - erspan: Check IFLA_GRE_ERSPAN_VER is set.
    - ip_gre: do not report erspan version on GRE interface
    - firmware: meson_sm: fix to avoid potential NULL pointer dereference
    - Linux 5.4.274
  * CVE-2024-26586
    - mlxsw: spectrum_acl_tcam: Fix stack corruption
  * CVE-2024-26923
    - af_unix: Do not use atomic ops for unix_sk(sk)->inflight.
    - af_unix: Fix garbage collector racing against connect()
  * Focal update: v5.4.273 upstream stable release (LP: #2064561)
    - io_uring/unix: drop usage of io_uring socket
    - io_uring: drop any code related to SCM_RIGHTS
    - selftests: tls: use exact comparison in recv_partial
    - ASoC: rt5645: Make LattePanda board DMI match more precise
    - x86/xen: Add some null pointer checking to smp.c
    - MIPS: Clear Cause.BD in instruction_pointer_set
    - HID: multitouch: Add required quirk for Synaptics 0xcddc device
    - RDMA/mlx5: Relax DEVX access upon modify commands
    - net/iucv: fix the allocation size of iucv_path_table array
    - parisc/ftrace: add missing CONFIG_DYNAMIC_FTRACE check
    - block: sed-opal: handle empty atoms when parsing response
    - dm-verity, dm-crypt: align "struct bvec_iter" correctly
    - btrfs: fix data race at btrfs_use_block_rsv() when accessing block reserve
    - scsi: mpt3sas: Prevent sending diag_reset when the controller is ready
    - Bluetooth: rfcomm: Fix null-ptr-deref in rfcomm_check_security
    - firewire: core: use long bus reset on gap count error
    - ASoC: Intel: bytcr_rt5640: Add an extra entry for the Chuwi Vi8 tablet
    - Input: gpio_keys_polled - suppress deferred probe error for gpio
    - ASoC: wm8962: Enable oscillator if selecting WM8962_FLL_OSC
    - ASoC: wm8962: Enable both SPKOUTR_ENA and SPKOUTL_ENA in mono mode
    - ASoC: wm8962: Fix up incorrect error message in wm8962_set_fll
    - do_sys_name_to_handle(): use kzalloc() to fix kernel-infoleak
    - fs/select: rework stack allocation hack for clang
    - timekeeping: Fix cross-timestamp interpolation on counter wrap
    - timekeeping: Fix cross-timestamp interpolation corner case decision
    - timekeeping: Fix cross-timestamp interpolation for non-x86
    - wifi: ath10k: fix NULL pointer dereference in
      ath10k_wmi_tlv_op_pull_mgmt_tx_compl_ev()
    - b43: dma: Fix use true/false for bool type variable
    - wifi: b43: Stop/wake correct queue in DMA Tx path when QoS is disabled
    - wifi: b43: Stop/wake correct queue in PIO Tx path when QoS is disabled
    - b43: main: Fix use true/false for bool type
    - wifi: b43: Stop correct queue in DMA worker when QoS is disabled
    - wifi: b43: Disable QoS for bcm4331
    - wifi: wilc1000: fix declarations ordering
    - wifi: wilc1000: fix RCU usage in connect path
    - wifi: mwifiex: debugfs: Drop unnecessary error check for
      debugfs_create_dir()
    - sock_diag: annotate data-races around sock_diag_handlers[family]
    - af_unix: Annotate data-race of gc_in_progress in wait_for_unix_gc().
    - net: blackhole_dev: fix build warning for ethh set but not used
    - wifi: libertas: fix some memleaks in lbs_allocate_cmd_buffer()
    - arm64: dts: mediatek: mt7622: add missing "device_type" to memory nodes
    - bpf: Add typecast to bpf helpers to help BTF generation
    - bpf: Factor out bpf_spin_lock into helpers.
    - bpf: Mark bpf_spin_{lock,unlock}() helpers with notrace correctly
    - arm64: dts: qcom: db820c: Move non-soc entries out of /soc
    - arm64: dts: qcom: msm8996: Use node references in db820c
    - arm64: dts: qcom: msm8996: Move regulator consumers to db820c
    - arm64: dts: qcom: msm8996: Pad addresses
    - ACPI: processor_idle: Fix memory leak in acpi_processor_power_exit()
    - bus: tegra-aconnect: Update dependency to ARCH_TEGRA
    - [Config]: Update tegra configs
    - iommu/amd: Mark interrupt as managed
    - wifi: brcmsmac: avoid function pointer casts
    - net: ena: Remove ena_select_queue
    - ARM: dts: arm: realview: Fix development chip ROM compatible value
    - ARM: dts: imx6dl-yapp4: Move phy reset into switch node
    - ARM: dts: imx6dl-yapp4: Fix typo in the QCA switch register address
    - ARM: dts: imx6dl-yapp4: Move the internal switch PHYs under the switch node
    - ACPI: scan: Fix device check notification handling
    - x86, relocs: Ignore relocations in .notes section
    - SUNRPC: fix some memleaks in gssx_dec_option_array
    - mmc: wmt-sdmmc: remove an incorrect release_mem_region() call in the .remove
      function
    - igb: move PEROUT and EXTTS isr logic to separate functions
    - igb: Fix missing time sync events
    - Bluetooth: Remove superfluous call to hci_conn_check_pending()
    - sr9800: Add check for usbnet_get_endpoints
    - bpf: Fix hashtab overflow check on 32-bit arches
    - bpf: Fix stackmap overflow check on 32-bit arches
    - ipv6: fib6_rules: flush route cache when rule is changed
    - net: ip_tunnel: make sure to pull inner header in ip_tunnel_rcv()
    - net: hns3: fix port duplex configure error in IMP reset
    - tcp: fix incorrect parameter validation in the do_tcp_getsockopt() function
    - l2tp: fix incorrect parameter validation in the pppol2tp_getsockopt()
      function
    - udp: fix incorrect parameter validation in the udp_lib_getsockopt() function
    - net: kcm: fix incorrect parameter validation in the kcm_getsockopt) function
    - net/x25: fix incorrect parameter validation in the x25_getsockopt() function
    - nfp: flower: handle acti_netdevs allocation failure
    - dm raid: fix false positive for requeue needed during reshape
    - dm: call the resume method on internal suspend
    - drm/tegra: dsi: Add missing check for of_find_device_by_node
    - gpu: host1x: mipi: Update tegra_mipi_request() to be node based
    - drm/tegra: dsi: Make use of the helper function dev_err_probe()
    - drm/tegra: dsi: Fix some error handling paths in tegra_dsi_probe()
    - drm/tegra: dsi: Fix missing pm_runtime_disable() in the error handling path
      of tegra_dsi_probe()
    - drm/tegra: output: Fix missing i2c_put_adapter() in the error handling paths
      of tegra_output_probe()
    - drm/rockchip: inno_hdmi: Fix video timing
    - drm: Don't treat 0 as -1 in drm_fixp2int_ceil
    - drm/rockchip: lvds: do not overwrite error code
    - dmaengine: tegra210-adma: Update dependency to ARCH_TEGRA
    - media: tc358743: register v4l2 async device only after successful setup
    - PCI/DPC: Print all TLP Prefixes, not just the first
    - perf record: Fix possible incorrect free in record__switch_output()
    - drm/amd/display: Fix potential NULL pointer dereferences in
      'dcn10_set_output_transfer_func()'
    - perf evsel: Fix duplicate initialization of data->id in
      evsel__parse_sample()
    - media: em28xx: annotate unchecked call to media_device_register()
    - media: v4l2-tpg: fix some memleaks in tpg_alloc
    - media: v4l2-mem2mem: fix a memleak in v4l2_m2m_register_entity
    - media: edia: dvbdev: fix a use-after-free
    - clk: qcom: reset: Allow specifying custom reset delay
    - clk: qcom: reset: support resetting multiple bits
    - clk: qcom: reset: Commonize the de/assert functions
    - clk: qcom: reset: Ensure write completion on reset de/assertion
    - quota: simplify drop_dquot_ref()
    - quota: Fix potential NULL pointer dereference
    - quota: Fix rcu annotations of inode dquot pointers
    - PCI: switchtec: Fix an error handling path in switchtec_pci_probe()
    - perf thread_map: Free strlist on normal path in thread_map__new_by_tid_str()
    - drm/radeon/ni: Fix wrong firmware size logging in ni_init_microcode()
    - ALSA: seq: fix function cast warnings
    - perf stat: Avoid metric-only segv
    - media: imx: csc/scaler: fix v4l2_ctrl_handler memory leak
    - media: go7007: add check of return value of go7007_read_addr()
    - media: pvrusb2: remove redundant NULL check
    - media: pvrusb2: fix pvr2_stream_callback casts
    - clk: qcom: dispcc-sdm845: Adjust internal GDSC wait times
    - drm/mediatek: dsi: Fix DSI RGB666 formats and definitions
    - PCI: Mark 3ware-9650SE Root Port Extended Tags as broken
    - clk: hisilicon: hi3519: Release the correct number of gates in
      hi3519_clk_unregister()
    - drm/tegra: put drm_gem_object ref on error in tegra_fb_create
    - mfd: syscon: Call of_node_put() only when of_parse_phandle() takes a ref
    - mfd: altera-sysmgr: Call of_node_put() only when of_parse_phandle() takes a
      ref
    - crypto: arm/sha - fix function cast warnings
    - mtd: maps: physmap-core: fix flash size larger than 32-bit
    - mtd: rawnand: lpc32xx_mlc: fix irq handler prototype
    - ASoC: meson: axg-tdm-interface: fix mclk setup without mclk-fs
    - drm/amdgpu: Fix missing break in ATOM_ARG_IMM Case of atom_get_src_int()
    - media: pvrusb2: fix uaf in pvr2_context_set_notify
    - media: dvb-frontends: avoid stack overflow warnings with clang
    - media: go7007: fix a memleak in go7007_load_encoder
    - media: v4l2-core: correctly validate video and metadata ioctls
    - media: rename VFL_TYPE_GRABBER to _VIDEO
    - media: media/pci: rename VFL_TYPE_GRABBER to _VIDEO
    - media: ttpci: fix two memleaks in budget_av_attach
    - drm/mediatek: Fix a null pointer crash in mtk_drm_crtc_finish_page_flip
    - powerpc/hv-gpci: Fix the H_GET_PERF_COUNTER_INFO hcall return value checks
    - drm/msm/dpu: add division of drm_display_mode's hskew parameter
    - powerpc/embedded6xx: Fix no previous prototype for avr_uart_send() etc.
    - backlight: lm3630a: Initialize backlight_properties on init
    - backlight: lm3630a: Don't set bl->props.brightness in get_brightness
    - backlight: da9052: Fully initialize backlight_properties during probe
    - backlight: lm3639: Fully initialize backlight_properties during probe
    - backlight: lp8788: Fully initialize backlight_properties during probe
    - sparc32: Fix section mismatch in leon_pci_grpci
    - clk: Fix clk_core_get NULL dereference
    - ALSA: usb-audio: Stop parsing channels bits when all channels are found.
    - scsi: csiostor: Avoid function pointer casts
    - RDMA/device: Fix a race between mad_client and cm_client init
    - scsi: bfa: Fix function pointer type mismatch for hcb_qe->cbfn
    - net: sunrpc: Fix an off by one in rpc_sockaddr2uaddr()
    - watchdog: stm32_iwdg: initialize default timeout
    - NFS: Fix an off by one in root_nfs_cat()
    - afs: Revert "afs: Hide silly-rename files from userspace"
    - tty: vt: fix 20 vs 0x20 typo in EScsiignore
    - serial: max310x: fix syntax error in IRQ error message
    - tty: serial: samsung: fix tx_empty() to return TIOCSER_TEMT
    - kconfig: fix infinite loop when expanding a macro at the end of file
    - rtc: mt6397: select IRQ_DOMAIN instead of depending on it
    - serial: 8250_exar: Don't remove GPIO device on suspend
    - staging: greybus: fix get_channel_from_mode() failure path
    - usb: gadget: net2272: Use irqflags in the call to net2272_probe_fin
    - octeontx2-af: Use matching wake_up API variant in CGX command interface
    - s390/vtime: fix average steal time calculation
    - hsr: Fix uninit-value access in hsr_get_node()
    - packet: annotate data-races around ignore_outgoing
    - rds: introduce acquire/release ordering in acquire/release_in_xmit()
    - hsr: Handle failures in module init
    - net/bnx2x: Prevent access to a freed page in page_pool
    - octeontx2-af: Use separate handlers for interrupts
    - ARM: dts: sun8i-h2-plus-bananapi-m2-zero: add regulator nodes vcc-dram and
      vcc1v2
    - netfilter: nf_tables: do not compare internal table flags on updates
    - rcu: add a helper to report consolidated flavor QS
    - bpf: report RCU QS in cpumap kthread
    - spi: spi-mt65xx: Fix NULL pointer access in interrupt handler
    - regmap: Add missing map->bus check
    - Linux 5.4.273
  * Focal update: v5.4.272 upstream stable release (LP: #2064555)
    - lan78xx: Fix white space and style issues
    - lan78xx: Add missing return code checks
    - lan78xx: Fix partial packet errors on suspend/resume
    - lan78xx: Fix race conditions in suspend/resume handling
    - net: lan78xx: fix runtime PM count underflow on link stop
    - ixgbe: {dis, en}able irqs in ixgbe_txrx_ring_{dis, en}able
    - geneve: make sure to pull inner header in geneve_rx()
    - net: ice: Fix potential NULL pointer dereference in ice_bridge_setlink()
    - net/ipv6: avoid possible UAF in ip6_route_mpath_notify()
    - net/rds: fix WARNING in rds_conn_connect_if_down
    - netfilter: nft_ct: fix l3num expectations with inet pseudo family
    - netfilter: nf_conntrack_h323: Add protection for bmp length out of range
    - netrom: Fix a data-race around sysctl_netrom_default_path_quality
    - netrom: Fix a data-race around sysctl_netrom_obsolescence_count_initialiser
    - netrom: Fix data-races around sysctl_netrom_network_ttl_initialiser
    - netrom: Fix a data-race around sysctl_netrom_transport_timeout
    - netrom: Fix a data-race around sysctl_netrom_transport_maximum_tries
    - netrom: Fix a data-race around sysctl_netrom_transport_acknowledge_delay
    - netrom: Fix a data-race around sysctl_netrom_transport_busy_delay
    - netrom: Fix a data-race around sysctl_netrom_transport_requested_window_size
    - netrom: Fix a data-race around sysctl_netrom_transport_no_activity_timeout
    - netrom: Fix a data-race around sysctl_netrom_routing_control
    - netrom: Fix a data-race around sysctl_netrom_link_fails_count
    - netrom: Fix data-races around sysctl_net_busy_read
    - selftests: mm: fix map_hugetlb failure on 64K page size systems
    - um: allow not setting extra rpaths in the linux binary
    - serial: max310x: Use devm_clk_get_optional() to get the input clock
    - serial: max310x: Try to get crystal clock rate from property
    - serial: max310x: fail probe if clock crystal is unstable
    - serial: max310x: Make use of device properties
    - serial: max310x: use regmap methods for SPI batch operations
    - serial: max310x: use a separate regmap for each port
    - serial: max310x: prevent infinite while() loop in port startup
    - Input: i8042 - fix strange behavior of touchpad on Clevo NS70PU
    - hv_netvsc: Make netvsc/VF binding check both MAC and serial number
    - hv_netvsc: use netif_is_bond_master() instead of open code
    - hv_netvsc: Register VF in netvsc_probe if NET_DEVICE_REGISTER missed
    - y2038: rusage: use __kernel_old_timeval
    - getrusage: add the "signal_struct *sig" local variable
    - getrusage: move thread_group_cputime_adjusted() outside of
      lock_task_sighand()
    - getrusage: use __for_each_thread()
    - getrusage: use sig->stats_lock rather than lock_task_sighand()
    - serial: max310x: Unprepare and disable clock in error path
    - regmap: allow to define reg_update_bits for no bus configuration
    - regmap: Add bulk read/write callbacks into regmap_config
    - serial: max310x: make accessing revision id interface-agnostic
    - serial: max310x: implement I2C support
    - serial: max310x: fix IO data corruption in batched operations
    - arm64: dts: qcom: add PDC interrupt controller for SDM845
    - arm64: dts: qcom: sdm845: fix USB DP/DM HS PHY interrupts
    - Linux 5.4.272
  * CVE-2024-23307
    - md/raid5: fix atomicity violation in raid5_cache_count
  * CVE-2024-26889
    - Bluetooth: hci_core: Fix possible buffer overflow
  * CVE-2024-26828
    - cifs: fix underflow in parse_server_interfaces()
  * CVE-2024-24861
    - media: xc4000: Fix atomicity violation in xc4000_get_frequency
  * CVE-2023-6270
    - aoe: fix the potential use-after-free problem in aoecmd_cfg_pkts
  * CVE-2024-26642
    - netfilter: nf_tables: disallow anonymous set with timeout flag
  * CVE-2024-26926
    - binder: check offset alignment in binder_get_object()
  * CVE-2024-26922
    - drm/amdgpu: validate the parameters of bo mapping operations more clearly
  * CVE-2024-26925
    - netfilter: Cleanup nft_net->module_list from nf_tables_exit_net()
    - netfilter: nf_tables: release batch on table validation from abort path
    - netfilter: nf_tables: release mutex after nft_gc_seq_end from abort path
  * CVE-2024-26643
    - netfilter: nf_tables: mark set as dead when unbinding anonymous set with
      timeout
  * CVE-2024-2201
    - x86/cpufeatures: Add new word for scattered features
    - x86/cpufeatures: Add CPUID_LNX_5 to track recently added Linux-defined word
    - x86/bugs: Change commas to semicolons in 'spectre_v2' sysfs file
    - x86/bhi: Add support for clearing branch history at syscall entry
    - x86/bhi: Define SPEC_CTRL_BHI_DIS_S
    - x86/bhi: Enumerate Branch History Injection (BHI) bug
    - x86/bhi: Add BHI mitigation knob
    - x86/bhi: Mitigate KVM by default
    - [Config] updateconfigs for CONFIG_BHI_{AUTO|ON|OFF}
    - x86/bugs: Fix BHI documentation
    - x86/bugs: Cache the value of MSR_IA32_ARCH_CAPABILITIES
    - x86/bugs: Rename various 'ia32_cap' variables to 'x86_arch_cap_msr'
    - x86/bugs: Fix BHI handling of RRSBA
    - x86/bugs: Clarify that syscall hardening isn't a BHI mitigation
    - x86/bugs: Fix BHI retpoline check

 -- Wen-chien Jesse Sung <jesse.sung@canonical.com>  Wed, 19 Jun 2024 14:14:02 +0800

linux-iot (5.4.0-1039.40) focal; urgency=medium

  * focal/linux-iot: 5.4.0-1039.40 -proposed tracker (LP: #2068280)

  [ Ubuntu: 5.4.0-187.207 ]

  * focal/linux: 5.4.0-187.207 -proposed tracker (LP: #2068291)
  * CVE-2024-26925
    - netfilter: Cleanup nft_net->module_list from nf_tables_exit_net()
    - netfilter: nf_tables: release batch on table validation from abort path
    - netfilter: nf_tables: release mutex after nft_gc_seq_end from abort path
  * CVE-2024-26643
    - netfilter: nf_tables: mark set as dead when unbinding anonymous set with
      timeout
  * CVE-2024-2201
    - x86/cpufeatures: Add new word for scattered features
    - x86/cpufeatures: Add CPUID_LNX_5 to track recently added Linux-defined word
    - x86/bugs: Change commas to semicolons in 'spectre_v2' sysfs file
    - x86/bhi: Add support for clearing branch history at syscall entry
    - x86/bhi: Define SPEC_CTRL_BHI_DIS_S
    - x86/bhi: Enumerate Branch History Injection (BHI) bug
    - x86/bhi: Add BHI mitigation knob
    - x86/bhi: Mitigate KVM by default
    - [Config] updateconfigs for CONFIG_BHI_{AUTO|ON|OFF}
    - x86/bugs: Fix BHI documentation
    - x86/bugs: Cache the value of MSR_IA32_ARCH_CAPABILITIES
    - x86/bugs: Rename various 'ia32_cap' variables to 'x86_arch_cap_msr'
    - x86/bugs: Fix BHI handling of RRSBA
    - x86/bugs: Clarify that syscall hardening isn't a BHI mitigation
    - x86/bugs: Fix BHI retpoline check

 -- Wen-chien Jesse Sung <jesse.sung@canonical.com>  Mon, 17 Jun 2024 17:26:01 +0800

# For older changelog entries, run 'apt-get changelog linux-buildinfo-5.4.0-1049-iot'
